#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x23ca5067, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x88062c28, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x8b4fb1b8, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x612ead6e, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xd218d3ca, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x282a87f2, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xab58015e, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xe26e9086, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x41f43581, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x13d0cf08, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0xc25f4298, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x9f4d4b57, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xe0c86785, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0x390f9dab, "crypto_alloc_skcipher" },
	{ 0xbc176c39, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2a4dc9d, "crypto_alloc_ahash" },
	{ 0x20142d3c, "crypto_alloc_aead" },
	{ 0x90675e8c, "crypto_skcipher_setkey" },
	{ 0xaf03c6b2, "crypto_spawn_tfm2" },
	{ 0x4829a47e, "memcpy" },
	{ 0x637372d2, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x71858ad, "crypto_shash_setkey" },
	{ 0x888260d1, "crypto_shash_import" },
	{ 0x54275247, "crypto_shash_export" },
	{ 0x655e7200, "crypto_clone_shash" },
	{ 0x45cbd05f, "crypto_aead_setauthsize" },
	{ 0xdaa24131, "crypto_aead_setkey" },
	{ 0x1b360918, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb0a811c2, "crypto_enqueue_request" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe8b019a9, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x580ac7e9, "crypto_register_template" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x3bcd1e75, "shash_no_setkey" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x3a26ff41, "crypto_grab_shash" },
	{ 0xbdca0613, "crypto_grab_skcipher" },
	{ 0x3769d5e0, "skcipher_register_instance" },
	{ 0x2bc77822, "crypto_grab_aead" },
	{ 0x2b3ce10c, "aead_register_instance" },
	{ 0x838b484c, "ahash_register_instance" },
	{ 0x919bcd49, "crypto_skcipher_decrypt" },
	{ 0x6b6310e5, "crypto_skcipher_encrypt" },
	{ 0x7492483b, "shash_ahash_digest" },
	{ 0x73796922, "shash_ahash_finup" },
	{ 0x5d6ca7c2, "crypto_shash_final" },
	{ 0x48b38b38, "shash_ahash_update" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6EC7CF175001F17908D20C");
