#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x4e22495f, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x14f8371b, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x431ae5e7, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x33bdb95c, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xeb438a4c, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x8c02b2de, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x41523610, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xeb6cdacb, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xb67dc230, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x6b0cc1e3, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x86f321d5, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x53e7e81a, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xd84b89a7, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xa8c3f309, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xecd65e96, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x51396539, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x3e7130fd, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x91ad2729, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x13b7fabe, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x59d07b00, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x8191e268, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x82ccfbd6, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x82e52aa1, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xd9c47a44, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x0d27820f, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xfe1496b7, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x25e2ee4b, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x8c6d6993, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x5f0e0198, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x895df76d, "");
SYMBOL_CRC(drm_dp_aux_init, 0x170d1700, "");
SYMBOL_CRC(drm_dp_aux_register, 0x4062313f, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xec64c6bc, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x0d3cd6c5, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xbcd1ab04, "");
SYMBOL_CRC(drm_dp_read_desc, 0x4a2975bc, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xc2cad86c, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x4fdd2593, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x8b5d07d5, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x51934006, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xb0846525, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x79174b71, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x64333bd2, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x71bf4f4d, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x0d8adb22, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x9d1b3a08, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x880bd297, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xec28ccee, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x3910448e, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x34015eb5, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x50aeb67e, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x69df79fb, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x753c3360, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x89db440f, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x0aeefe6e, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xaf4ef734, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xd61eee35, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x0e8d4d74, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x89cbe61f, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xe8fbfa75, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x9076a114, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xe191e137, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x1606905e, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xb6b6bc55, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x86bc05fc, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xbe7f4c88, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x9348ad97, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x5438a9c6, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xd75cde49, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xa685c578, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xb1384043, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xae142317, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xed752541, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x1806b8fb, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xd0f6fdee, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x7ae0efe8, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x572db782, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x23b9c867, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x849421c9, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x1d5674ee, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xbe5d31ba, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x1e3ca61a, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x2a02d918, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x462b823d, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x933ca8c1, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x348d8e3e, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x495f0e3a, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xa698b9ae, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x8053b3e3, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x64fe619e, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x5854d271, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x967295ca, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xe8482fe8, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xa9d9c303, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x8e51caf0, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x96fd7a2f, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xdd1313fa, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xc16d3068, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x3d49e931, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x6eb70289, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xdbda5a55, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x9e0766e8, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x35612c45, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x2fb57c9b, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0xe4a4ff47, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xc645233d, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x1d6aa3fc, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xfa8b169e, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xfebca57a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x626ca40f, "");
SYMBOL_CRC(drm_scdc_read, 0x43d67c95, "");
SYMBOL_CRC(drm_scdc_write, 0xe014eda2, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x80da5dd3, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xcfce3078, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xc6ade097, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x81497a40, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x3ed1ba62, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x9e974b28, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x633db948, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x60072e25, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x5103030d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x425ac918, "drm_crtc_add_crc_entry" },
	{ 0x66cff4d1, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x94d7ce61, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1ef92d10, "idr_find" },
	{ 0xb17f95cd, "drm_connector_register" },
	{ 0x5eebd144, "cec_transmit_attempt_done_ts" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdd919f2c, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xf9ae41dd, "drm_atomic_private_obj_init" },
	{ 0xa0603e59, "class_destroy" },
	{ 0x468fd0e1, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x940ed242, "cec_s_conn_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xca9834d5, "drm_connector_unregister" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xc50da691, "drm_mode_object_put" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0x4558c80f, "request_firmware_direct" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xc372734e, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb75131db, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x55d27a7b, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xf9a0b947, "drm_dev_printk" },
	{ 0xc1b757b6, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5dda8238, "__var_waitqueue" },
	{ 0x3c1d97d3, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x896c1c66, "drm_crtc_wait_one_vblank" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x73e6faa2, "drm_modeset_lock" },
	{ 0x9f7d7a67, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x117cd626, "idr_alloc" },
	{ 0xe3dbc964, "device_create" },
	{ 0x70cf4c4d, "class_create" },
	{ 0xbef4b501, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x92ada203, "fixed_size_llseek" },
	{ 0xd58b6dde, "mutex_is_locked" },
	{ 0x3173c004, "drm_crtc_commit_wait" },
	{ 0x267dd69, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x1fbea131, "cec_unregister_adapter" },
	{ 0x23dca3e0, "drm_object_attach_property" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x83169f7e, "drm_atomic_get_old_private_obj_state" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15b87c1e, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xdcb764ad, "memset" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0x4602889d, "i2c_add_adapter" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5155a16b, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc38ceadb, "drm_object_property_set_value" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd54399a3, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46dbb0ec, "__register_chrdev" },
	{ 0x966ae98e, "seq_write" },
	{ 0xd18ab3a1, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42696bcb, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x78014a45, "_copy_from_iter" },
	{ 0xa8c4d5eb, "i2c_transfer" },
	{ 0x7eba05d4, "drm_display_mode_from_cea_vic" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd6ea19dd, "cec_fill_conn_info_from_drm" },
	{ 0xca33e722, "drm_sysfs_connector_property_event" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x57f7a12b, "cec_received_msg_ts" },
	{ 0x942a9467, "param_ops_int" },
	{ 0x2a11eeca, "iov_iter_revert" },
	{ 0xf9a482f9, "msleep" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xd61707c6, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x6ff8acba, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8fe47252, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "D37EFF0F1D7F2F2E6F91EC0");
