#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_generic_open, "", "");
KSYMTAB_FUNC(dvb_generic_release, "", "");
KSYMTAB_FUNC(dvb_generic_ioctl, "", "");
KSYMTAB_FUNC(dvb_register_device, "", "");
KSYMTAB_FUNC(dvb_remove_device, "", "");
KSYMTAB_FUNC(dvb_device_get, "", "");
KSYMTAB_FUNC(dvb_unregister_device, "", "");
KSYMTAB_FUNC(dvb_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(dvb_register_adapter, "", "");
KSYMTAB_FUNC(dvb_unregister_adapter, "", "");
KSYMTAB_FUNC(dvb_module_probe, "_gpl", "");
KSYMTAB_FUNC(dvb_module_release, "_gpl", "");
KSYMTAB_FUNC(dvb_dmxdev_init, "", "");
KSYMTAB_FUNC(dvb_dmxdev_release, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_packets, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_204, "", "");
KSYMTAB_FUNC(dvb_dmx_swfilter_raw, "", "");
KSYMTAB_FUNC(dvb_dmx_init, "", "");
KSYMTAB_FUNC(dvb_dmx_release, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camchange_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_camready_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_frda_irq, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_init, "", "");
KSYMTAB_FUNC(dvb_ca_en50221_release, "", "");
KSYMTAB_FUNC(dvb_frontend_reinitialise, "", "");
KSYMTAB_FUNC(dvb_frontend_sleep_until, "", "");
KSYMTAB_FUNC(dvb_frontend_suspend, "", "");
KSYMTAB_FUNC(dvb_frontend_resume, "", "");
KSYMTAB_FUNC(dvb_register_frontend, "", "");
KSYMTAB_FUNC(dvb_unregister_frontend, "", "");
KSYMTAB_FUNC(dvb_frontend_detach, "", "");
KSYMTAB_FUNC(dvb_net_release, "", "");
KSYMTAB_FUNC(dvb_net_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_init, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_empty, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_free, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_avail, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_flush_spinlock_wakeup, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read_user, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_read, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write, "", "");
KSYMTAB_FUNC(dvb_ringbuffer_write_user, "", "");

SYMBOL_CRC(dvb_generic_open, 0xf89c13eb, "");
SYMBOL_CRC(dvb_generic_release, 0xa85150d6, "");
SYMBOL_CRC(dvb_generic_ioctl, 0xf602341a, "");
SYMBOL_CRC(dvb_register_device, 0x4947c541, "");
SYMBOL_CRC(dvb_remove_device, 0x71629d4d, "");
SYMBOL_CRC(dvb_device_get, 0xecdfbd86, "");
SYMBOL_CRC(dvb_unregister_device, 0x7ae45c27, "");
SYMBOL_CRC(dvb_create_media_graph, 0x8eff3b8e, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0x787e0910, "");
SYMBOL_CRC(dvb_unregister_adapter, 0x15b7c715, "");
SYMBOL_CRC(dvb_module_probe, 0x9a9cccb3, "_gpl");
SYMBOL_CRC(dvb_module_release, 0x78ccf938, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x0f0d9d03, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x1a4767d2, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0xd49cc1bc, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0x1502a72b, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x74ad4876, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0xc4bf46b3, "");
SYMBOL_CRC(dvb_dmx_init, 0x1377d7d7, "");
SYMBOL_CRC(dvb_dmx_release, 0xb201d888, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x5762b052, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0x39fe7084, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x57078fab, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x8ccc6b0d, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0xe39919fd, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0x1026041e, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0x086959e1, "");
SYMBOL_CRC(dvb_frontend_resume, 0xc7a4dd55, "");
SYMBOL_CRC(dvb_register_frontend, 0xb5c70d31, "");
SYMBOL_CRC(dvb_unregister_frontend, 0xcbbd8826, "");
SYMBOL_CRC(dvb_frontend_detach, 0xc8dc7e0a, "");
SYMBOL_CRC(dvb_net_release, 0xa8c93030, "");
SYMBOL_CRC(dvb_net_init, 0xef97229c, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xaf405608, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0x9fe6c523, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0xd086ba85, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0x9eb5d97b, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0x0852b6a6, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x77344ca0, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x0b90aed0, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0x9122dec1, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0xa6ed5136, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0x13a1decd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2314b644, "media_devnode_remove" },
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x83734fb6, "eth_header" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x279f3d53, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44a478dc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x756cf425, "unregister_netdev" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xa0603e59, "class_destroy" },
	{ 0xa40fd7dc, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0x907980db, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x6be371d6, "ether_setup" },
	{ 0x5002c985, "media_create_intf_link" },
	{ 0x5f3e4a0, "media_create_pad_links" },
	{ 0xdd6a1d6e, "wake_up_process" },
	{ 0x8345c85b, "media_create_pad_link" },
	{ 0x466b20f6, "dev_addr_mod" },
	{ 0x1f4bfac9, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x3488ad32, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1424291c, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9f1486c, "media_device_register_entity" },
	{ 0x800473f, "__cond_resched" },
	{ 0xffe45492, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf6792daf, "down_write" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x75574cc1, "up_write" },
	{ 0x903aebc0, "i2c_unregister_device" },
	{ 0xc7243402, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe3dbc964, "device_create" },
	{ 0xab1605b0, "noop_llseek" },
	{ 0xec88caff, "down" },
	{ 0x70cf4c4d, "class_create" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x14e1c8d2, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x40b77912, "register_netdev" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x40cfa372, "free_netdev" },
	{ 0xb48825ff, "media_entity_pads_init" },
	{ 0x55364003, "kthread_stop" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x4218d826, "i2c_new_client_device" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xd279b822, "default_llseek" },
	{ 0xdcb764ad, "memset" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xf4628ca0, "netif_rx" },
	{ 0x4f81fd23, "__netdev_alloc_skb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb4fca748, "down_read" },
	{ 0x626a5947, "__dynamic_netdev_dbg" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x6bec5582, "kthread_create_on_node" },
	{ 0x8f19cd95, "media_get_pad_index" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd18ab3a1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x35d6532, "down_interruptible" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0xb28a5d9c, "media_devnode_create" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x75404c09, "media_device_unregister_entity" },
	{ 0x98cf60b3, "strlen" },
	{ 0x942a9467, "param_ops_int" },
	{ 0x49180e5f, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xca8d6a10, "cdev_init" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xd5a92ad6, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "551143E3C478B00A7C56002");
