#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf92e7659, "input_allocate_device" },
	{ 0xf0d9d03, "dvb_dmxdev_init" },
	{ 0xd3c27fbb, "fw_iso_context_destroy" },
	{ 0x9ca1798c, "fw_run_transaction" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x9870dc78, "fw_iso_buffer_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xd3818d32, "param_array_ops" },
	{ 0x4df02057, "crc32_be" },
	{ 0x451830a0, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6363020a, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2e00e4d, "fw_core_remove_address_handler" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x73f40146, "fw_iso_context_stop" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x787e0910, "dvb_register_adapter" },
	{ 0x5829675, "fw_core_add_address_handler" },
	{ 0x858c51e1, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0xf89c13eb, "dvb_generic_open" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x870159c1, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd49cc1bc, "dvb_dmx_swfilter_packets" },
	{ 0xf602341a, "dvb_generic_ioctl" },
	{ 0xa916b694, "strnlen" },
	{ 0xb4b2c15d, "fw_iso_context_queue" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb201d888, "dvb_dmx_release" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x7ae45c27, "dvb_unregister_device" },
	{ 0x213895c7, "fw_iso_buffer_destroy" },
	{ 0xab1605b0, "noop_llseek" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xa85150d6, "dvb_generic_release" },
	{ 0x58a8220f, "driver_unregister" },
	{ 0xef97229c, "dvb_net_init" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x1a4767d2, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x29174ecf, "param_ops_short" },
	{ 0xdcb764ad, "memset" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x4ffd9177, "input_event" },
	{ 0xe7df484e, "fw_iso_context_queue_flush" },
	{ 0xe3270022, "fw_iso_context_start" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xa8c93030, "dvb_net_release" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xcbbd8826, "dvb_unregister_frontend" },
	{ 0xe58c8f55, "fw_bus_type" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4947c541, "dvb_register_device" },
	{ 0xb5c70d31, "dvb_register_frontend" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x98cf60b3, "strlen" },
	{ 0x15b7c715, "dvb_unregister_adapter" },
	{ 0x1377d7d7, "dvb_dmx_init" },
	{ 0x942a9467, "param_ops_int" },
	{ 0x6099afe0, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,firewire-core");

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "033DA7A571340092C8BD23E");
