#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x5a99f3ef, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x465e2be7, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x93700997, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x8c498096, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x58c0e1d8, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x01e437ac, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x5f117dbc, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0xe8a9cafc, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x88054db7, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xc3ac9354, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xa1f67ed3, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x9b8547d3, "_gpl");
SYMBOL_CRC(nand_status_op, 0x7cf6e9f6, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0xed02b16c, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x07ddfae7, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xe1e250be, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xc83bad5b, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x7c08c2af, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xa54e82b8, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xeed659d1, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x0e162cd1, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xb4118e66, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x2ef304cd, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0xc91aa855, "");
SYMBOL_CRC(nand_write_oob_std, 0x1beb886d, "");
SYMBOL_CRC(nand_write_page_raw, 0x77c9a837, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x06201b12, "");
SYMBOL_CRC(nand_decode_ext_id, 0xa4d17333, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0xfa594526, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x91f92109, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xdf3d398b, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xcf01d3a5, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x3912d08b, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x48879f07, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x7e3e9703, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0xd3ba7df2, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x1af3ca34, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x94d1e49c, "");
SYMBOL_CRC(nand_cleanup, 0x03d55ac8, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xaf169e92, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xeccacff9, "");
SYMBOL_CRC(nand_create_bbt, 0x25623c0d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc92e61f, "gpiod_get_value_cansleep" },
	{ 0x6da5a96c, "mtd_read_oob" },
	{ 0xa292346b, "devm_kmalloc" },
	{ 0xd2e3c727, "of_property_read_variable_u32_array" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x4bd0081b, "gpiod_count" },
	{ 0xa9e16d47, "nanddev_cleanup" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x9d5a2d54, "nand_get_large_page_hamming_ooblayout" },
	{ 0x4829a47e, "memcpy" },
	{ 0x84825ecd, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x2afb59e6, "gpiod_get_index_optional" },
	{ 0xb9767a3a, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xdc60340c, "nanddev_init" },
	{ 0xf5a2ba6f, "nand_ecc_sw_bch_correct" },
	{ 0x511e67f9, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x20203e99, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0x8a7d1c31, "high_memory" },
	{ 0xa464bf74, "nand_ecc_sw_hamming_calculate" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x2364d16, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x582f8f27, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x798f6b5f, "nand_ecc_is_strong_enough" },
	{ 0xb3fbb7fe, "mtd_write_oob" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x5a2bd410, "nand_get_small_page_ooblayout" },
	{ 0x2429c3e3, "mem_section" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x2d12d741, "of_get_nand_ecc_user_config" },
	{ 0x5a921311, "strncmp" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x84dae640, "nand_ecc_sw_hamming_correct" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x949c24b2, "of_property_count_elems_of_size" },
	{ 0x100b2d70, "of_property_read_string" },
	{ 0x7b80494f, "of_find_property" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf8412f60, "mtd_read" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x82d4898f, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xdcb764ad, "memset" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xc635e617, "of_property_read_u64_index" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2df50b0, "jiffies" },
	{ 0x1c40c594, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6ddba1ad, "mtd_ooblayout_find_eccregion" },
	{ 0x6817e35a, "mtd_ooblayout_get_databytes" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x81188c30, "match_string" },
	{ 0x868b402a, "mtd_ooblayout_get_eccbytes" },
	{ 0x86069dad, "nanddev_mtd_max_bad_blocks" },
	{ 0x6e72df00, "nand_ecc_sw_bch_calculate" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "CEDAE5265053F303681C2CB");
