#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0xf50c64be, "");
SYMBOL_CRC(vnic_dev_get_res, 0x257240e2, "");
SYMBOL_CRC(vnic_dev_unregister, 0x05162f33, "");
SYMBOL_CRC(vnic_dev_register, 0x3c8ab1f7, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x34ab78d9, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xf90bef34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9921d36, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x8c5c9a1c, "pci_find_ext_capability" },
	{ 0x613905ba, "skb_copy_bits" },
	{ 0x279f3d53, "skb_put" },
	{ 0xf069ab3e, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x881ca17e, "pci_enable_device_mem" },
	{ 0x44a478dc, "consume_skb" },
	{ 0xed8ab9c7, "pci_iomap" },
	{ 0x142b17f1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x756cf425, "unregister_netdev" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xcd51b072, "dma_unmap_page_attrs" },
	{ 0x5eb1919e, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xdeb368e7, "pci_disable_msi" },
	{ 0xff182bd, "pci_request_regions" },
	{ 0x47fe539b, "is_kdump_kernel" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0x907980db, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb5bcab4a, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x21741ed4, "__netif_napi_del" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xf065629f, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x6da8e3b4, "netdev_err" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0x466b20f6, "dev_addr_mod" },
	{ 0x352b909e, "eth_type_trans" },
	{ 0x98dc712b, "dma_map_page_attrs" },
	{ 0xfc642537, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xc87a2567, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0x9713bf5c, "__hw_addr_unsync_dev" },
	{ 0x3f880064, "napi_gro_receive" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xdf6ba8bf, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x618ff0a, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x480af895, "pci_enable_msi" },
	{ 0x19d93f6d, "__irq_apply_affinity_hint" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x76d855e8, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe3cea079, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x423b3505, "netif_set_real_num_rx_queues" },
	{ 0x2f3ba788, "dev_close" },
	{ 0x1fdeb653, "dma_alloc_attrs" },
	{ 0x73c9752, "pci_read_config_word" },
	{ 0xd8e1b1db, "napi_enable" },
	{ 0x74cded73, "netif_receive_skb" },
	{ 0xa1a2c8e6, "nla_put" },
	{ 0x40b77912, "register_netdev" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x40cfa372, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4320b9e, "ethtool_op_get_link" },
	{ 0xec72463e, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x295f6289, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xdcb764ad, "memset" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0xbd7cb045, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x30cfaccf, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x4f81fd23, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2df50b0, "jiffies" },
	{ 0xbe54d948, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62283f8d, "rps_may_expire_flow" },
	{ 0xd6f61e89, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaac97842, "pci_release_regions" },
	{ 0x76d38366, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea0a64b4, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x85aab4eb, "__hw_addr_sync_dev" },
	{ 0x44a8fdfc, "pci_disable_sriov" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x205fbdc6, "netif_carrier_on" },
	{ 0x37427c3f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2be61f35, "pci_disable_device" },
	{ 0x3d27247, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbfef4f1c, "__skb_flow_dissect" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xac1eccf8, "__napi_schedule_irqoff" },
	{ 0x1752c1f8, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf3ba3ab0, "napi_disable" },
	{ 0x5db6493, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x3abb5821, "pci_enable_sriov" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x6e1944f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E79F954D076D693432C5488");
