#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xfd0dcc8b, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xb4132c62, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xf9da2e64, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x07994c35, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xa5bdd886, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1aca12c, "__do_once_done" },
	{ 0x20a33e48, "ip6_route_input_lookup" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xc5fc1c14, "dev_pre_changeaddr_notify" },
	{ 0xe7e33e45, "dev_mc_sync" },
	{ 0x44f5daac, "ida_destroy" },
	{ 0x6d2efabb, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdd6810f3, "netdev_update_features" },
	{ 0x44a478dc, "consume_skb" },
	{ 0xbb97d6fe, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x708b9fee, "dev_uc_sync" },
	{ 0x589b43da, "rtnl_link_register" },
	{ 0x883c153c, "netif_inherit_tso_max" },
	{ 0x3d3c1d3b, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e11a4b2, "ip_route_output_flow" },
	{ 0x495037f4, "unregister_netdevice_queue" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x569a4ee3, "dev_uc_unsync" },
	{ 0x6be371d6, "ether_setup" },
	{ 0x6da8e3b4, "netdev_err" },
	{ 0x79d0c17f, "netdev_upper_dev_link" },
	{ 0xf5c5a2c3, "register_pernet_subsys" },
	{ 0x466b20f6, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x3488ad32, "eth_header_parse" },
	{ 0xc8be0b92, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xa0a16c02, "eth_header_cache_update" },
	{ 0x1ec18f34, "nf_register_net_hooks" },
	{ 0xd1d30c0b, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xe56b0939, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9df2d0f3, "__dev_get_by_index" },
	{ 0x6aa9980b, "rtnl_link_unregister" },
	{ 0xc7243402, "skb_pull" },
	{ 0xabceefb8, "netif_stacked_transfer_operstate" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0x47b6e1cd, "netdev_upper_dev_unlink" },
	{ 0xa1a2c8e6, "nla_put" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4b0b94d7, "ns_capable" },
	{ 0x78ac3f, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4320b9e, "ethtool_op_get_link" },
	{ 0x7bf3a354, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xda534cd3, "unregister_pernet_subsys" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x30cfaccf, "__pskb_pull_tail" },
	{ 0xf4628ca0, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x9541e584, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x41adaa90, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9029e344, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x76d38366, "call_netdevice_notifiers" },
	{ 0xfe798388, "vlan_vid_del" },
	{ 0xb03f3998, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd492a7a8, "skb_clone" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x96f13eee, "dst_release" },
	{ 0xc0bdfc76, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x27f5c180, "ip_local_out" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x31adf91d, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xbab82fd7, "dev_mc_unsync" },
	{ 0x8ba9cb83, "dev_change_flags" },
	{ 0x4600ad8, "netdev_core_stats_inc" },
	{ 0x542a8af0, "dev_forward_skb" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x52af0aed, "register_netdevice" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A817537E82AF1F004482E0B");
