#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x285afbbc, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x652590ae, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x286e944b, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x92191998, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6be371d6, "ether_setup" },
	{ 0x7bf3a354, "__ethtool_get_link_ksettings" },
	{ 0x78d52b29, "ethtool_get_ts_info_by_layer" },
	{ 0x3cc90f4, "init_net" },
	{ 0x28dd5d6, "generic_hwtstamp_set_lower" },
	{ 0x257b1015, "generic_hwtstamp_get_lower" },
	{ 0xbc9eac8c, "dev_mc_del" },
	{ 0xfd0dbe4d, "dev_uc_del" },
	{ 0xea0e6134, "dev_mc_add_excl" },
	{ 0xd25c47a6, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xa064ae8, "__netpoll_free" },
	{ 0xfe798388, "vlan_vid_del" },
	{ 0x9029e344, "vlan_vid_add" },
	{ 0xb03f3998, "dev_set_allmulti" },
	{ 0xa9565790, "dev_set_promiscuity" },
	{ 0x569a4ee3, "dev_uc_unsync" },
	{ 0xbab82fd7, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc8be0b92, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeecb0af1, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x589b43da, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6aa9980b, "rtnl_link_unregister" },
	{ 0xa1a2c8e6, "nla_put" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x9ba9d6ee, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x495037f4, "unregister_netdevice_queue" },
	{ 0x47b6e1cd, "netdev_upper_dev_unlink" },
	{ 0x466b20f6, "dev_addr_mod" },
	{ 0x9ca44838, "dev_uc_add" },
	{ 0x76d38366, "call_netdevice_notifiers" },
	{ 0xabceefb8, "netif_stacked_transfer_operstate" },
	{ 0x883c153c, "netif_inherit_tso_max" },
	{ 0xdd6810f3, "netdev_update_features" },
	{ 0x43934b6f, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd492a7a8, "skb_clone" },
	{ 0xf4628ca0, "netif_rx" },
	{ 0x749ee07b, "__dev_forward_skb" },
	{ 0x41adaa90, "__dev_queue_xmit" },
	{ 0x542a8af0, "dev_forward_skb" },
	{ 0x1499ee95, "netpoll_send_skb" },
	{ 0x2bb330f6, "__netif_rx" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x29429bf3, "ip_check_defrag" },
	{ 0x44a478dc, "consume_skb" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4600ad8, "netdev_core_stats_inc" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0x9df2d0f3, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6d2efabb, "netdev_is_rx_handler_busy" },
	{ 0xc0bdfc76, "netdev_rx_handler_register" },
	{ 0x52af0aed, "register_netdevice" },
	{ 0x79d0c17f, "netdev_upper_dev_link" },
	{ 0x3a0ef5e, "linkwatch_fire_event" },
	{ 0x708b9fee, "dev_uc_sync" },
	{ 0xe7e33e45, "dev_mc_sync" },
	{ 0x122129d8, "passthru_features_check" },
	{ 0x907980db, "eth_validate_addr" },
	{ 0x96e4b17d, "ndo_dflt_fdb_dump" },
	{ 0x3488ad32, "eth_header_parse" },
	{ 0x3d3c1d3b, "eth_header_cache" },
	{ 0xa0a16c02, "eth_header_cache_update" },
	{ 0x31adf91d, "eth_header_parse_protocol" },
	{ 0xe4320b9e, "ethtool_op_get_link" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "58BFB076C9E8BA1D583E0AE");
