#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(of_mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0xf4faabdb, "");
SYMBOL_CRC(phy_get_rate_matching, 0x321a3994, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x04479415, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x8c493bc5, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x48611d4d, "");
SYMBOL_CRC(phy_mii_ioctl, 0x9bae8e3e, "");
SYMBOL_CRC(phy_do_ioctl, 0x9a35b233, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x5ece555e, "");
SYMBOL_CRC(phy_queue_state_machine, 0x60274b5c, "");
SYMBOL_CRC(phy_trigger_machine, 0xd99745c9, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x667bad11, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x1a578301, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x5228b6f7, "");
SYMBOL_CRC(phy_start_cable_test, 0xebbcf96e, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xd02d98e1, "");
SYMBOL_CRC(phy_config_aneg, 0x45a05e30, "");
SYMBOL_CRC(_phy_start_aneg, 0x1b769af5, "");
SYMBOL_CRC(phy_start_aneg, 0x787293e6, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x752b8bb3, "");
SYMBOL_CRC(phy_speed_down, 0x884430fb, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x5be79f11, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x18e20af6, "_gpl");
SYMBOL_CRC(phy_error, 0xf0fc746a, "");
SYMBOL_CRC(phy_request_interrupt, 0x80b24e84, "");
SYMBOL_CRC(phy_free_interrupt, 0xa6fc8315, "");
SYMBOL_CRC(phy_stop, 0x7a1397ee, "");
SYMBOL_CRC(phy_start, 0xf66bb659, "");
SYMBOL_CRC(phy_mac_interrupt, 0x1522a26d, "");
SYMBOL_CRC(phy_init_eee, 0xe15a4667, "");
SYMBOL_CRC(phy_get_eee_err, 0x588a4602, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xb85f4f66, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x1f00f39d, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xa76aea2c, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x3b9b443b, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x1f110e9e, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x1dda7472, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x63f606de, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x609b99e7, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x48deb037, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0xacb6de6d, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x627a101e, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0xe7c5b5e7, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x99799c97, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x7a642193, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xf57dd775, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x4238bc37, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xc201a768, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0xce4fa73c, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x22ae2974, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x947a8ea1, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0xb1bf7901, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x0f427864, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x9dda9e77, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x8cd01d25, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x9f7e6100, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x0a42fd42, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xb3a452aa, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x89767ce4, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0xd8e2db65, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0xddea5878, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x1c625d9e, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0xd6381595, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x3ef4e921, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0xb387a2bb, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xe69214a6, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x8dca6431, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x5ab3883b, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xc5be5efd, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x2e38b33d, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x3b4447ae, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x540a26d4, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x9462f89f, "");
SYMBOL_CRC(phy_read_mmd, 0x100674fc, "");
SYMBOL_CRC(__phy_write_mmd, 0x7075f4e7, "");
SYMBOL_CRC(phy_write_mmd, 0xadd086dd, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x7a66f6f3, "");
SYMBOL_CRC(phy_package_read_mmd, 0xf56fe94e, "");
SYMBOL_CRC(__phy_package_write_mmd, 0xd57478d5, "");
SYMBOL_CRC(phy_package_write_mmd, 0xde7c22e7, "");
SYMBOL_CRC(phy_modify_changed, 0x4f65bb19, "_gpl");
SYMBOL_CRC(__phy_modify, 0x62883af9, "_gpl");
SYMBOL_CRC(phy_modify, 0x4870696a, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x24390775, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x48b845a9, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x7f7d8bc3, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x597dacb7, "_gpl");
SYMBOL_CRC(phy_save_page, 0x80233ed8, "_gpl");
SYMBOL_CRC(phy_select_page, 0xa9799c7d, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x1b508561, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x52bd125b, "");
SYMBOL_CRC(phy_write_paged, 0xb8144767, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x55e29302, "");
SYMBOL_CRC(phy_modify_paged, 0x01ed070a, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x297d7474, "_gpl");
SYMBOL_CRC(phy_device_free, 0x5ac094d7, "");
SYMBOL_CRC(phy_register_fixup, 0xd5501e67, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x8dda2e77, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x5e726987, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x71caa012, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x94a095e2, "");
SYMBOL_CRC(get_phy_device, 0xa5a2f4d7, "");
SYMBOL_CRC(phy_device_register, 0xd5413200, "");
SYMBOL_CRC(phy_device_remove, 0xf581a174, "");
SYMBOL_CRC(phy_get_c45_ids, 0x3710e4d6, "");
SYMBOL_CRC(phy_find_first, 0xe9c71dc8, "");
SYMBOL_CRC(phy_connect_direct, 0xd060571a, "");
SYMBOL_CRC(phy_connect, 0xf1de4113, "");
SYMBOL_CRC(phy_disconnect, 0x181bda1d, "");
SYMBOL_CRC(phy_init_hw, 0xd46c8728, "");
SYMBOL_CRC(phy_attached_info, 0x4c861bc0, "");
SYMBOL_CRC(phy_attached_info_irq, 0x3b321f89, "");
SYMBOL_CRC(phy_attached_print, 0x3f20d866, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x1c2add0b, "");
SYMBOL_CRC(phy_attach_direct, 0x51ab874b, "");
SYMBOL_CRC(phy_attach, 0x4204e7fe, "");
SYMBOL_CRC(phy_driver_is_genphy, 0xedb2a679, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x17e482d9, "_gpl");
SYMBOL_CRC(phy_package_join, 0x3dfad834, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x6f8cd70f, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x3780b994, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x488ccd9f, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0x4b745a57, "_gpl");
SYMBOL_CRC(phy_detach, 0x7b125522, "");
SYMBOL_CRC(phy_suspend, 0x19b51dc5, "");
SYMBOL_CRC(__phy_resume, 0x077bcb01, "");
SYMBOL_CRC(phy_resume, 0x12f7bdb6, "");
SYMBOL_CRC(phy_loopback, 0x897350ee, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x4749e8d2, "");
SYMBOL_CRC(genphy_config_eee_advert, 0xf88c6c77, "");
SYMBOL_CRC(genphy_setup_forced, 0xd800ed9e, "");
SYMBOL_CRC(genphy_read_master_slave, 0x605402ff, "");
SYMBOL_CRC(genphy_restart_aneg, 0xf3e643be, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x975527db, "");
SYMBOL_CRC(__genphy_config_aneg, 0xa6f2f935, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xd209eac4, "");
SYMBOL_CRC(genphy_aneg_done, 0x9080ec12, "");
SYMBOL_CRC(genphy_update_link, 0xf03f08ff, "");
SYMBOL_CRC(genphy_read_lpa, 0xd41fc1de, "");
SYMBOL_CRC(genphy_read_status_fixed, 0xae6d72e0, "");
SYMBOL_CRC(genphy_read_status, 0xae076db1, "");
SYMBOL_CRC(genphy_c37_read_status, 0x43795df7, "");
SYMBOL_CRC(genphy_soft_reset, 0x6be2ed71, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x1dad8afc, "");
SYMBOL_CRC(genphy_read_abilities, 0x3a6b1847, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x9ed85429, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x931b84a9, "");
SYMBOL_CRC(genphy_suspend, 0x8c3dbc1a, "");
SYMBOL_CRC(genphy_resume, 0x251ce07e, "");
SYMBOL_CRC(genphy_loopback, 0x5c97d251, "");
SYMBOL_CRC(phy_remove_link_mode, 0x77b899ec, "");
SYMBOL_CRC(phy_advertise_supported, 0x25ff5c54, "");
SYMBOL_CRC(phy_advertise_eee_all, 0xc2eedf59, "_gpl");
SYMBOL_CRC(phy_support_eee, 0x4054e1d1, "");
SYMBOL_CRC(phy_support_sym_pause, 0xf00ec310, "");
SYMBOL_CRC(phy_support_asym_pause, 0x9f0762a9, "");
SYMBOL_CRC(phy_set_sym_pause, 0xb9dae06b, "");
SYMBOL_CRC(phy_set_asym_pause, 0x1f2636c4, "");
SYMBOL_CRC(phy_validate_pause, 0x8453e7b5, "");
SYMBOL_CRC(phy_get_pause, 0x71ae47d0, "");
SYMBOL_CRC(phy_get_internal_delay, 0xd6139d12, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x41e22631, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x31c64561, "");
SYMBOL_CRC(device_phy_find_device, 0x8a08675b, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x61805289, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x9d317f4b, "");
SYMBOL_CRC(phy_drivers_register, 0xc0cf74e6, "");
SYMBOL_CRC(phy_driver_unregister, 0xaea15994, "");
SYMBOL_CRC(phy_drivers_unregister, 0x4983850f, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xe2161f36, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x3d63379b, "");
SYMBOL_CRC(mdiobus_get_phy, 0x1c03dece, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xe1e1c5cf, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x60d16638, "");
SYMBOL_CRC(mdio_find_bus, 0x7dc43ace, "");
SYMBOL_CRC(of_mdio_find_bus, 0xe26b5725, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xbff41a92, "");
SYMBOL_CRC(__mdiobus_register, 0x241e0782, "");
SYMBOL_CRC(mdiobus_unregister, 0x86ae7929, "");
SYMBOL_CRC(mdiobus_free, 0xebb4ee3b, "");
SYMBOL_CRC(__mdiobus_read, 0x91dcfce8, "");
SYMBOL_CRC(__mdiobus_write, 0x6297e2e9, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x74843c9a, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x18eb7887, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xff016d76, "");
SYMBOL_CRC(mdiobus_read_nested, 0xae968aa0, "");
SYMBOL_CRC(mdiobus_read, 0xab9ac516, "");
SYMBOL_CRC(mdiobus_c45_read, 0x771d8352, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xcef362c6, "");
SYMBOL_CRC(mdiobus_write_nested, 0x6ae83104, "");
SYMBOL_CRC(mdiobus_write, 0x3d864024, "");
SYMBOL_CRC(mdiobus_c45_write, 0xdd9eeae6, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x34b91aeb, "");
SYMBOL_CRC(__mdiobus_modify, 0xc6f7c3b8, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xf1072cd0, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0xff5b0274, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x84f12ce5, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x051d776b, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x7970cf2f, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x9f2a1199, "");
SYMBOL_CRC(mdio_device_create, 0xf0ecd53d, "");
SYMBOL_CRC(mdio_device_register, 0xd0295c4d, "");
SYMBOL_CRC(mdio_device_remove, 0x7c4b15fd, "");
SYMBOL_CRC(mdio_device_reset, 0xd419adcd, "");
SYMBOL_CRC(mdio_driver_register, 0x2214b04c, "");
SYMBOL_CRC(mdio_driver_unregister, 0x4756e271, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x8101796c, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xf2d2256b, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0xea8682e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f11212a, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbbded10a, "gpiod_put" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa292346b, "devm_kmalloc" },
	{ 0x2bb6124e, "of_node_put" },
	{ 0xd2e3c727, "of_property_read_variable_u32_array" },
	{ 0x78f3ec63, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb3a70d37, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x4bec2fd9, "device_match_of_node" },
	{ 0x7f42c1c9, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x54e7d3b3, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0xc9694d48, "gpiod_set_value_cansleep" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x9f5b3b6a, "refcount_dec_and_mutex_lock" },
	{ 0xc3bc4ceb, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x302e3a53, "of_get_parent" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf2cebacf, "led_classdev_unregister" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x15b58e99, "devm_gpiod_get_optional" },
	{ 0x9da82ed, "get_device" },
	{ 0xebf55416, "of_get_next_available_child" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x6df172f7, "devres_add" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0x34c01f99, "device_match_fwnode" },
	{ 0x2f83c97b, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd3bcdaea, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6c617e18, "put_device" },
	{ 0x61aa1025, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0xf894592d, "device_property_read_u32_array" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0x1424291c, "module_put" },
	{ 0xa27f5bf4, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x1922403c, "of_get_child_by_name" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0x4531f06b, "of_match_device" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0x9077da1a, "bus_unregister" },
	{ 0x2b046a62, "devm_kfree" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0xe4e3e2cc, "bus_find_device" },
	{ 0x32e4a6d5, "device_add" },
	{ 0xc82833ce, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x5c9c2288, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xd58b6dde, "mutex_is_locked" },
	{ 0x58a8220f, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4a1cc01d, "sfp_bus_add_upstream" },
	{ 0x7b80494f, "of_find_property" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x37288e9, "class_unregister" },
	{ 0xdf82a22f, "led_trigger_unregister" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xed393889, "led_classdev_register_ext" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb3867edd, "device_register" },
	{ 0x535029a8, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x414c85d0, "device_bind_driver" },
	{ 0xdcb764ad, "memset" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0xc518edf0, "of_device_uevent_modalias" },
	{ 0x6f473eda, "device_link_del" },
	{ 0x4114ab2d, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xc6b41beb, "netdev_alert" },
	{ 0xfa230f6f, "ethnl_cable_test_alloc" },
	{ 0xbf2b0c5c, "fwnode_find_reference" },
	{ 0x1da1f65b, "fwnode_property_read_string" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3a0ef5e, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd4720ffe, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea0a64b4, "netif_carrier_off" },
	{ 0x270b7f8e, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e6a60b6, "led_trigger_register" },
	{ 0x205fbdc6, "netif_carrier_on" },
	{ 0xb160584a, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x270434d7, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x5c1db771, "sysfs_create_link_nowarn" },
	{ 0xd69099c7, "of_node_name_eq" },
	{ 0x4886b2c2, "dev_err_probe" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x5679c3ed, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3ebe6ad5, "led_trigger_event" },
	{ 0x721dcfee, "device_release_driver" },
	{ 0x21f89223, "ethnl_cable_test_free" },
	{ 0x40de3fe1, "gpiod_set_consumer_name" },
	{ 0x5a579546, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6099afe0, "driver_register" },
	{ 0x9cc65552, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4ea10d04, "__dev_fwnode" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x6e1944f, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x978c2754, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x37105283, "class_find_device" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "led-class");


MODULE_INFO(srcversion, "D657B9165A8F9F3C9CF7B82");
