#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x305a6767, "");
SYMBOL_CRC(ath10k_info, 0xf43064e6, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x49323a59, "");
SYMBOL_CRC(ath10k_err, 0x74d61412, "");
SYMBOL_CRC(ath10k_warn, 0xa5ed5eed, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xb8f86c24, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xf094e044, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x9590fab0, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x2588ecaf, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x0a39cd01, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x2fbf4718, "");
SYMBOL_CRC(ath10k_core_start, 0x9e23a2e5, "");
SYMBOL_CRC(ath10k_core_stop, 0xc577758d, "");
SYMBOL_CRC(ath10k_core_register, 0xd8c89a88, "");
SYMBOL_CRC(ath10k_core_unregister, 0x8f860f8e, "");
SYMBOL_CRC(ath10k_core_create, 0xda4b7222, "");
SYMBOL_CRC(ath10k_core_destroy, 0xc26ac96e, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x509202b5, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x2a4358a5, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xc0660b16, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x6157891f, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x19292c45, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x99939644, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x66dccf9d, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xa18097d4, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xaa6680be, "");
SYMBOL_CRC(ath10k_bmi_start, 0x812258e5, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x11112172, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x494a90fe, "");
SYMBOL_CRC(ath10k_coredump_new, 0x0fba6973, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x0dc9b3b5, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xa407abc1, "");
SYMBOL_CRC(ath10k_ce_send, 0xb619c72a, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x5aac75af, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x12ffc1b2, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x5a6800c0, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xcaa197d0, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xef2657b2, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xaaeaaa68, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xb7d04c8f, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x6bbbf30a, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xc67b88b9, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x639c45df, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x74a7a989, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x43e09fd5, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xc0f07d84, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0xe4f47d23, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x6dc70053, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x1a3464b9, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x8e4db8d7, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x5f17ea26, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x94b4e5b0, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xb34af718, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xb830538e, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x8af4dcb8, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x585f7c5c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x328c2736, "cpu_latency_qos_remove_request" },
	{ 0x76e0b43, "ieee80211_beacon_update_cntdwn" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf9410e46, "device_set_wakeup_enable" },
	{ 0xd267a405, "completion_done" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0x60e18117, "ieee80211_manage_rx_ba_offl" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x90ac12bb, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x53446b14, "__ieee80211_schedule_txq" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x5b3b296d, "ieee80211_txq_get_depth" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x7e1d1094, "param_ops_ulong" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0xa292346b, "devm_kmalloc" },
	{ 0x279f3d53, "skb_put" },
	{ 0xd2e3c727, "of_property_read_variable_u32_array" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x849499cd, "firmware_request_nowarn" },
	{ 0x44a478dc, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0x1a9b1566, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa7fc8dd1, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x96dcc5cc, "skb_dequeue" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x2e4dd85f, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xcd51b072, "dma_unmap_page_attrs" },
	{ 0xd0055ff2, "ieee80211_txq_schedule_start" },
	{ 0x96848186, "scnprintf" },
	{ 0x6836fca6, "ieee80211_iterate_stations_atomic" },
	{ 0x315beadb, "ieee80211_tx_status_ext" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5b36ee49, "ieee80211_beacon_loss" },
	{ 0x7cf8cb0c, "cpu_latency_qos_add_request" },
	{ 0xffb83b87, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe753b292, "thermal_cooling_device_register" },
	{ 0xbce2c5e2, "ieee80211_register_hw" },
	{ 0xa7d26198, "ieee80211_restart_hw" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x4d330c58, "ieee80211_wake_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x15e63a46, "ieee80211_hw_restart_disconnect" },
	{ 0x1cb46843, "of_get_property" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4f23d7e4, "pskb_expand_head" },
	{ 0xc1397fca, "skb_queue_purge_reason" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0xf55b3b3d, "__arch_hweight16" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x98dc712b, "dma_map_page_attrs" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe97be63b, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x6808cbd4, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0xd60693a6, "cfg80211_put_bss" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0xd2a47fc3, "skb_queue_tail" },
	{ 0x46be07fc, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xa27f5bf4, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x3069a68c, "wiphy_to_ieee80211_hw" },
	{ 0x2625fbe4, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc2b4322e, "ieee80211_queue_delayed_work" },
	{ 0x9f4d95e0, "ieee80211_proberesp_get" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0xc7243402, "skb_pull" },
	{ 0xc82833ce, "sysfs_remove_link" },
	{ 0x117cd626, "idr_alloc" },
	{ 0xb9302b66, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x71ec4534, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1cf1477, "ieee80211_next_txq" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc0ee2407, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x14e1c8d2, "skb_push" },
	{ 0x1fdeb653, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xd8e1b1db, "napi_enable" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x3641453e, "ieee80211_wake_queues" },
	{ 0x40cfa372, "free_netdev" },
	{ 0x100b2d70, "of_property_read_string" },
	{ 0xc189fa40, "wiphy_read_of_freq_limits" },
	{ 0xd2354d22, "ieee80211_report_low_ack" },
	{ 0x49a2c418, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x19aea6f9, "ieee80211_free_txskb" },
	{ 0xbfbb8810, "dev_coredumpv" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x7983a280, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x5255ef4d, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe8399c02, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xd8ed9f2f, "skb_dequeue_tail" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x934aa453, "of_property_read_variable_u8_array" },
	{ 0x68da0f4, "devm_nvmem_cell_get" },
	{ 0x170254b, "ieee80211_stop_queue" },
	{ 0x4f81fd23, "__netdev_alloc_skb" },
	{ 0xfee9367b, "ieee80211_ready_on_channel" },
	{ 0xae9b3be5, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8201ad19, "skb_trim" },
	{ 0x2df50b0, "jiffies" },
	{ 0x19cdb885, "skb_realloc_headroom" },
	{ 0x4a456cd8, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xde7020e6, "idr_for_each" },
	{ 0xc2e6a9bb, "alloc_netdev_dummy" },
	{ 0xd6f61e89, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x35cb3c27, "ieee80211_scan_completed" },
	{ 0x895f1619, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9fd0bc6, "param_ops_bool" },
	{ 0x964043cb, "__dma_sync_single_for_device" },
	{ 0xe36a757b, "ieee80211_unregister_hw" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb84f1f87, "ath_regd_init" },
	{ 0xec186ca3, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe7465a11, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x99dd4c00, "ieee80211_tdls_oper_request" },
	{ 0x164b0d2, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3be8c860, "thermal_cooling_device_unregister" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x6ee622c8, "ieee80211_tx_rate_update" },
	{ 0xee810b30, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf3ba3ab0, "napi_disable" },
	{ 0x5db6493, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x3f1f315a, "__cfg80211_get_bss" },
	{ 0x44255b55, "of_property_read_string_helper" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0xc467ebd7, "skb_queue_head" },
	{ 0x98b7cffa, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "2F02171A570E3CFF285E1D6");
