#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x82cbe57b, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xc1240ab3, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xe19c9cfb, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xadd8a189, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x0fcbe960, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x90da3d6e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x9446b12b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xcd73645f, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x90afa536, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x5e9ae71b, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xfe93de01, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x81ed2de4, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xfbe77a25, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x57cac04c, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xfc5532d7, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x1e7c27f3, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x06bcf895, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x83b80e80, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x645b6c12, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xb509a9fc, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x003bce9c, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x2809896c, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x07ce8e82, "_gpl");
SYMBOL_CRC(mt76_rx, 0xddbc309e, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xe472bf8b, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x742b820f, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x0831224e, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xe37c05a2, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x79c55f91, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xb754037b, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x7d0189e6, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x2cc3f7ed, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x94b5b51f, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xe1c79121, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x77316019, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x68b95cc3, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xe02eab41, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x8382c21d, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x3bdec21d, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xd5f16d29, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x9c6ad2ff, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xaeaea46e, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x27fa17a9, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xe153e675, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x61cd9e9b, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x258c4c56, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x720388f6, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xee6bb5b1, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xd7eee9fc, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x2ca8a536, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xe749901a, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x79649ea3, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xc361c10b, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x16d24fb3, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xeda22c5f, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x7ebc1ceb, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x6d25e74f, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x4d2d0765, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xb042ecb7, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x03dae1bc, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xd3347b07, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xac2a3a4c, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xde2ea884, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xff983128, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xc8a77603, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xff8bc3b2, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xbc065e53, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xbfca80a4, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x57904ed1, "_gpl");
SYMBOL_CRC(mt76_tx, 0x5a21d603, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x72242529, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x0e8a67aa, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x652b9b45, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xf2fb1c94, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x8fd1b8ac, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x9c18ce14, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xf151bff9, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x29d253f9, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x2ae4477d, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x8a222344, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x3d98362a, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xdd9c9e42, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x74ad299e, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xd37d3bf5, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xb09ef962, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x468952d1, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xc3dc5f42, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x3cb81cb5, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x68df6729, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x1d5da4c0, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x677b33bb, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x9fc8424c, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x39ba852e, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xed76fbf9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe89e1c4e, "pcie_capability_read_word" },
	{ 0xdca8de4b, "__skb_pad" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0xea442f03, "page_pool_get_stats" },
	{ 0xf37e132b, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x53446b14, "__ieee80211_schedule_txq" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x6fec9a, "debugfs_attr_write" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0xa292346b, "devm_kmalloc" },
	{ 0x2bb6124e, "of_node_put" },
	{ 0x279f3d53, "skb_put" },
	{ 0xd2e3c727, "of_property_read_variable_u32_array" },
	{ 0x8c9bb121, "page_pool_alloc_frag" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44a478dc, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x142b17f1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xf7250d15, "dmam_alloc_attrs" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x96dcc5cc, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x2e4dd85f, "ieee80211_free_hw" },
	{ 0xcd51b072, "dma_unmap_page_attrs" },
	{ 0xd0055ff2, "ieee80211_txq_schedule_start" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x315beadb, "ieee80211_tx_status_ext" },
	{ 0xd9fa1b19, "debugfs_create_blob" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x5b929f85, "page_pool_destroy" },
	{ 0xbce2c5e2, "ieee80211_register_hw" },
	{ 0xf2cebacf, "led_classdev_unregister" },
	{ 0x8226a066, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc128daa1, "ieee80211_sta_eosp" },
	{ 0x60901c59, "ieee80211_get_hdrlen_from_skb" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x21741ed4, "__netif_napi_del" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xd675de32, "kthread_park" },
	{ 0xe9204f61, "sched_set_fifo_low" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x1cb46843, "of_get_property" },
	{ 0xdd6a1d6e, "wake_up_process" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0xf55b3b3d, "__arch_hweight16" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0x98dc712b, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0xfc642537, "napi_complete_done" },
	{ 0x36d530ff, "ieee80211_get_tx_rates" },
	{ 0xb5c6b648, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x51cd4801, "ieee80211_sta_uapsd_trigger" },
	{ 0x4129021f, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f76c2ba, "debugfs_create_devm_seqfile" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x10c7acef, "__alloc_skb" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0xae162bf7, "pci_disable_link_state" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0x3f880064, "napi_gro_receive" },
	{ 0xf4817cf7, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xd2a47fc3, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x855c5efb, "dev_set_threaded" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x1922403c, "of_get_child_by_name" },
	{ 0x865604ab, "debugfs_attr_read" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x2dba276a, "__iowrite32_copy" },
	{ 0x618ff0a, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc2b4322e, "ieee80211_queue_delayed_work" },
	{ 0xdb19f5fe, "devm_kmemdup" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x1fc6142e, "of_prop_next_string" },
	{ 0xe31e3e92, "debugfs_create_file_unsafe" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x4ee63495, "simple_attr_release" },
	{ 0x20551400, "ieee80211_calc_rx_airtime" },
	{ 0x71ec4534, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1cf1477, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7087348d, "pcie_capability_clear_and_set_word_locked" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x14e1c8d2, "skb_push" },
	{ 0xd8e1b1db, "napi_enable" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9260a037, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0xc189fa40, "wiphy_read_of_freq_limits" },
	{ 0x7b80494f, "of_find_property" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x55364003, "kthread_stop" },
	{ 0x19aea6f9, "ieee80211_free_txskb" },
	{ 0xed393889, "led_classdev_register_ext" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x72706be9, "of_device_is_available" },
	{ 0x7983a280, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x5255ef4d, "ieee80211_tx_dequeue" },
	{ 0x17e03cfd, "ieee80211_rx_list" },
	{ 0xcba8edd2, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x10aadff1, "debugfs_create_u32" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x2df50b0, "jiffies" },
	{ 0x6bec5582, "kthread_create_on_node" },
	{ 0xf6c80de8, "cfg80211_reg_can_beacon" },
	{ 0x94dcbb92, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x895f1619, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x964043cb, "__dma_sync_single_for_device" },
	{ 0xe36a757b, "ieee80211_unregister_hw" },
	{ 0x1b4b62f0, "napi_build_skb" },
	{ 0x966ae98e, "seq_write" },
	{ 0x64447644, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1437f172, "of_nvmem_cell_get" },
	{ 0x42696bcb, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x7992a412, "skb_add_rx_frag_netmem" },
	{ 0xbf38d7df, "ieee80211_sta_ps_transition" },
	{ 0xdcda2e99, "debugfs_create_u8" },
	{ 0x97518bd3, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8bd1aca9, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0x8bd2fe97, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "mac80211,led-class,cfg80211");


MODULE_INFO(srcversion, "90C704F33FE80FED427F6B7");
