#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_stop, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0x754c863f, "_gpl");
SYMBOL_CRC(mt792x_stop, 0x9384c2a1, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0x527ce8e8, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0x6fb463d5, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0x5c330bca, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0x3aa18eb4, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0x7272df57, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0x60c16ee6, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0xf64a0c5e, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0xf2c25a97, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0xf45c2a90, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0xe7461866, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0xc70b0c75, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x6e1389cf, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0x11ed7b5e, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0x6046b263, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0x52c86364, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0x68b92fbc, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0xb7dff8e7, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x707201ed, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0xb1cb1968, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0x515273b2, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0xda753d71, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0x666c31a7, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0xfba85253, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0xac7ead94, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x22871582, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0x993ff620, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0xc862795d, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0x74bd21b0, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0x4c3c8493, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x7e13a642, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x9efdef4e, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0x337b0e35, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x5f2194f6, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0xa8efa5ea, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0xb9749f8d, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0x3e573d14, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0x48027e38, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0x4216bd3c, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0x57d521ed, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x0ee1a096, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0x220d0b93, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0x2ebb530e, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x3b38c2d9, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0xd62d6fce, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x4b26d255, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0x9bfa267c, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0x8b3e6dd7, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x92cabbbd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9410e46, "device_set_wakeup_enable" },
	{ 0x81ed2de4, "mt76_dma_rx_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x6464c08b, "mt76_connac_mcu_uni_add_dev" },
	{ 0x2970dea0, "request_firmware" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x6836fca6, "ieee80211_iterate_stations_atomic" },
	{ 0xce1d396d, "mt76_connac_pm_wake" },
	{ 0x9446b12b, "__traceiter_dev_irq" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe472bf8b, "mt76_has_tx_pending" },
	{ 0x7a8f665e, "ieee80211_emulate_change_chanctx" },
	{ 0xbb25a4e, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x57cac04c, "mt76_dma_cleanup" },
	{ 0xa27af563, "mt76_connac_pm_queue_skb" },
	{ 0xbfca80a4, "mt76_tx_status_check" },
	{ 0xdd6a1d6e, "wake_up_process" },
	{ 0x80f29896, "mt76_connac_free_pending_tx_skbs" },
	{ 0xf93c4dcf, "mt76_connac_power_save_sched" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0xfc642537, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x5a21d603, "mt76_tx" },
	{ 0xaad4ecc9, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x333f3f2, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc2b4322e, "ieee80211_queue_delayed_work" },
	{ 0xdb19f5fe, "devm_kmemdup" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0xd2331bdb, "mt76_connac2_load_ram" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0xd58b6dde, "mutex_is_locked" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x831224e, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3641453e, "ieee80211_wake_queues" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x82cbe57b, "mt76_set_irq_mask" },
	{ 0xaede084f, "mt76_connac_pm_dequeue_skbs" },
	{ 0xdcb764ad, "memset" },
	{ 0xad10d1eb, "ieee80211_emulate_add_chanctx" },
	{ 0x85f00a12, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2ca8a536, "mt76_ethtool_page_pool_stats" },
	{ 0x2df50b0, "jiffies" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x895f1619, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x652b9b45, "mt76_txq_schedule_all" },
	{ 0xd2f7effc, "mt76_connac2_load_patch" },
	{ 0x966ae98e, "seq_write" },
	{ 0xadd8a189, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x42696bcb, "seq_printf" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x68b95cc3, "mt76_wcid_cleanup" },
	{ 0xee810b30, "ieee80211_queue_work" },
	{ 0x1752c1f8, "napi_schedule_prep" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x55ffbc8e, "ieee80211_emulate_remove_chanctx" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "CC79767574033D9156306D4");
