#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82d19b34, "scsi_dma_map" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x21540fb8, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x647d7c08, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc3809c5d, "scsi_remove_host" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x5eb1919e, "__pci_register_driver" },
	{ 0xb35f5be2, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0xff182bd, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb198ed5c, "scsi_dma_unmap" },
	{ 0x94ded10a, "scsi_partsize" },
	{ 0x37a0cba, "kfree" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x79c788c2, "pci_irq_vector" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xf065629f, "pci_unregister_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0xc4e27dc8, "scsi_device_lookup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3fe480d5, "scsi_add_device" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xebde38a0, "scsi_device_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa8f5bd9b, "scsi_host_put" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1fdeb653, "dma_alloc_attrs" },
	{ 0x3f5ac093, "scsi_scan_host" },
	{ 0x73c9752, "pci_read_config_word" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x254c9287, "ioremap" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0xbd7cb045, "pci_set_master" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x2df50b0, "jiffies" },
	{ 0xbe54d948, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd6f61e89, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaac97842, "pci_release_regions" },
	{ 0xf0a4db29, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x2be61f35, "pci_disable_device" },
	{ 0x479fc2d5, "scsi_done" },
	{ 0x3d27247, "dma_set_mask" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xc685e401, "scsi_remove_device" },
	{ 0x21565e74, "scsi_add_host_with_dma" },
	{ 0xbe0e25e8, "pci_read_config_byte" },
	{ 0x942a9467, "param_ops_int" },
	{ 0xb05d7eeb, "scsi_host_alloc" },
	{ 0x8c33b33c, "sysfs_remove_bin_file" },
	{ 0xe06fd42c, "pci_free_irq_vectors" },
	{ 0xd11f4672, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2b91a389, "blk_queue_rq_timeout" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");

MODULE_ALIAS("pci:v000017D3d00001110sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001130sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001160sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001170sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001203sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001210sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001214sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001230sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001260sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001270sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001280sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001380sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001381sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001680sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001880sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001883sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001884sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001886sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d0000188Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "578CF1E77439D7C0AE8570E");
