#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x611a92c2, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0x5bacd3a4, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x35a8ac99, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0x2ef70597, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0x485e3261, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x8ba0f35e, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0x30adf97b, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0x42c86273, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0xe8c6a572, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0x37c40c7c, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0x82193625, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x310c69d9, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0xc7fc6034, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0x75fa7cde, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0xdc7fcf45, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0x2680988b, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0xc398a10c, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0x353a5d3b, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0xf254e4c3, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0x29ef0357, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0xaf0fd69b, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0xef22a63a, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0x709755ad, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0xdebf435c, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0xc604d6c1, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0x7ba26885, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0xd65b8bcf, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0x3e0b78a9, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0xe20a154b, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0xf67bc66f, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0xb6fff3a8, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0xafb76c31, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0xd4cdfbaa, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0xcc0ac600, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0x8ddadc33, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0x0ef9235e, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0xefa7a9ef, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0xaeab7d6a, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0xcc113f81, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0x81452e10, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0x8b2ed6db, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0x93b1cc41, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0x00258562, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0xb32dac1f, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0x68a0d52e, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0x83733938, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0xf919dd2d, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0x06db0e2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9407e965, "_dev_printk" },
	{ 0xd9b79e6d, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x479fc2d5, "scsi_done" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x21565e74, "scsi_add_host_with_dma" },
	{ 0xb05d7eeb, "scsi_host_alloc" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa8f5bd9b, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3eb32a61, "scsi_host_get" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x27925fef, "iscsi_remove_session" },
	{ 0x63f65801, "iscsi_alloc_conn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd6acb08d, "iscsi_add_conn" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc9bae2de, "iscsi_put_conn" },
	{ 0x2df50b0, "jiffies" },
	{ 0x1ef35524, "iscsi_unblock_session" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xc6264e7a, "__tracepoint_iscsi_dbg_session" },
	{ 0xa380f97e, "__traceiter_iscsi_dbg_session" },
	{ 0xda09b986, "__tracepoint_iscsi_dbg_eh" },
	{ 0xd9c2807f, "__traceiter_iscsi_dbg_eh" },
	{ 0x363ef721, "__tracepoint_iscsi_dbg_conn" },
	{ 0x6914125f, "__traceiter_iscsi_dbg_conn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf2f7f15e, "iscsi_conn_error_event" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdcb764ad, "memset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66bfb768, "iscsi_recv_pdu" },
	{ 0x8a0a98f2, "iscsi_force_destroy_session" },
	{ 0xde8b0cc4, "iscsi_host_for_each_session" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc3809c5d, "scsi_remove_host" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xce7a4967, "flush_signals" },
	{ 0x24d273d1, "add_timer" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x33f74466, "iscsi_free_session" },
	{ 0x1424291c, "module_put" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xb03a1ab5, "iscsi_remove_conn" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf7370f56, "system_state" },
	{ 0x308664ba, "iscsi_session_chkready" },
	{ 0xc85328d5, "iscsi_alloc_session" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0x6105b556, "iscsi_add_session" },
	{ 0xb08d1108, "iscsi_get_conn" },
	{ 0xaaaf3212, "iscsi_block_session" },
	{ 0x46f1350, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x942a9467, "param_ops_int" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D2C8AD88B4623AE89808360");
