#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0xaddffdb9, "");
SYMBOL_CRC(qlt_stop_phase1, 0x0aa5aea9, "");
SYMBOL_CRC(qlt_stop_phase2, 0x5bd5e8e1, "");
SYMBOL_CRC(qlt_free_mcmd, 0x3c72b394, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xe7314cc7, "");
SYMBOL_CRC(qlt_xmit_response, 0x3e9a424f, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0x1b9526a7, "");
SYMBOL_CRC(qlt_abort_cmd, 0x8054de40, "");
SYMBOL_CRC(qlt_free_cmd, 0x538ec0cb, "");
SYMBOL_CRC(qlt_lport_register, 0x1a87df89, "");
SYMBOL_CRC(qlt_lport_deregister, 0xf03dae51, "");
SYMBOL_CRC(qlt_enable_vha, 0xc36bdad7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51857af0, "param_ops_ullong" },
	{ 0xd4dc2d40, "pci_save_state" },
	{ 0x3dcad562, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe89e1c4e, "pcie_capability_read_word" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfe7afd53, "fc_attach_transport" },
	{ 0xf37e132b, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x6fec9a, "debugfs_attr_write" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x24370131, "dma_pool_create" },
	{ 0xd9aa5adb, "pci_request_selected_regions" },
	{ 0x1670ec80, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x21540fb8, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x881ca17e, "pci_enable_device_mem" },
	{ 0x89a5c9d0, "bsg_job_done" },
	{ 0xeaac8509, "btree_insert" },
	{ 0x647d7c08, "pci_alloc_irq_vectors" },
	{ 0xdbb9d6b5, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0xc3809c5d, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x46f1350, "scsi_build_sense" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xcd51b072, "dma_unmap_page_attrs" },
	{ 0x2970dea0, "request_firmware" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x809687e9, "fc_remove_host" },
	{ 0x5eb1919e, "__pci_register_driver" },
	{ 0xff20949d, "set_user_nice" },
	{ 0xb35f5be2, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xff182bd, "pci_request_regions" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x47fe539b, "is_kdump_kernel" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb198ed5c, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x55bbc5b9, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x6c94bd21, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbb25a4e, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x99eccae4, "fc_eh_timed_out" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x491dd262, "btree_remove" },
	{ 0x79c788c2, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0x6adf87e3, "pci_try_set_mwi" },
	{ 0x15013103, "kmem_cache_create" },
	{ 0x9da82ed, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0x75edabe9, "mempool_free" },
	{ 0xf065629f, "pci_unregister_driver" },
	{ 0xc6d6af46, "ppc_pci_io" },
	{ 0xdd6a1d6e, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0xeb568e57, "trace_array_put" },
	{ 0xc691063d, "pci_read_config_dword" },
	{ 0x98dc712b, "dma_map_page_attrs" },
	{ 0xfb7f8928, "irq_set_affinity_notifier" },
	{ 0x24894977, "blk_mq_pci_map_queues" },
	{ 0x32775d5a, "fc_block_scsi_eh" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6ac1bf42, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x3eb32a61, "scsi_host_get" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x553f32df, "fc_host_post_event" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x23e1f0ce, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x86ce585f, "fc_release_transport" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6189bd0b, "pci_set_mwi" },
	{ 0x33a10619, "btree_lookup" },
	{ 0x800473f, "__cond_resched" },
	{ 0x762769ec, "pci_find_capability" },
	{ 0x865604ab, "debugfs_attr_read" },
	{ 0x362b9616, "btree_init" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xa65972b8, "_memcpy_toio" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0xd06a0ad0, "kobject_uevent_env" },
	{ 0x19333c52, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x6eb09a5f, "fc_vport_create" },
	{ 0xa8f5bd9b, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4ee63495, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xab1605b0, "noop_llseek" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5ce44503, "fc_remote_port_rolechg" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xd1254d68, "kmem_cache_free" },
	{ 0x1fdeb653, "dma_alloc_attrs" },
	{ 0x3f5ac093, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x106fa3f8, "debugfs_remove" },
	{ 0x73c9752, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xad5df56c, "fc_vport_terminate" },
	{ 0x254c9287, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x71a9415d, "fc_block_rport" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x55364003, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x37e8dffc, "trace_array_get_by_name" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xb6f3faf, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x7ca3f392, "pci_alloc_irq_vectors_affinity" },
	{ 0x94b4e27f, "scsi_is_host_device" },
	{ 0xbd7cb045, "pci_set_master" },
	{ 0xae72fe63, "param_ops_charp" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xf1943957, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbd0b6c4a, "dma_get_required_mask" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x706baa97, "blk_mq_unique_tag" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3e4f8768, "vmalloc_array_noprof" },
	{ 0x2e41b261, "device_show_string" },
	{ 0x37371741, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x6bec5582, "kthread_create_on_node" },
	{ 0xbe54d948, "dma_set_coherent_mask" },
	{ 0xf228b892, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7e751831, "trace_array_set_clr_event" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x822dd163, "debugfs_create_file" },
	{ 0x731a747a, "pci_io_base" },
	{ 0xd6f61e89, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe904c65f, "fc_host_fpin_rcv" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x294acf02, "btree_destroy" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xe96900b4, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb4a5ac6b, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc5a27cef, "btree_update" },
	{ 0x964043cb, "__dma_sync_single_for_device" },
	{ 0xf0a4db29, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x46dbb0ec, "__register_chrdev" },
	{ 0x966ae98e, "seq_write" },
	{ 0xbaf229b1, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe3abb4eb, "fc_eh_should_retry_cmd" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xc2d964fb, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42696bcb, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0x31898497, "scsi_is_fc_rport" },
	{ 0x2be61f35, "pci_disable_device" },
	{ 0x479fc2d5, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc3a6913f, "btree_get_prev" },
	{ 0xb999a975, "single_release" },
	{ 0xb1997ea1, "scsi_unblock_requests" },
	{ 0xa8a83e51, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x3d27247, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x3f33b5e9, "pci_disable_rom" },
	{ 0x2515a25b, "dma_unmap_sg_attrs" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x1ec2c114, "pci_irq_get_affinity" },
	{ 0x832d9d73, "scsi_block_requests" },
	{ 0x21565e74, "scsi_add_host_with_dma" },
	{ 0x78cef717, "_raw_write_lock_irqsave" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xbe0e25e8, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0x942a9467, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0xd3c521f1, "single_open" },
	{ 0xb05d7eeb, "scsi_host_alloc" },
	{ 0x97518bd3, "debugfs_create_dir" },
	{ 0x196e52cf, "pci_write_config_word" },
	{ 0x8c33b33c, "sysfs_remove_bin_file" },
	{ 0xe06fd42c, "pci_free_irq_vectors" },
	{ 0xe7ce7439, "_memcpy_fromio" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc2aa127e, "nvme_fc_register_localport" },
	{ 0xd11f4672, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8d01c8e0, "pcix_set_mmrbc" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xdddfb030, "kmem_cache_destroy" },
	{ 0xec82b379, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc,scsi_mod,scsi_common");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "69B9D40C0F9A3EBE19B2E94");
