#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec386362, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x90ac12bb, "device_set_wakeup_capable" },
	{ 0x4dc62c82, "typec_register_partner" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x68af5070, "devm_request_threaded_irq" },
	{ 0xa292346b, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe4ef163a, "of_property_match_string" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0xb2bb7c0e, "regmap_raw_read" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0xc9694d48, "gpiod_set_value_cansleep" },
	{ 0x2970dea0, "request_firmware" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x81c38101, "fwnode_usb_role_switch_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1262b1d0, "devm_power_supply_register" },
	{ 0xbb25a4e, "bpf_trace_run2" },
	{ 0x15b58e99, "devm_gpiod_get_optional" },
	{ 0xee2d9a1d, "typec_set_mode" },
	{ 0x80d46853, "fwnode_property_match_string" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0xaf003ecc, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x11e160ed, "devm_free_irq" },
	{ 0x4d3247eb, "typec_unregister_partner" },
	{ 0xbf9cff59, "typec_set_pwr_opmode" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0x5e4607b8, "typec_set_orientation" },
	{ 0xb0cac316, "i2c_register_driver" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0xd40ea57c, "device_wakeup_enable" },
	{ 0x6e56cfce, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x90a7b185, "device_property_read_string" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x535df044, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x10405ec1, "__dev_fwnode_const" },
	{ 0x9049491e, "typec_find_port_data_role" },
	{ 0xaf48acfe, "i2c_get_match_data" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xc2f06cac, "typec_unregister_port" },
	{ 0xb8cbab4d, "power_supply_get_drvdata" },
	{ 0xf5208ea7, "bpf_trace_run1" },
	{ 0xdcb764ad, "memset" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0xdfa0cc8a, "typec_register_port" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x37b1fff8, "power_supply_changed" },
	{ 0x2df50b0, "jiffies" },
	{ 0x6c571570, "devm_kasprintf" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x1da1f65b, "fwnode_property_read_string" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x27947d54, "of_device_is_compatible" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9dfbd0b5, "device_get_named_child_node" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xce0dec7c, "typec_get_drvdata" },
	{ 0xdeb3a11b, "typec_partner_set_identity" },
	{ 0x77108e3a, "fw_devlink_purge_absent_suppliers" },
	{ 0x9fbbc929, "typec_set_pwr_role" },
	{ 0x4886b2c2, "dev_err_probe" },
	{ 0x81188c30, "match_string" },
	{ 0xc7c0c060, "i2c_del_driver" },
	{ 0x127c1e10, "of_property_read_u32_index" },
	{ 0x3bf329c1, "regmap_raw_write" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4ea10d04, "__dev_fwnode" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,regmap-i2c");

MODULE_ALIAS("of:N*T*Cti,tps6598x");
MODULE_ALIAS("of:N*T*Cti,tps6598xC*");
MODULE_ALIAS("of:N*T*Capple,cd321x");
MODULE_ALIAS("of:N*T*Capple,cd321xC*");
MODULE_ALIAS("of:N*T*Cti,tps25750");
MODULE_ALIAS("of:N*T*Cti,tps25750C*");
MODULE_ALIAS("i2c:tps6598x");

MODULE_INFO(srcversion, "970A29D0D31964C4B66673F");
