#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u128_div, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_stddev, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_update, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_stddev, "_gpl", "");
KSYMTAB_FUNC(six_trylock_ip, "_gpl", "");
KSYMTAB_FUNC(six_relock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_ip_waiter, "_gpl", "");
KSYMTAB_FUNC(six_unlock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_downgrade, "_gpl", "");
KSYMTAB_FUNC(six_lock_tryupgrade, "_gpl", "");
KSYMTAB_FUNC(six_trylock_convert, "_gpl", "");
KSYMTAB_FUNC(six_lock_increment, "_gpl", "");
KSYMTAB_FUNC(six_lock_wakeup_all, "_gpl", "");
KSYMTAB_FUNC(six_lock_counts, "_gpl", "");
KSYMTAB_FUNC(six_lock_readers_add, "_gpl", "");
KSYMTAB_FUNC(six_lock_exit, "_gpl", "");
KSYMTAB_FUNC(__six_lock_init, "_gpl", "");
KSYMTAB_FUNC(bch2_run_thread_with_stdout, "_gpl", "");

SYMBOL_CRC(u128_div, 0x04ee0c04, "_gpl");
SYMBOL_CRC(mean_and_variance_get_mean, 0x375cbd1b, "_gpl");
SYMBOL_CRC(mean_and_variance_get_variance, 0xebc0f0d5, "_gpl");
SYMBOL_CRC(mean_and_variance_get_stddev, 0xb9817da6, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_update, 0xb91715f2, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_mean, 0xb3fd2cf8, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_variance, 0x3c42b603, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_stddev, 0xc436648c, "_gpl");
SYMBOL_CRC(six_trylock_ip, 0xe41eb39c, "_gpl");
SYMBOL_CRC(six_relock_ip, 0x9c480ac7, "_gpl");
SYMBOL_CRC(six_lock_ip_waiter, 0xe14a7dea, "_gpl");
SYMBOL_CRC(six_unlock_ip, 0x0b9dc876, "_gpl");
SYMBOL_CRC(six_lock_downgrade, 0xa0d5b8de, "_gpl");
SYMBOL_CRC(six_lock_tryupgrade, 0x8104cc94, "_gpl");
SYMBOL_CRC(six_trylock_convert, 0xd096b8f0, "_gpl");
SYMBOL_CRC(six_lock_increment, 0x3f45aa76, "_gpl");
SYMBOL_CRC(six_lock_wakeup_all, 0x206c0805, "_gpl");
SYMBOL_CRC(six_lock_counts, 0x34799eba, "_gpl");
SYMBOL_CRC(six_lock_readers_add, 0x804fdafb, "_gpl");
SYMBOL_CRC(six_lock_exit, 0xe0fcd3d2, "_gpl");
SYMBOL_CRC(__six_lock_init, 0x005bf3f2, "_gpl");
SYMBOL_CRC(bch2_run_thread_with_stdout, 0x79207781, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b6310e5, "crypto_skcipher_encrypt" },
	{ 0xd1e83d48, "__bio_release_pages" },
	{ 0xf6cf4569, "generic_shutdown_super" },
	{ 0xb92c408, "bio_associate_blkg" },
	{ 0xfedac431, "percpu_free_rwsem" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1e2a661b, "vfs_fsync_range" },
	{ 0xb669debb, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0x2f4377d3, "filemap_migrate_folio" },
	{ 0x8a62a068, "bdev_file_open_by_path" },
	{ 0x9e426ee, "shrinker_alloc" },
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0x11456349, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x1ac31b45, "__init_rwsem" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xaaae9aba, "d_instantiate" },
	{ 0x80dec5f3, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7a37475d, "clear_inode" },
	{ 0x69a09c85, "bpf_trace_run4" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x98a4af84, "stack_trace_save_tsk" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x3d6831bc, "mempool_kvfree" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x46dc380d, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6143446f, "inode_init_always" },
	{ 0x3ac3f147, "discard_new_inode" },
	{ 0x9e9e919e, "bio_copy_data" },
	{ 0x78f3ec63, "sysfs_create_file_ns" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x2e9c1f77, "__folio_batch_release" },
	{ 0x56b97589, "folio_unlock" },
	{ 0x5ce7513e, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xf15a6fb3, "inode_insert5" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x9814d077, "user_path_create" },
	{ 0xc0364007, "fault_in_writeable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xd7ab6222, "filemap_map_pages" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0xea6112d2, "user_path_locked_at" },
	{ 0x9593cc39, "init_special_inode" },
	{ 0x97417fd4, "unregister_filesystem" },
	{ 0x54e7d3b3, "bpf_trace_run6" },
	{ 0x6d569463, "iov_iter_single_seg_count" },
	{ 0x2d27eafe, "device_unregister" },
	{ 0x7a98f4b4, "copy_from_user_nofault" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x864490ed, "generic_error_remove_folio" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x7684633c, "nop_posix_acl_access" },
	{ 0xa4ce184d, "nop_posix_acl_default" },
	{ 0x3827c322, "d_make_root" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0xa585942f, "__put_task_struct" },
	{ 0xa40fd7dc, "up" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x9016047c, "closure_wait" },
	{ 0xdcd48184, "kobject_init" },
	{ 0x56fe1620, "sysctl_hung_task_timeout_secs" },
	{ 0x9c5474fd, "fsnotify" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2d3e6db, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0xd3d722cf, "fd_install" },
	{ 0x7a9804e4, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0xf9602811, "fiemap_prep" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2797362, "ihold" },
	{ 0x4493b9f5, "page_get_link" },
	{ 0xff68bc09, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x8ab9cf33, "truncate_pagecache_range" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x552051d1, "invalidate_inode_pages2_range" },
	{ 0x6dbdfa61, "finish_open" },
	{ 0x9a2cdd30, "iput" },
	{ 0x7621824, "kset_unregister" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x47f210c8, "iter_file_splice_write" },
	{ 0xbb25a4e, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe8d4335, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x90675e8c, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x9d5badcf, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xefc05498, "register_filesystem" },
	{ 0x15013103, "kmem_cache_create" },
	{ 0x5f094c67, "__tracepoint_contention_end" },
	{ 0x1a002937, "bdev_thaw" },
	{ 0x5da095d4, "sync_inode_metadata" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0x697cbbb4, "threads_per_core" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x75edabe9, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x4254e0d9, "filemap_add_folio" },
	{ 0x5154589f, "path_put" },
	{ 0x86777485, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0xfc90365e, "kthread_use_mm" },
	{ 0x35709b49, "vfs_setpos" },
	{ 0x7952d361, "bio_iov_iter_get_pages" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x4f9fc009, "d_prune_aliases" },
	{ 0xdd6a1d6e, "wake_up_process" },
	{ 0xe882bded, "shrinker_free" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xbc176c39, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d7d53c8, "errname" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x9f374f35, "d_mark_dontcache" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x637666f1, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x71a315b3, "lock_two_nondirectories" },
	{ 0x595d0946, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x7c5408df, "mnt_want_write_file" },
	{ 0x595997c1, "unlock_new_inode" },
	{ 0xe9379e8a, "__traceiter_contention_end" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xc299f41e, "get_state_synchronize_srcu" },
	{ 0x7b55434a, "make_kprojid" },
	{ 0x1073a324, "__genradix_iter_peek_prev" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0x40d04664, "console_trylock" },
	{ 0xfe5732a2, "paca_ptrs" },
	{ 0x793e5a91, "make_kuid" },
	{ 0xb179d4fb, "truncate_inode_pages_final" },
	{ 0x2e68060e, "fs_kobj" },
	{ 0x64e71f2f, "bio_add_folio" },
	{ 0xe988e728, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x4159959f, "shrinker_register" },
	{ 0xabdf96e8, "__filemap_get_folio" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x3f47310c, "__free_pages" },
	{ 0x73e9cd53, "poll_state_synchronize_srcu" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x437fded9, "blk_finish_plug" },
	{ 0x5de9b58a, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5dd71579, "submit_bio" },
	{ 0x90d790e, "mnt_drop_write_file" },
	{ 0x1424291c, "module_put" },
	{ 0xdb7ffc00, "kvm_guest" },
	{ 0x93be80da, "__destroy_inode" },
	{ 0xa27f5bf4, "sysfs_create_link" },
	{ 0xdb1e4488, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x952dd608, "inode_init_once" },
	{ 0xdbe0aa6d, "bioset_exit" },
	{ 0x3c9b2d13, "file_write_and_wait_range" },
	{ 0x800473f, "__cond_resched" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xe1cd797a, "bit_waitqueue" },
	{ 0x8e3e0f7d, "fault_in_readable" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xca1648d4, "zstd_decompress_dctx" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0x3c22256, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xb4a2f660, "bio_put" },
	{ 0x2cd34906, "percpu_up_write" },
	{ 0xdb90c327, "bio_endio" },
	{ 0xff781eeb, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x79a9cbc0, "posix_acl_create" },
	{ 0x34757282, "inode_nohighmem" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xf3a16907, "init_srcu_struct" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0x95800a8e, "__bio_advance" },
	{ 0xf6792daf, "down_write" },
	{ 0x326d9179, "kobject_add" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x75574cc1, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6cbb3f9, "generic_file_read_iter" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x2b53dedf, "thp_get_unmapped_area" },
	{ 0xc82833ce, "sysfs_remove_link" },
	{ 0x117cd626, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8fde441f, "set_cached_acl" },
	{ 0xa788700b, "copy_to_user_nofault" },
	{ 0xd63b68f5, "truncate_pagecache" },
	{ 0x56b6e04a, "__srcu_read_lock" },
	{ 0xf3970613, "d_mark_tmpfile" },
	{ 0xd477a950, "unlock_two_nondirectories" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe3dbc964, "device_create" },
	{ 0xe6a7b3d, "xa_load" },
	{ 0xd9a162ba, "closure_put" },
	{ 0xeb700f92, "page_symlink" },
	{ 0x1ce676fe, "bpf_trace_run5" },
	{ 0x4c0172b5, "bdev_fput" },
	{ 0x5bc92e85, "LZ4_compress_destSize" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x24f14185, "write_cache_pages" },
	{ 0x4b54f08e, "file_update_time" },
	{ 0x57c2cd7, "set_nlink" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xd1254d68, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x106fa3f8, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0x60207816, "ilookup5_nowait" },
	{ 0x7fca2df8, "bio_kmalloc" },
	{ 0x19e22fc8, "from_kgid" },
	{ 0x3ae34aeb, "zstd_init_dctx" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xc0fd4e5e, "folio_mkclean" },
	{ 0xa3ae240a, "crypto_shash_digest" },
	{ 0xddf86133, "LZ4_compress_HC" },
	{ 0xc1d15353, "__traceiter_contention_begin" },
	{ 0xe32ab4d8, "xxh64_digest" },
	{ 0x94fdb64d, "bdev_freeze" },
	{ 0xae93d532, "blkdev_issue_zeroout" },
	{ 0x286ff164, "file_remove_privs" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf1e046cc, "panic" },
	{ 0x171c42e6, "vmap" },
	{ 0xb6737f70, "sget" },
	{ 0xc2cc1653, "zero_fill_bio_iter" },
	{ 0xcc7b87a2, "bio_add_page" },
	{ 0xecf53a1d, "crypto_shash_update" },
	{ 0x37288e9, "class_unregister" },
	{ 0xb390f33a, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa80e6d7b, "folio_wait_stable" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xefe283ef, "cleanup_srcu_struct" },
	{ 0xf4bd383d, "__audit_inode_child" },
	{ 0x3c63f53f, "d_obtain_alias" },
	{ 0x762a46c4, "file_modified" },
	{ 0x55364003, "kthread_stop" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xf7c7e799, "bio_check_pages_dirty" },
	{ 0xc687293a, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2cc053ba, "freezing_slow_path" },
	{ 0x58f5f3b7, "folio_end_read" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x6684559a, "__folio_start_writeback" },
	{ 0x1a0b11a6, "bio_set_pages_dirty" },
	{ 0xf5208ea7, "bpf_trace_run1" },
	{ 0x5c1e34af, "bpf_trace_run9" },
	{ 0xfcccae6c, "security_path_mkdir" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x5dcf6760, "folio_end_writeback" },
	{ 0xc1675fad, "sync_inodes_sb" },
	{ 0x7e440c6b, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0xaba7befd, "bio_init" },
	{ 0x68a30ffe, "shared_processor" },
	{ 0x6f4a59e4, "sort_r" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf8ddc27, "synchronize_srcu_expedited" },
	{ 0x4847834a, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0x54bd5156, "rht_bucket_nested_insert" },
	{ 0x607a86c6, "generic_remap_file_range_prep" },
	{ 0xa84b15d, "zstd_init_cctx" },
	{ 0xe21f18ac, "__genradix_iter_peek" },
	{ 0xfc5efdc2, "inode_owner_or_capable" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x9b66cafc, "__get_task_comm" },
	{ 0xd6bc7650, "bio_reset" },
	{ 0x1339dc28, "file_remove_privs_flags" },
	{ 0xf1943957, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x4a9127b8, "filemap_get_folios" },
	{ 0xc631580a, "console_unlock" },
	{ 0x773e53a7, "make_kgid" },
	{ 0x1b260ca2, "mempool_kvmalloc" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x5a10a1d1, "rhashtable_destroy" },
	{ 0xef51ccce, "d_delete" },
	{ 0xb298eded, "crypto_alloc_sync_skcipher" },
	{ 0x15b89b29, "__closure_sync_timeout" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4fca748, "down_read" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0xc9ecd7ef, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x2a2a4749, "nonseekable_open" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xc45db3e1, "bio_free_pages" },
	{ 0x6bec5582, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x94dcbb92, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x33736a1d, "__genradix_ptr_alloc" },
	{ 0x24428be5, "strncpy_from_user" },
	{ 0x8c30bf67, "zstd_dctx_workspace_bound" },
	{ 0x1f438d28, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x822dd163, "debugfs_create_file" },
	{ 0x9ab2631d, "super_setup_bdi" },
	{ 0x89ad7ebf, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xd2b01536, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbe7f5aa9, "kobject_del" },
	{ 0xf6078e49, "rhashtable_init_noprof" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x5d6ca7c2, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9fd0bc6, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x6551cd24, "bio_copy_data_iter" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xe956af27, "bioset_init" },
	{ 0xccf6b806, "init_user_ns" },
	{ 0x68f3567f, "request_key_tag" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x46dbb0ec, "__register_chrdev" },
	{ 0xabe8280, "__folio_put" },
	{ 0xd18ab3a1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c221a2e, "dput" },
	{ 0x98989c93, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3ec4dab7, "deactivate_locked_super" },
	{ 0xa351809e, "touch_atime" },
	{ 0xd6faaf92, "__percpu_down_read" },
	{ 0x6ae7de6c, "__srcu_read_unlock" },
	{ 0x658ce1a8, "xxh64_reset" },
	{ 0x2a181b9b, "blk_status_to_str" },
	{ 0x5a415028, "posix_acl_update_mode" },
	{ 0x8b7d4ea7, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x321a099d, "alloc_pages_noprof" },
	{ 0xe4136057, "__folio_lock" },
	{ 0x321e65b, "filemap_dirty_folio" },
	{ 0x98bd2ddb, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x8e5dc00a, "rcuwait_wake_up" },
	{ 0x56971c1d, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x89a2173d, "filemap_splice_read" },
	{ 0xa43cca11, "kthread_unuse_mm" },
	{ 0x57457715, "done_path_create" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xbe6a8c96, "zstd_cctx_workspace_bound" },
	{ 0xf9cf7304, "__seq_puts" },
	{ 0x8e874216, "key_type_user" },
	{ 0x81188c30, "match_string" },
	{ 0xeea8a92a, "filemap_write_and_wait_range" },
	{ 0xcc4cb259, "mempool_init_noprof" },
	{ 0x89c08295, "generic_file_llseek_size" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf3b7117f, "closure_return_sync" },
	{ 0x3f0eabd2, "xxh64_update" },
	{ 0x2a11eeca, "iov_iter_revert" },
	{ 0x32aa6bef, "generic_write_checks" },
	{ 0x68eaedda, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x929fbd34, "user_path_at_empty" },
	{ 0xd585b7cf, "filemap_fault" },
	{ 0xdb522cb2, "crypto_alloc_shash" },
	{ 0x97518bd3, "debugfs_create_dir" },
	{ 0x48a3a691, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x37d46ce3, "make_bad_inode" },
	{ 0x108e522d, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdd0762df, "set_worker_desc" },
	{ 0xceab0311, "strchrnul" },
	{ 0x49180e5f, "up_read" },
	{ 0xdd511f2d, "iov_iter_npages" },
	{ 0xf2628676, "zstd_compress_cctx" },
	{ 0xf6da3ad0, "submit_bio_wait" },
	{ 0x9cc65552, "class_register" },
	{ 0x512709e8, "fault_in_iov_iter_readable" },
	{ 0xd334c3c4, "__tracepoint_contention_begin" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4506805f, "start_poll_synchronize_srcu" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x1d27be9b, "mempool_exit" },
	{ 0x69a018dd, "fs_bio_set" },
	{ 0xdddfb030, "kmem_cache_destroy" },
	{ 0xbe3dc856, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x9a6afb5b, "kset_create_and_add" },
	{ 0x2ed7822c, "blkdev_issue_discard" },
	{ 0x7be2a2ac, "kobject_put" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "raid6_pq,crc64,lz4_compress,lz4hc_compress,xor,libcrc32c");


MODULE_INFO(srcversion, "91EAD27ECFB8C530C2BEA92");
