#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa68537f1, "__traceiter_pnfs_mds_fallback_read_done" },
	{ 0x3ca01dc4, "pnfs_register_layoutdriver" },
	{ 0x6f472391, "pnfs_generic_ds_cinfo_release_lseg" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x2b287a10, "nfs4_mark_deviceid_available" },
	{ 0xe2aea704, "nfs_writeback_update_inode" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0xd381e90, "__tracepoint_pnfs_mds_fallback_pg_init_write" },
	{ 0xf12c975f, "nfs4_init_deviceid_node" },
	{ 0xbd06bd1, "__tracepoint_pnfs_mds_fallback_write_pagelist" },
	{ 0xbaefe84f, "nfs_pageio_reset_read_mds" },
	{ 0xb7bda1f7, "xdr_write_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe87364d2, "pnfs_generic_ds_cinfo_destroy" },
	{ 0x225677f8, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd47333c2, "__tracepoint_nfs4_pnfs_write" },
	{ 0x11a87562, "xdr_inline_decode" },
	{ 0x2a5e7086, "rpc_count_iostats_metrics" },
	{ 0x5e137e3f, "__traceiter_nfs4_pnfs_commit_ds" },
	{ 0xc076f606, "rpc_wake_up" },
	{ 0xfc251167, "pnfs_write_done_resend_to_mds" },
	{ 0x802046c5, "__tracepoint_nfs4_pnfs_read" },
	{ 0x2f1e21ba, "__tracepoint_ff_layout_write_error" },
	{ 0x450cd153, "pnfs_free_commit_array" },
	{ 0x545d4323, "__traceiter_ff_layout_read_error" },
	{ 0x4829a47e, "memcpy" },
	{ 0x790897ba, "pnfs_generic_pg_check_layout" },
	{ 0x37a0cba, "kfree" },
	{ 0xc68261d8, "pnfs_generic_prepare_to_resend_writes" },
	{ 0xc27d502d, "pnfs_generic_pg_writepages" },
	{ 0x34154a81, "rpc_restart_call_prepare" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa2998260, "__traceiter_nfs4_pnfs_write" },
	{ 0x2174b794, "__tracepoint_ff_layout_commit_error" },
	{ 0x2521e2eb, "pnfs_read_done_resend_to_mds" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xe8f5d785, "pnfs_add_commit_array" },
	{ 0xd7436982, "pnfs_generic_pg_readpages" },
	{ 0xf999267e, "pnfs_generic_commit_release" },
	{ 0xdc1be371, "rpc_clnt_disconnect" },
	{ 0x8f9d12f0, "__put_cred" },
	{ 0xae9d1501, "rpc_cancel_tasks" },
	{ 0x6085edbd, "nfs_map_string_to_numeric" },
	{ 0x92997ed8, "_printk" },
	{ 0xb2bde889, "nfs4_test_deviceid_unavailable" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x793e5a91, "make_kuid" },
	{ 0xfcec54de, "__traceiter_ff_layout_commit_error" },
	{ 0x555bb1db, "__tracepoint_pnfs_mds_fallback_read_pagelist" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f47310c, "__free_pages" },
	{ 0x69d3558d, "pnfs_generic_rw_release" },
	{ 0x7537ba35, "pnfs_generic_scan_commit_lists" },
	{ 0x93fd21ff, "init_task" },
	{ 0x48b97133, "pnfs_set_layoutcommit" },
	{ 0x1bdff529, "__traceiter_nfs4_pnfs_read" },
	{ 0xed15fb41, "nfs4_print_deviceid" },
	{ 0x8392e5a4, "pnfs_report_layoutstat" },
	{ 0xf6c916eb, "nfs4_put_deviceid_node" },
	{ 0x889448a, "pnfs_put_lseg" },
	{ 0xca253143, "pnfs_layoutcommit_inode" },
	{ 0xa49c2a2, "nfs4_pnfs_ds_add" },
	{ 0xa873f6f5, "__traceiter_pnfs_mds_fallback_write_done" },
	{ 0xe8fdb16d, "pnfs_destroy_layout" },
	{ 0xbd2f18de, "pnfs_layout_mark_request_commit" },
	{ 0x1d5d6d71, "nfs_pageio_reset_write_mds" },
	{ 0x95521407, "rpc_max_payload" },
	{ 0x4ff344c4, "nfs4_find_or_create_ds_client" },
	{ 0x3ac1e146, "__traceiter_ff_layout_write_error" },
	{ 0x19e22fc8, "from_kgid" },
	{ 0x14e9f616, "nfs4_find_get_deviceid" },
	{ 0x9567b6d7, "pnfs_read_resend_pnfs" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x7bda964c, "__traceiter_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x5c0e9af8, "__put_devmap_managed_folio_refs" },
	{ 0xa5e9ede1, "__traceiter_pnfs_mds_fallback_read_pagelist" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf70c552d, "rpc_call_start" },
	{ 0xdd342fa8, "__tracepoint_pnfs_mds_fallback_read_done" },
	{ 0x7e440c6b, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x18b41178, "__tracepoint_ff_layout_read_error" },
	{ 0x68e07820, "xdr_init_decode_pages" },
	{ 0x27c35ff8, "pnfs_generic_layout_insert_lseg" },
	{ 0x942e68d4, "rpc_delay" },
	{ 0x640cacab, "pnfs_generic_write_commit_done" },
	{ 0xdd83e3da, "pnfs_generic_pg_cleanup" },
	{ 0xfa61a8ee, "rpc_exit" },
	{ 0x773e53a7, "make_kgid" },
	{ 0x734fba01, "pnfs_update_layout" },
	{ 0xadc6cccb, "pnfs_generic_pg_test" },
	{ 0x89bfc942, "xdr_reserve_space" },
	{ 0x214497e3, "nfs4_sequence_done" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xf716d510, "pnfs_generic_recover_commit_reqs" },
	{ 0x2cb0d2c, "pnfs_generic_commit_pagelist" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1fb8edfd, "__traceiter_pnfs_mds_fallback_write_pagelist" },
	{ 0x68579e8b, "nfs_initiate_pgio" },
	{ 0x17a1bb9d, "nfs4_decode_mp_ds_addr" },
	{ 0x2da1276, "__tracepoint_nfs4_pnfs_commit_ds" },
	{ 0x3a410ffb, "nfs4_mark_deviceid_unavailable" },
	{ 0xccf6b806, "init_user_ns" },
	{ 0xabe8280, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5b74c7cc, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54bef45, "layoutstats_timer" },
	{ 0x6e637af7, "__tracepoint_pnfs_mds_fallback_write_done" },
	{ 0xc3e1c714, "nfs4_pnfs_ds_put" },
	{ 0x66366eeb, "pnfs_error_mark_layout_for_return" },
	{ 0x885db947, "nfs_initiate_commit" },
	{ 0x321a099d, "alloc_pages_noprof" },
	{ 0x1d57c82c, "__tracepoint_pnfs_mds_fallback_pg_init_read" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xfcb9ad7a, "prepare_kernel_cred" },
	{ 0x335c3c04, "nfs4_setup_sequence" },
	{ 0x93c2b879, "nfs42_proc_layouterror" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1029c15, "pnfs_generic_clear_request_commit" },
	{ 0x8be24f50, "__tracepoint_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0xc2f8da83, "__traceiter_pnfs_mds_fallback_pg_init_read" },
	{ 0x99c43a84, "nfs4_pnfs_ds_connect" },
	{ 0xa61317a3, "xdr_init_encode" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xf1d933aa, "__traceiter_pnfs_mds_fallback_pg_init_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6f662e71, "pnfs_alloc_commit_array" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xc303f6a, "pnfs_nfs_generic_sync" },
	{ 0x11b00584, "nfs4_schedule_session_recovery" },
	{ 0xb389dba4, "pnfs_unregister_layoutdriver" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "159F2CB9D86A85B323AC6D1");
