#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xd41f504c, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x4effcdef, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xbb9faf67, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x486eeb98, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xfc83e987, "_gpl");
SYMBOL_CRC(br_forward, 0x61ef694e, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x551e1ae0, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x7508afe8, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x77fb0ed6, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x40f2ab80, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xcbee341e, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x0bc51a8b, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xa959ff7b, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xca37156d, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x3ccf8351, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x37b3b3e3, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xcaa1c2a5, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x858bb32d, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x1f943874, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x902a6bba, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x01e3db04, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x1cfbb515, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x5b79d070, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x10750b61, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x5ceaf1ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fce5d2, "netdev_lower_get_next" },
	{ 0x43934b6f, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc5fc1c14, "dev_pre_changeaddr_notify" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0x613905ba, "skb_copy_bits" },
	{ 0x93ac81a1, "__nlmsg_put" },
	{ 0x30712e51, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9a5d9d92, "ipv6_mc_check_mld" },
	{ 0x279f3d53, "skb_put" },
	{ 0xf5ad9015, "__percpu_counter_init_many" },
	{ 0xd0b0fb70, "call_switchdev_notifiers" },
	{ 0x78f3ec63, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdd6810f3, "netdev_update_features" },
	{ 0x44a478dc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x61a684eb, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa064ae8, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x8e49184a, "nla_put_64bit" },
	{ 0x8486d8eb, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfd0dbe4d, "dev_uc_del" },
	{ 0x1499ee95, "netpoll_send_skb" },
	{ 0x589b43da, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb35f5be2, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x54d26d7b, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdcf79bf2, "switchdev_port_obj_act_is_deferred" },
	{ 0x98730e49, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9565790, "dev_set_promiscuity" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfdfcdd5f, "__csum_partial" },
	{ 0x495037f4, "unregister_netdevice_queue" },
	{ 0x15013103, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xa08c46d6, "netdev_state_change" },
	{ 0x567b3b39, "__pskb_copy_fclone" },
	{ 0xc678b4ad, "__dev_get_by_name" },
	{ 0x6be371d6, "ether_setup" },
	{ 0x6da8e3b4, "netdev_err" },
	{ 0x4f23d7e4, "pskb_expand_head" },
	{ 0xf5c5a2c3, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xd8eb0722, "brioctl_set" },
	{ 0x466b20f6, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xeb53d14d, "arp_xmit" },
	{ 0xbe335a09, "__traceiter_br_mdb_full" },
	{ 0x1f4bfac9, "alloc_netdev_mqs" },
	{ 0x122129d8, "passthru_features_check" },
	{ 0x8a81891b, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8be0b92, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x2cfff619, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x10c7acef, "__alloc_skb" },
	{ 0x7baadc32, "rtnl_set_sk_err" },
	{ 0x7f5f817c, "skb_vlan_pop" },
	{ 0x1792cbec, "rtnl_unicast" },
	{ 0xa27f5bf4, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x508c9ece, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x2047374b, "nla_reserve_64bit" },
	{ 0x455aac79, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9df2d0f3, "__dev_get_by_index" },
	{ 0x6aa9980b, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x4920569a, "dev_get_port_parent_id" },
	{ 0x3cc90f4, "init_net" },
	{ 0x858955c, "ipv6_stub" },
	{ 0x2d19b0b7, "inet_confirm_addr" },
	{ 0xc7243402, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc82833ce, "sysfs_remove_link" },
	{ 0x19cb2c11, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xd61e2c3c, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8bcd1838, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xbfb63bf2, "dev_get_by_index_rcu" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0x2b706ad8, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x14e1c8d2, "skb_push" },
	{ 0xd1254d68, "kmem_cache_free" },
	{ 0x96e4b17d, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x47b6e1cd, "netdev_upper_dev_unlink" },
	{ 0x74cded73, "netif_receive_skb" },
	{ 0xa1a2c8e6, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa5c80bcb, "llc_mac_hdr_init" },
	{ 0x40cfa372, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x758c35c3, "kobject_init_and_add" },
	{ 0x520509ff, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4b0b94d7, "ns_capable" },
	{ 0xd484b30e, "inet_select_addr" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x4ec07277, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4320b9e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x218bc9bc, "arp_create" },
	{ 0x7bf3a354, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbed6b1c2, "stp_proto_register" },
	{ 0x93989e2d, "rtnl_register_module" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x378dee67, "sysfs_rename_link_ns" },
	{ 0xda534cd3, "unregister_pernet_subsys" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x54bd5156, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf1943957, "kmem_cache_alloc_noprof" },
	{ 0xc40b4416, "switchdev_port_obj_add" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x30cfaccf, "__pskb_pull_tail" },
	{ 0x1064dfdd, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf4628ca0, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1f3cb16c, "ip_mc_check_igmp" },
	{ 0x4f81fd23, "__netdev_alloc_skb" },
	{ 0x5a10a1d1, "rhashtable_destroy" },
	{ 0xad253e1b, "switchdev_port_obj_del" },
	{ 0xa31c8927, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf1377592, "kobject_create_and_add" },
	{ 0x8201ad19, "skb_trim" },
	{ 0xdc805f7d, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x626a5947, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x702575a5, "__ip_mc_inc_group" },
	{ 0xcc73589, "netdev_walk_all_upper_dev_rcu" },
	{ 0x9ed23d5a, "sysfs_remove_group" },
	{ 0xb3699707, "__traceiter_br_fdb_external_learn_add" },
	{ 0xf5831622, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x1f438d28, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9ba9d6ee, "__netpoll_setup" },
	{ 0x41adaa90, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9029e344, "vlan_vid_add" },
	{ 0xcd1fb035, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xbe7f5aa9, "kobject_del" },
	{ 0xf6078e49, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x76d38366, "call_netdevice_notifiers" },
	{ 0x99e94ce, "is_skb_forwardable" },
	{ 0xfe798388, "vlan_vid_del" },
	{ 0xb03f3998, "dev_set_allmulti" },
	{ 0x819e828, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39db7ae7, "netdev_master_upper_dev_get" },
	{ 0x23e7ad04, "ipv6_dev_mc_inc" },
	{ 0x5bf9cb03, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea0a64b4, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc5d18dac, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd492a7a8, "skb_clone" },
	{ 0x6b88a696, "metadata_dst_alloc" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x96f13eee, "dst_release" },
	{ 0x205fbdc6, "netif_carrier_on" },
	{ 0xd650e51c, "kobject_uevent" },
	{ 0xe37ee001, "arp_tbl" },
	{ 0xed4921cc, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc0bdfc76, "netdev_rx_handler_register" },
	{ 0x9ca44838, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8d461345, "netif_set_tso_max_size" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x26279ed6, "dev_disable_lro" },
	{ 0x8c43ab1c, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8728ddd7, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x5db6493, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe052b293, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x9f5e36ac, "nf_queue" },
	{ 0xe3b92ea9, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x13e558a2, "skb_ext_add" },
	{ 0x8c33b33c, "sysfs_remove_bin_file" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0x15395c5, "stp_proto_unregister" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xc7581460, "neigh_lookup" },
	{ 0xdddfb030, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7be2a2ac, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x52af0aed, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "4D9570B119412CD67D1B6DA");
