#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xca22cda9, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x7dcc6d7a, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xc424fd14, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x2ea130bd, "");
SYMBOL_CRC(gss_mech_put, 0x4fc8dbaf, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x1d5fb960, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xcf7c36c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb155f6c, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x26d8cada, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xfa668c70, "xdr_buf_from_iov" },
	{ 0x69a09c85, "bpf_trace_run4" },
	{ 0x580e437d, "xdr_stream_decode_opaque_auth" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb7bda1f7, "xdr_write_pages" },
	{ 0x829132e0, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa1d8ca49, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x11a87562, "xdr_inline_decode" },
	{ 0x286db9c8, "cache_create_net" },
	{ 0x89189bd3, "rpcauth_destroy_credcache" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x54e7d3b3, "bpf_trace_run6" },
	{ 0xb97ab5b8, "rpc_net_ns" },
	{ 0x6446587b, "read_bytes_from_xdr_buf" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xc076f606, "rpc_wake_up" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xbefe83f, "sunrpc_cache_lookup_rcu" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x9b9be297, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xbb25a4e, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x3950ac26, "xdr_truncate_decode" },
	{ 0x8e99ad3b, "rpcauth_unregister" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xc3fc08, "__xdr_commit_encode" },
	{ 0xe8d4335, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x2fa3a9, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x8f9d12f0, "__put_cred" },
	{ 0xf5c5a2c3, "register_pernet_subsys" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0xdff246d3, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x6c29fa77, "rpc_release_client" },
	{ 0x441525e3, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7ef4b6f0, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaf9786d6, "svc_auth_register" },
	{ 0xc149c69d, "xdr_stream_encode_opaque_auth" },
	{ 0x793e5a91, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6011f66, "rpc_destroy_pipe_data" },
	{ 0x3f47310c, "__free_pages" },
	{ 0x6fad7c5a, "rpc_pipe_generic_upcall" },
	{ 0x1424291c, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x800473f, "__cond_resched" },
	{ 0x24cae12e, "cache_unregister_net" },
	{ 0xd53b3d67, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0x495fa7d, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x9484c17, "rpcauth_init_credcache" },
	{ 0x80aad88f, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xddf32c17, "xdr_init_decode" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0x7e3181a6, "rpc_call_null" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5c0e9af8, "__put_devmap_managed_folio_refs" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x50462644, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1f83a434, "rpc_create" },
	{ 0xf5208ea7, "bpf_trace_run1" },
	{ 0xc77ab102, "rpc_call_sync" },
	{ 0x7e440c6b, "from_kuid" },
	{ 0xda534cd3, "unregister_pernet_subsys" },
	{ 0xd30bbb2b, "rpc_queue_upcall" },
	{ 0x3580b568, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x898d3cfa, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5f43ad14, "svcauth_unix_set_client" },
	{ 0xfb71699a, "xdr_buf_subsegment" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xbb0d5475, "_atomic_dec_and_lock" },
	{ 0x773e53a7, "make_kgid" },
	{ 0xb3d9ba86, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x89bfc942, "xdr_reserve_space" },
	{ 0x2df50b0, "jiffies" },
	{ 0x2a2a4749, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x94dcbb92, "bpf_trace_run3" },
	{ 0x90f68127, "__put_net" },
	{ 0x2e068232, "rpc_mkpipe_dentry" },
	{ 0x8b99e05d, "rpc_mkpipe_data" },
	{ 0x59fafaf3, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x154c5070, "cache_register_net" },
	{ 0xccf6b806, "init_user_ns" },
	{ 0xddfa40f6, "xdr_inline_pages" },
	{ 0xabe8280, "__folio_put" },
	{ 0x78426108, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xdba9f57e, "rpc_init_wait_queue" },
	{ 0xc274c575, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x321a099d, "alloc_pages_noprof" },
	{ 0x23fb2e86, "rpc_unlink" },
	{ 0x2cc35fdd, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x9efde5e5, "from_kuid_munged" },
	{ 0x6817cc6d, "rpcauth_init_cred" },
	{ 0xcd161c87, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x60148ad5, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe2989b41, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x90c86fb1, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x8e4baa71, "sunrpc_cache_update" },
	{ 0x984ed82d, "xdr_truncate_encode" },
	{ 0xa89127b4, "rpc_destroy_wait_queue" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x382fe595, "auth_domain_put" },
	{ 0xba4747b5, "rpcauth_unwrap_resp_decode" },
	{ 0xc200d0f6, "rpcauth_register" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");
