#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x2c8edc09, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x3455e48f, "_gpl");
SYMBOL_CRC(tls_get_record, 0x34b15376, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x898a9a02, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x01b70440, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb11705d0, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x82dcad8b, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x58f6d1bb, "tcp_read_sock" },
	{ 0x69a09c85, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x613905ba, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7465e737, "sk_page_frag_refill" },
	{ 0x279f3d53, "skb_put" },
	{ 0x84cd4f0e, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44a478dc, "consume_skb" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x2d7ad7e4, "sk_psock_msg_verdict" },
	{ 0x54e7d3b3, "bpf_trace_run6" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x6157a9f0, "_raw_write_lock_bh" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x239be40e, "iov_iter_get_pages2" },
	{ 0xf090bf7, "___pskb_trim" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0x8341f13e, "clean_acked_data_enable" },
	{ 0xd809853d, "skb_splice_bits" },
	{ 0x20142d3c, "crypto_alloc_aead" },
	{ 0x46226c2e, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x45cbd05f, "crypto_aead_setauthsize" },
	{ 0x556e0722, "crypto_aead_decrypt" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x8bedea4b, "sk_stream_error" },
	{ 0x613c21bf, "sk_msg_recvmsg" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0x1235655a, "sk_msg_memcopy_from_iter" },
	{ 0xb63b884f, "sk_error_report" },
	{ 0xf5c5a2c3, "register_pernet_subsys" },
	{ 0x37e5d077, "put_cmsg" },
	{ 0x57c3aa3, "__sk_flush_backlog" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0xbc176c39, "crypto_destroy_tfm" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x93adb638, "sk_psock_tls_strp_read" },
	{ 0xc01b3619, "sk_msg_clone" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x10c7acef, "__alloc_skb" },
	{ 0xf56f6ce7, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd029dbba, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xb918ed09, "tcp_recv_skb" },
	{ 0xdaa24131, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0xf6792daf, "down_write" },
	{ 0x5ed02c53, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x75574cc1, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x9863b3a4, "crypto_aead_encrypt" },
	{ 0x1ce676fe, "bpf_trace_run5" },
	{ 0x89061fda, "sk_free" },
	{ 0xb256b8b4, "skb_store_bits" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x5dcc05ac, "__sk_mem_reclaim" },
	{ 0xd1b33aaf, "sk_stream_wait_memory" },
	{ 0xa1a2c8e6, "nla_put" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0x2020fc2d, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x2e204ecf, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x8dcd50b3, "lock_sock_nested" },
	{ 0x5c0e9af8, "__put_devmap_managed_folio_refs" },
	{ 0x25563399, "sk_msg_return_zero" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x9b18758d, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xf5208ea7, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xda534cd3, "unregister_pernet_subsys" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0x13be0c9, "sock_efree" },
	{ 0x49f27c5a, "iov_iter_bvec" },
	{ 0xbb9c6056, "kfree_skb_list_reason" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xff89dcc7, "clean_acked_data_disable" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x96ec4812, "sk_msg_free_partial" },
	{ 0xb4fca748, "down_read" },
	{ 0x8201ad19, "skb_trim" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0xb6c7f4d5, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x585d179a, "tcp_register_ulp" },
	{ 0x94dcbb92, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x9f07d88, "sk_psock_drop" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8015d26e, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb9767897, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0xabe8280, "__folio_put" },
	{ 0x78426108, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x42696bcb, "seq_printf" },
	{ 0x6145be48, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd492a7a8, "skb_clone" },
	{ 0x96f13eee, "dst_release" },
	{ 0x78014a45, "_copy_from_iter" },
	{ 0x24c193a5, "skb_copy_header" },
	{ 0x64939aaa, "sk_msg_trim" },
	{ 0x321a099d, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x5c707aef, "netdev_sk_get_lowest_dev" },
	{ 0xbfefd03f, "sk_msg_alloc" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x1f241a9d, "_copy_from_iter_nocache" },
	{ 0xebb5ce61, "tcp_rate_check_app_limited" },
	{ 0x3a116f8a, "tcp_poll" },
	{ 0x2a11eeca, "iov_iter_revert" },
	{ 0x89208b54, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x35ff7fb3, "skb_to_sgvec" },
	{ 0x49180e5f, "up_read" },
	{ 0xdd511f2d, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xda10d0e0, "tcp_read_done" },
	{ 0xa794cd6f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "576114D4ADDB9D9BA6E136D");
