#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb764ad, "memset" },
	{ 0xf0e63fd3, "__platform_driver_register" },
	{ 0x86bed14b, "drm_dev_unplug" },
	{ 0x2e7b1887, "drm_connector_helper_get_modes_fixed" },
	{ 0x812b6d73, "drm_crtc_helper_mode_valid_fixed" },
	{ 0xddbc7ee9, "drm_gem_fb_begin_cpu_access" },
	{ 0x16bb130e, "drm_dev_enter" },
	{ 0xa73744e9, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x6a88209c, "drm_fb_blit" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xa578e8a3, "drm_gem_fb_end_cpu_access" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8069b9, "drm_atomic_helper_check_plane_state" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x6f473eda, "device_link_del" },
	{ 0x41a2c9a7, "dev_pm_domain_detach" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x6eeb025d, "platform_driver_unregister" },
	{ 0xf5a62ecc, "_memset_io" },
	{ 0x77358855, "iomem_resource" },
	{ 0xde17d9cb, "__devm_drm_dev_alloc" },
	{ 0x39175c2, "of_count_phandle_with_args" },
	{ 0xa292346b, "devm_kmalloc" },
	{ 0x5a579546, "device_link_add" },
	{ 0x5148278b, "dev_pm_domain_attach_by_id" },
	{ 0xe788fc81, "__devm_add_action" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x15b87c1e, "__drm_dev_dbg" },
	{ 0xa12967e0, "devm_aperture_acquire_from_firmware" },
	{ 0x911ef499, "devm_memremap" },
	{ 0x75e32a1f, "drmm_mode_config_init" },
	{ 0xd2e3c727, "of_property_read_variable_u32_array" },
	{ 0x100b2d70, "of_property_read_string" },
	{ 0xbae44c72, "__of_parse_phandle_with_args" },
	{ 0xc24c1ed9, "of_address_to_resource" },
	{ 0x2bb6124e, "of_node_put" },
	{ 0xb9708755, "drm_dev_register" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x8362be3b, "drm_fbdev_generic_setup" },
	{ 0x9f4103fd, "drm_fb_build_fourcc_list" },
	{ 0xf852718f, "drm_universal_plane_init" },
	{ 0x35f5fbe5, "drm_plane_enable_fb_damage_clips" },
	{ 0xf644c7ea, "drm_crtc_init_with_planes" },
	{ 0x95e7b89f, "drm_encoder_init" },
	{ 0xd14310d2, "drm_connector_init" },
	{ 0x740255aa, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0xeff64b66, "drm_connector_attach_encoder" },
	{ 0x6f61bf02, "drm_mode_config_reset" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x439b9da9, "platform_get_resource" },
	{ 0xcdf375d0, "__devm_request_region" },
	{ 0x8cd4a9a4, "devm_ioremap_wc" },
	{ 0x7b80494f, "of_find_property" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0xbef79428, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xbf70e4cb, "drm_gem_shmem_dumb_create" },
	{ 0x23c87639, "drm_gem_fb_create_with_dirty" },
	{ 0x46e530d7, "drm_atomic_helper_check" },
	{ 0x8d4528dd, "drm_atomic_helper_commit" },
	{ 0x81930025, "drm_atomic_helper_update_plane" },
	{ 0xf76fdd14, "drm_atomic_helper_disable_plane" },
	{ 0xe1f177fa, "drm_plane_cleanup" },
	{ 0x21479171, "drm_gem_reset_shadow_plane" },
	{ 0x5e75a07d, "drm_gem_duplicate_shadow_plane_state" },
	{ 0xa83a0386, "drm_gem_destroy_shadow_plane_state" },
	{ 0xe0fe9dc3, "drm_gem_begin_shadow_fb_access" },
	{ 0xf34f5434, "drm_gem_end_shadow_fb_access" },
	{ 0x23fb97e4, "drm_atomic_helper_crtc_reset" },
	{ 0x88e66d5f, "drm_crtc_cleanup" },
	{ 0xbfe27c3, "drm_atomic_helper_set_config" },
	{ 0x5b5f084c, "drm_atomic_helper_page_flip" },
	{ 0xf52570f5, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x77161941, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x641104bb, "drm_crtc_helper_atomic_check" },
	{ 0xf646352b, "drm_encoder_cleanup" },
	{ 0x775dd37c, "drm_atomic_helper_connector_reset" },
	{ 0x3418ac0f, "drm_helper_probe_single_connector_modes" },
	{ 0x1fe4b3a4, "drm_connector_cleanup" },
	{ 0xc61c39d4, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xf8dd8195, "drm_atomic_helper_connector_destroy_state" },
	{ 0xab1605b0, "noop_llseek" },
	{ 0xc762abab, "drm_read" },
	{ 0x9f36c836, "drm_poll" },
	{ 0x1befefcc, "drm_ioctl" },
	{ 0x8237d1b, "drm_gem_mmap" },
	{ 0x657b74d5, "drm_open" },
	{ 0x9cc05f09, "drm_release" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Csimple-framebuffer");
MODULE_ALIAS("of:N*T*Csimple-framebufferC*");

MODULE_INFO(srcversion, "33BF69B41ACDA0B5192A1B9");
