#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf92e7659, "input_allocate_device" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x51904c0c, "hid_unregister_driver" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x51f78950, "power_supply_register" },
	{ 0xcee6fbac, "hid_hw_start" },
	{ 0x4c85818d, "hid_hw_output_report" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0xdbfbc0ea, "__hid_register_driver" },
	{ 0x451830a0, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x55bbc5b9, "seq_lseek" },
	{ 0xf2cebacf, "led_classdev_unregister" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9da82ed, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x9cd33351, "hid_hw_stop" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0x858c51e1, "input_free_device" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x870159c1, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c617e18, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0xde3cdb4d, "device_create_file" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x454143a4, "simple_open" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xc197149, "hid_hw_open" },
	{ 0x106fa3f8, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xcbcb9dd3, "hid_hw_close" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xed393889, "led_classdev_register_ext" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb8cbab4d, "power_supply_get_drvdata" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4ffd9177, "input_event" },
	{ 0x1dbcd722, "input_set_abs_params" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xf228b892, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x822dd163, "debugfs_create_file" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9fd0bc6, "param_ops_bool" },
	{ 0xea382ed1, "power_supply_powers" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x42696bcb, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd650e51c, "kobject_uevent" },
	{ 0x27b05b27, "power_supply_unregister" },
	{ 0xb999a975, "single_release" },
	{ 0x712974f8, "input_ff_create_memless" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd3c521f1, "single_open" },
	{ 0xf00320ff, "hid_open_report" },
	{ 0x48a3a691, "generic_file_llseek" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xabbc2846, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "led-class,ff-memless");

MODULE_ALIAS("hid:b0005g*v0000057Ep00000306");
MODULE_ALIAS("hid:b0005g*v0000057Ep00000330");

MODULE_INFO(srcversion, "B1B6BEB6182C5ABF2817F7C");
