#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(saa7146_vv_init, "_gpl", "");
KSYMTAB_FUNC(saa7146_vv_release, "_gpl", "");
KSYMTAB_FUNC(saa7146_register_device, "_gpl", "");
KSYMTAB_FUNC(saa7146_unregister_device, "_gpl", "");
KSYMTAB_FUNC(saa7146_set_hps_source_and_sync, "_gpl", "");

SYMBOL_CRC(saa7146_vv_init, 0x37460966, "_gpl");
SYMBOL_CRC(saa7146_vv_release, 0x77f83fdf, "_gpl");
SYMBOL_CRC(saa7146_register_device, 0x00332a18, "_gpl");
SYMBOL_CRC(saa7146_unregister_device, 0x2641e086, "_gpl");
SYMBOL_CRC(saa7146_set_hps_source_and_sync, 0xb73331f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77b7eabe, "vb2_queue_init" },
	{ 0xc54723ca, "vb2_dma_sg_memops" },
	{ 0x98a6c2e3, "video_ioctl2" },
	{ 0x24e9bdab, "vb2_ioctl_streamoff" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xfdc275, "vb2_ops_wait_finish" },
	{ 0x383e7912, "v4l2_ctrl_handler_init_class" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d56935d, "vb2_ioctl_querybuf" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x98a0578b, "v4l2_fh_open" },
	{ 0xe3cd9b5c, "saa7146_debug" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9bd6d0a, "video_devdata" },
	{ 0xc6f42018, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x3adbd595, "v4l2_field_names" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6c7f7830, "vb2_plane_cookie" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xa744f6d4, "vb2_ioctl_dqbuf" },
	{ 0xe1f3b6ea, "vb2_ioctl_create_bufs" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1fdeb653, "dma_alloc_attrs" },
	{ 0x4c542e1e, "saa7146_pgtable_build_single" },
	{ 0xc8e62fbb, "vb2_buffer_done" },
	{ 0xc27f0583, "v4l2_ctrl_subscribe_event" },
	{ 0xc30ea2e3, "video_unregister_device" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x8aa29557, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3f052a29, "vb2_fop_mmap" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xf69a55e9, "saa7146_pgtable_alloc" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xbb52f910, "vb2_fop_read" },
	{ 0xf8bc7928, "v4l2_device_register" },
	{ 0x2df50b0, "jiffies" },
	{ 0xd6f61e89, "dma_free_attrs" },
	{ 0x8ca14906, "saa7146_pgtable_free" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46cd89e5, "__video_register_device" },
	{ 0x56ba18ea, "vb2_ops_wait_prepare" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2afbba2d, "vb2_ioctl_streamon" },
	{ 0xa0e5c6b1, "vb2_fop_poll" },
	{ 0x6f7a08d7, "v4l2_ctrl_new_std" },
	{ 0x21c2af5f, "v4l2_ctrl_handler_free" },
	{ 0xef657305, "v4l2_device_unregister" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xfd039b9f, "video_device_release_empty" },
	{ 0xea941af6, "v4l2_event_unsubscribe" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x21ba5cda, "vb2_ioctl_reqbufs" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,saa7146,videobuf2-common");


MODULE_INFO(srcversion, "A0F7BECFA68C498299898F9");
