#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x6608d5f5, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0xef561579, "");
SYMBOL_CRC(bttv_sub_unregister, 0x4fc83050, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77b7eabe, "vb2_queue_init" },
	{ 0x9ac5d8a9, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc54723ca, "vb2_dma_sg_memops" },
	{ 0xc793f3ad, "v4l2_ctrl_poll" },
	{ 0x98a6c2e3, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x21540fb8, "pci_enable_device" },
	{ 0x24e9bdab, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x14ec2c8a, "v4l2_ctrl_radio_filter" },
	{ 0xb3a70d37, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaeb09ff1, "i2c_bit_add_bus" },
	{ 0xdd3c0e85, "v4l2_ctrl_add_handler" },
	{ 0x2d27eafe, "device_unregister" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xd7ddc8f8, "pci_get_device" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x2970dea0, "request_firmware" },
	{ 0xfdc275, "vb2_ops_wait_finish" },
	{ 0x5eb1919e, "__pci_register_driver" },
	{ 0x383e7912, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xd3818d32, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d56935d, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x95134e31, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x98a0578b, "v4l2_fh_open" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xf065629f, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xc691063d, "pci_read_config_dword" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xa9561972, "v4l2_ctrl_handler_log_status" },
	{ 0xa12a84d1, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9bd6d0a, "video_devdata" },
	{ 0x6c617e18, "put_device" },
	{ 0xc6f42018, "vb2_fop_release" },
	{ 0xc3b97d46, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe4ffb57f, "v4l2_ctrl_find" },
	{ 0xc1b757b6, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8a30bd5a, "__v4l2_ctrl_s_ctrl" },
	{ 0x6c7f7830, "vb2_plane_cookie" },
	{ 0x800473f, "__cond_resched" },
	{ 0xde3cdb4d, "device_create_file" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77998d2c, "rc_keyup" },
	{ 0xa744f6d4, "vb2_ioctl_dqbuf" },
	{ 0x9077da1a, "bus_unregister" },
	{ 0xe1f3b6ea, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x596fcb5, "tveeprom_read" },
	{ 0x93c5c52c, "v4l2_ctrl_new_custom" },
	{ 0xd9f9f37a, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x792d4392, "v4l2_fh_release" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x61b9a54b, "rc_register_device" },
	{ 0x1fdeb653, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x899a084a, "rc_keydown" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xf2178324, "snd_tea575x_enum_freq_bands" },
	{ 0xc8e62fbb, "vb2_buffer_done" },
	{ 0x58a8220f, "driver_unregister" },
	{ 0x1cc2e38c, "vb2_plane_vaddr" },
	{ 0xc27f0583, "v4l2_ctrl_subscribe_event" },
	{ 0xabf0f1e6, "snd_tea575x_s_hw_freq_seek" },
	{ 0x254c9287, "ioremap" },
	{ 0xc30ea2e3, "video_unregister_device" },
	{ 0x5c2d7b21, "snd_tea575x_set_freq" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x4218d826, "i2c_new_client_device" },
	{ 0x8aa29557, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3f052a29, "vb2_fop_mmap" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xb3867edd, "device_register" },
	{ 0xb6c7910, "rc_free_device" },
	{ 0xdcb764ad, "memset" },
	{ 0xbd7cb045, "pci_set_master" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xbb52f910, "vb2_fop_read" },
	{ 0xf8bc7928, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4602889d, "i2c_add_adapter" },
	{ 0x2df50b0, "jiffies" },
	{ 0x709ecd59, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd6f61e89, "dma_free_attrs" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8da28598, "snd_tea575x_hw_init" },
	{ 0x46cd89e5, "__video_register_device" },
	{ 0xf0a4db29, "pci_write_config_byte" },
	{ 0x56ba18ea, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2afbba2d, "vb2_ioctl_streamon" },
	{ 0xa0e5c6b1, "vb2_fop_poll" },
	{ 0x6f7a08d7, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x21c2af5f, "v4l2_ctrl_handler_free" },
	{ 0xef657305, "v4l2_device_unregister" },
	{ 0x2be61f35, "pci_disable_device" },
	{ 0x5ed6d98c, "vb2_wait_for_all_buffers" },
	{ 0x3d27247, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x7880065d, "v4l2_subdev_call_wrappers" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x8ad93ad1, "v4l2_i2c_new_subdev" },
	{ 0xbe0e25e8, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x942a9467, "param_ops_int" },
	{ 0xfd039b9f, "video_device_release_empty" },
	{ 0x6099afe0, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d1cb46c, "rc_unregister_device" },
	{ 0x843bc7c9, "pci_write_config_dword" },
	{ 0xea941af6, "v4l2_event_unsubscribe" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x978c2754, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x21ba5cda, "vb2_ioctl_reqbufs" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,tea575x,videobuf2-dma-sg,videodev,i2c-algo-bit,videobuf2-common,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5A435C3ED33F397E430CE56");
