#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x810b2cd4, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xab8cb060, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xf93044be, "");
SYMBOL_CRC(cx18_claim_stream, 0x2b3da9e8, "");
SYMBOL_CRC(cx18_release_stream, 0xe7d92b12, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77b7eabe, "vb2_queue_init" },
	{ 0xcfedd00d, "v4l2_fh_exit" },
	{ 0xf0d9d03, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2cc65b9f, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x98a6c2e3, "video_ioctl2" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1da6eda5, "vb2_queue_release" },
	{ 0x21540fb8, "pci_enable_device" },
	{ 0x24e9bdab, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xaeb09ff1, "i2c_bit_add_bus" },
	{ 0x2f94d6e3, "v4l2_fh_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x32ba67c6, "v4l2_fh_add" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xcd51b072, "dma_unmap_page_attrs" },
	{ 0xfdc275, "vb2_ops_wait_finish" },
	{ 0x2970dea0, "request_firmware" },
	{ 0x5eb1919e, "__pci_register_driver" },
	{ 0x383e7912, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xd3818d32, "param_array_ops" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d56935d, "vb2_ioctl_querybuf" },
	{ 0x3db5dca2, "v4l2_subdev_init" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x6cf41032, "vb2_video_unregister_device" },
	{ 0xf065629f, "pci_unregister_driver" },
	{ 0x787e0910, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0x98dc712b, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xa9561972, "v4l2_ctrl_handler_log_status" },
	{ 0xa12a84d1, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9bd6d0a, "video_devdata" },
	{ 0xc3b97d46, "i2c_new_scanned_device" },
	{ 0x7ac9dcb1, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xc1b757b6, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8a30bd5a, "__v4l2_ctrl_s_ctrl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x618ff0a, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa744f6d4, "vb2_ioctl_dqbuf" },
	{ 0xb201d888, "dvb_dmx_release" },
	{ 0xe1f3b6ea, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x596fcb5, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x388cebd, "vb2_ioctl_prepare_buf" },
	{ 0xf55c66af, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x73c9752, "pci_read_config_word" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xc8e62fbb, "vb2_buffer_done" },
	{ 0x1cc2e38c, "vb2_plane_vaddr" },
	{ 0xc27f0583, "v4l2_ctrl_subscribe_event" },
	{ 0xb8179710, "v4l2_fh_init" },
	{ 0x2dcf78cf, "v4l2_event_pending" },
	{ 0xef97229c, "dvb_net_init" },
	{ 0x254c9287, "ioremap" },
	{ 0x1502a72b, "dvb_dmx_swfilter" },
	{ 0xc30ea2e3, "video_unregister_device" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x1a4767d2, "dvb_dmxdev_release" },
	{ 0x8aa29557, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3f052a29, "vb2_fop_mmap" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x29174ecf, "param_ops_short" },
	{ 0x2a916b0, "vb2_vmalloc_memops" },
	{ 0xdcb764ad, "memset" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xbb52f910, "vb2_fop_read" },
	{ 0x9fd8336d, "__v4l2_device_register_subdev" },
	{ 0xf8bc7928, "v4l2_device_register" },
	{ 0xc8dc7e0a, "dvb_frontend_detach" },
	{ 0x276bb903, "param_ops_string" },
	{ 0x2df50b0, "jiffies" },
	{ 0xa8c93030, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46cd89e5, "__video_register_device" },
	{ 0x964043cb, "__dma_sync_single_for_device" },
	{ 0xcbbd8826, "dvb_unregister_frontend" },
	{ 0xf0a4db29, "pci_write_config_byte" },
	{ 0x56ba18ea, "vb2_ops_wait_prepare" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2afbba2d, "vb2_ioctl_streamon" },
	{ 0xa0e5c6b1, "vb2_fop_poll" },
	{ 0x6f7a08d7, "v4l2_ctrl_new_std" },
	{ 0x88371513, "v4l2_ctrl_g_ctrl" },
	{ 0x5df67a6d, "cx2341x_handler_init" },
	{ 0xdc211978, "cx2341x_handler_set_50hz" },
	{ 0x21c2af5f, "v4l2_ctrl_handler_free" },
	{ 0xef657305, "v4l2_device_unregister" },
	{ 0x2be61f35, "pci_disable_device" },
	{ 0xb5c70d31, "dvb_register_frontend" },
	{ 0x3d27247, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7880065d, "v4l2_subdev_call_wrappers" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x8ad93ad1, "v4l2_i2c_new_subdev" },
	{ 0xbe0e25e8, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x15b7c715, "dvb_unregister_adapter" },
	{ 0x1377d7d7, "dvb_dmx_init" },
	{ 0x942a9467, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x196e52cf, "pci_write_config_word" },
	{ 0xfd039b9f, "video_device_release_empty" },
	{ 0xe7ce7439, "_memcpy_fromio" },
	{ 0xea941af6, "v4l2_event_unsubscribe" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x21ba5cda, "vb2_ioctl_reqbufs" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,dvb-core,cx2341x,i2c-algo-bit,tveeprom,videobuf2-common,videobuf2-vmalloc");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "169C2525B0A1AC6B9C9E51B");
