#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0e63fd3, "__platform_driver_register" },
	{ 0x11e160ed, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa5a2f4d7, "get_phy_device" },
	{ 0xd5413200, "phy_device_register" },
	{ 0x9efa54d3, "sfp_add_phy" },
	{ 0xf581a174, "phy_device_remove" },
	{ 0x5ac094d7, "phy_device_free" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0xc92e61f, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x57035c03, "gpiod_direction_input" },
	{ 0xd84ec606, "gpiod_direction_output" },
	{ 0x86ae7929, "mdiobus_unregister" },
	{ 0xebb4ee3b, "mdiobus_free" },
	{ 0xe1ef5fa7, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0x58f4dd4d, "hwmon_device_register_with_info" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0xa8c4d5eb, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4829a47e, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xd3c521f1, "single_open" },
	{ 0x42696bcb, "seq_printf" },
	{ 0x6eeb025d, "platform_driver_unregister" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0xcc4a7c33, "hwmon_device_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x45093033, "mdio_i2c_alloc" },
	{ 0x241e0782, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe788fc81, "__devm_add_action" },
	{ 0xad81cd75, "device_get_match_data" },
	{ 0x4ea10d04, "__dev_fwnode" },
	{ 0xbf2b0c5c, "fwnode_find_reference" },
	{ 0xab19781f, "i2c_get_adapter_by_fwnode" },
	{ 0x15b58e99, "devm_gpiod_get_optional" },
	{ 0xf894592d, "device_property_read_u32_array" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x757e9c67, "sfp_register_socket" },
	{ 0x5568b2c0, "gpiod_to_irq" },
	{ 0x97518bd3, "debugfs_create_dir" },
	{ 0x822dd163, "debugfs_create_file" },
	{ 0x6c571570, "devm_kasprintf" },
	{ 0x68af5070, "devm_request_threaded_irq" },
	{ 0x106fa3f8, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0x55bbc5b9, "seq_lseek" },
	{ 0xf228b892, "seq_read" },
	{ 0xb999a975, "single_release" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio-i2c");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "8BDA4B0FA3036DD7D13A170");
