#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0x6b900890, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x87fdae4f, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x7d82b166, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x3e3fe1af, "_gpl");
SYMBOL_CRC(lbs_suspend, 0xea435e0b, "_gpl");
SYMBOL_CRC(lbs_resume, 0xffaa14d5, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x98f469e9, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0x3c0fda7c, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xc1ef5984, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x65fb4427, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xffe8d57f, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xaf7258f9, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x859c3455, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x70799f7c, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x6597d9e4, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0x571ff84a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x48f8cec7, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44a478dc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x756cf425, "unregister_netdev" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x2970dea0, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xffb83b87, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0x907980db, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x6cb3be03, "dev_kfree_skb_irq_reason" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x13d842b0, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x6be371d6, "ether_setup" },
	{ 0x6da8e3b4, "netdev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4f23d7e4, "pskb_expand_head" },
	{ 0xdd6a1d6e, "wake_up_process" },
	{ 0x466b20f6, "dev_addr_mod" },
	{ 0x352b909e, "eth_type_trans" },
	{ 0x1f4bfac9, "alloc_netdev_mqs" },
	{ 0xb1c39810, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x43aa0e9, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xd60693a6, "cfg80211_put_bss" },
	{ 0x186cacff, "netif_device_detach" },
	{ 0xaedf6637, "netif_device_attach" },
	{ 0x46be07fc, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0xde3cdb4d, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x10b2555f, "cfg80211_ibss_joined" },
	{ 0xf9ca228, "request_firmware_nowait" },
	{ 0x454143a4, "simple_open" },
	{ 0xc7243402, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa43032c2, "cfg80211_michael_mic_failure" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x14e1c8d2, "skb_push" },
	{ 0x106fa3f8, "debugfs_remove" },
	{ 0x40b77912, "register_netdev" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x3bbfa16d, "wiphy_unregister" },
	{ 0x40cfa372, "free_netdev" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x55364003, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x295f6289, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xf4628ca0, "netif_rx" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xc6b41beb, "netdev_alert" },
	{ 0x6bec5582, "kthread_create_on_node" },
	{ 0x822dd163, "debugfs_create_file" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea0a64b4, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x205fbdc6, "netif_carrier_on" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x47a7187d, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5db6493, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x942a9467, "param_ops_int" },
	{ 0x97518bd3, "debugfs_create_dir" },
	{ 0x48a3a691, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6773284f, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3f1f315a, "__cfg80211_get_bss" },
	{ 0x88c1cbb, "wiphy_free" },
	{ 0xae41c776, "ieee80211_get_num_supported_channels" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x6e1944f, "netdev_info" },
	{ 0xabbc2846, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");
