#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x8a696faf, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x1445b4a3, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x02807bc2, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x8a32bcbe, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x9b3d34fe, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0xe9a90431, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9410e46, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4137ad89, "eth_mac_addr" },
	{ 0x279f3d53, "skb_put" },
	{ 0x48f8cec7, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44a478dc, "consume_skb" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf090cb7a, "cfg80211_cac_event" },
	{ 0x96dcc5cc, "skb_dequeue" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x488afecd, "cfg80211_register_netdevice" },
	{ 0x4829a47e, "memcpy" },
	{ 0xffb83b87, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x747618b1, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x7b2adefe, "cfg80211_new_sta" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x13d842b0, "cfg80211_disconnected" },
	{ 0x6be371d6, "ether_setup" },
	{ 0xef62e9ec, "netdev_port_same_parent_id" },
	{ 0x466b20f6, "dev_addr_mod" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0x1f4bfac9, "alloc_netdev_mqs" },
	{ 0xb1c39810, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x43aa0e9, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xd60693a6, "cfg80211_put_bss" },
	{ 0x6d221490, "cfg80211_ch_switch_notify" },
	{ 0xd2a47fc3, "skb_queue_tail" },
	{ 0x46be07fc, "ieee80211_get_channel_khz" },
	{ 0xd7777289, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf97de00a, "__cfg80211_radar_event" },
	{ 0xdc4a1a80, "cfg80211_get_drvinfo" },
	{ 0x3cc90f4, "init_net" },
	{ 0x61157b81, "platform_device_unregister" },
	{ 0xa43032c2, "cfg80211_michael_mic_failure" },
	{ 0x85efb948, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x106fa3f8, "debugfs_remove" },
	{ 0xe1940ae6, "cfg80211_del_sta_sinfo" },
	{ 0xbc88b54a, "cfg80211_update_owe_info_event" },
	{ 0x3bbfa16d, "wiphy_unregister" },
	{ 0x40cfa372, "free_netdev" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x49fb8226, "netif_tx_stop_all_queues" },
	{ 0x295f6289, "netif_tx_wake_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe6079e6, "wdev_chandef" },
	{ 0x4f81fd23, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xd2aaa206, "cfg80211_unregister_wdev" },
	{ 0x51a12006, "platform_device_register_full" },
	{ 0xde56cd24, "cfg80211_rx_mgmt_ext" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9fd0bc6, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea0a64b4, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x205fbdc6, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb144d85e, "netdev_walk_all_lower_dev" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x47a7187d, "cfg80211_inform_bss_data" },
	{ 0x6437c00d, "cfg80211_shutdown_all_interfaces" },
	{ 0x5db6493, "dev_kfree_skb_any_reason" },
	{ 0x50643a3, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x97518bd3, "debugfs_create_dir" },
	{ 0x6773284f, "cfg80211_connect_done" },
	{ 0x3f1f315a, "__cfg80211_get_bss" },
	{ 0x88c1cbb, "wiphy_free" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "95C50ED0AF0F008EB2C23B4");
