#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xed051af5, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x37d2eda8, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xa39a51ea, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xf8e9983d, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xe6b2f910, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xe2c59bed, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xf6caa077, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xd45948db, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xb9f1c8bf, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x465e5839, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x8350c92d, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x8e72447c, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xa4b840ee, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x5b369b0a, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x844b2ef6, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x2eaf9219, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xc109eece, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xc48700fb, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xb07ba33d, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x24fc77fe, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xc627cbb3, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xc906420a, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x211f1a8d, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xf3e6d3d8, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x87e341dd, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xd5fc6792, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0xb25fc000, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x3ffbc3d3, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x9f4ba44e, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xc4daf116, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x8ad42136, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xaa234a4f, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x53cad346, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x26bac250, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xcd381cba, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x89674a7f, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xd4d96d91, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xc6e35701, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x32918564, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x31a4e233, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x11e9c108, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x66f91242, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x959aadc8, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x52a6eb59, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x7b6a5683, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x76f45f02, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0xa79204c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd1fded2d, "ieee80211_iterate_interfaces" },
	{ 0x279f3d53, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44a478dc, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcd51b072, "dma_unmap_page_attrs" },
	{ 0x2970dea0, "request_firmware" },
	{ 0x5f063584, "led_classdev_suspend" },
	{ 0xd97df736, "hrtimer_init" },
	{ 0x315beadb, "ieee80211_tx_status_ext" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xf2cebacf, "led_classdev_unregister" },
	{ 0xbce2c5e2, "ieee80211_register_hw" },
	{ 0x8226a066, "__ieee80211_create_tpt_led_trigger" },
	{ 0x60901c59, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x4d330c58, "ieee80211_wake_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0xf438b3ac, "ieee80211_tx_status_skb" },
	{ 0xc08ff2cb, "ieee80211_get_buffered_bc" },
	{ 0x98dc712b, "dma_map_page_attrs" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0xf4817cf7, "of_get_mac_address" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc2b4322e, "ieee80211_queue_delayed_work" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x549080f7, "ieee80211_ctstoself_get" },
	{ 0xc7243402, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x14e1c8d2, "skb_push" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x19aea6f9, "ieee80211_free_txskb" },
	{ 0xed393889, "led_classdev_register_ext" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0x170254b, "ieee80211_stop_queue" },
	{ 0x4f81fd23, "__netdev_alloc_skb" },
	{ 0xae9b3be5, "ieee80211_stop_queues" },
	{ 0x8201ad19, "skb_trim" },
	{ 0x2df50b0, "jiffies" },
	{ 0x4a456cd8, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x13043ece, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x895f1619, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46ef98b8, "led_classdev_resume" },
	{ 0xe36a757b, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec186ca3, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3a741bf5, "ieee80211_rts_get" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x4842f6c7, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xee810b30, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x5db6493, "dev_kfree_skb_any_reason" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x98b7cffa, "ieee80211_rx_napi" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "mac80211,led-class,cfg80211,rfkill");


MODULE_INFO(srcversion, "E45600D49323125F9786FF0");
