#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8723_dm_init_dynamic_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_dynamic_bb_powersaving, "_gpl", "");
KSYMTAB_FUNC(rtl8723_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl8723_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723ae_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723be_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl8723_download_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_query_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_read, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_write, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_txpwr_idx_to_dbm, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_init_bb_rf_reg_def, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_sw_chnl_cmdarray, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_fill_iqk_matrix, "_gpl", "");
KSYMTAB_FUNC(rtl8723_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_standby, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_pi_mode_switch, "_gpl", "");

SYMBOL_CRC(rtl8723_dm_init_dynamic_txpower, 0xfdca1e40, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_edca_turbo, 0xf5cf29b5, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_dynamic_bb_powersaving, 0xe9acee86, "_gpl");
SYMBOL_CRC(rtl8723_enable_fw_download, 0xef0c65dc, "_gpl");
SYMBOL_CRC(rtl8723_write_fw, 0x4d9a3444, "_gpl");
SYMBOL_CRC(rtl8723ae_firmware_selfreset, 0xc7f50002, "_gpl");
SYMBOL_CRC(rtl8723be_firmware_selfreset, 0xb46936f0, "_gpl");
SYMBOL_CRC(rtl8723_fw_free_to_go, 0x629177a8, "_gpl");
SYMBOL_CRC(rtl8723_download_fw, 0xa9cdeea8, "_gpl");
SYMBOL_CRC(rtl8723_phy_query_bb_reg, 0x6716b5fe, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_bb_reg, 0x90354e50, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_read, 0xe1abc597, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_write, 0x4f192e3f, "_gpl");
SYMBOL_CRC(rtl8723_phy_txpwr_idx_to_dbm, 0x149a9259, "_gpl");
SYMBOL_CRC(rtl8723_phy_init_bb_rf_reg_def, 0x18f21d2a, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_sw_chnl_cmdarray, 0x8baf8913, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_fill_iqk_matrix, 0xf06c4845, "_gpl");
SYMBOL_CRC(rtl8723_save_adda_registers, 0xebbbb699, "_gpl");
SYMBOL_CRC(rtl8723_phy_save_mac_registers, 0x213b114e, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_adda_registers, 0x1cae1d2a, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_mac_registers, 0xca22ec2e, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_adda_on, 0x1425bf79, "_gpl");
SYMBOL_CRC(rtl8723_phy_mac_setting_calibration, 0xf62fed0b, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_standby, 0x3421e008, "_gpl");
SYMBOL_CRC(rtl8723_phy_pi_mode_switch, 0x55bb5752, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x24b5c5ed, "_rtl_dbg_print" },
	{ 0x92997ed8, "_printk" },
	{ 0x309b3a6e, "rtl_fw_page_write" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "168ABD5B1AB8C27EE0F47E6");
