#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x76957eb9, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x3b174180, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x96c831fa, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xb23fd7ca, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x1cc4e162, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x235489a9, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xa6a24769, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x2c9d3840, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x148ee79f, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x5e50eb47, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xd98e6b9f, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x6b7cbb72, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x3af125bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0x10cbc894, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6c617e18, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0x1424291c, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c22256, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xf6792daf, "down_write" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x75574cc1, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe3dbc964, "device_create" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0x37288e9, "class_unregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6c2a24a9, "__nvme_submit_sync_cmd" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0x9036a363, "misc_register" },
	{ 0x2962d65c, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xb4fca748, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf228b892, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x966ae98e, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xd18ab3a1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x42696bcb, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xb999a975, "single_release" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xf9cf7304, "__seq_puts" },
	{ 0x98cf60b3, "strlen" },
	{ 0x50fe05a6, "key_lookup" },
	{ 0xd3c521f1, "single_open" },
	{ 0x49180e5f, "up_read" },
	{ 0x9cc65552, "class_register" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x24dba42d, "nvme_auth_negotiate" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "AE5FFB4645D604C9A1FA303");
