#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb198ed5c, "scsi_dma_unmap" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x479fc2d5, "scsi_done" },
	{ 0x226b3bdd, "raid_class_attach" },
	{ 0x5eb1919e, "__pci_register_driver" },
	{ 0xc5e10b8f, "raid_class_release" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6f61e89, "dma_free_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x2be61f35, "pci_disable_device" },
	{ 0xa8f5bd9b, "scsi_host_put" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9948d824, "attribute_container_find_class_device" },
	{ 0x9407e965, "_dev_printk" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc4e27dc8, "scsi_device_lookup" },
	{ 0x23912a64, "sdev_prefix_printk" },
	{ 0xf065629f, "pci_unregister_driver" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xb2a771e2, "_dev_notice" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0xd9a9c15e, "complete" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x3d27247, "dma_set_mask" },
	{ 0x1fdeb653, "dma_alloc_attrs" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x98dc712b, "dma_map_page_attrs" },
	{ 0xcd51b072, "dma_unmap_page_attrs" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x1d5a90f, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb05d7eeb, "scsi_host_alloc" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x21540fb8, "pci_enable_device" },
	{ 0x254c9287, "ioremap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24370131, "dma_pool_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21565e74, "scsi_add_host_with_dma" },
	{ 0x3f5ac093, "scsi_scan_host" },
	{ 0x2df50b0, "jiffies" },
	{ 0x6d64950c, "__scsi_iterate_devices" },
	{ 0x5a921311, "strncmp" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x82d19b34, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x46f1350, "scsi_build_sense" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,raid_class,scsi_common");

MODULE_ALIAS("pci:v00001069d0000B166sv00001069sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001069d0000BA56sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001069d00000050sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "92B6B9CDB9F35EF5D273C6E");
