#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_failures_reset_retries, "_gpl", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(scsi_init_limits, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_resume_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(__scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0xd11f4672, "");
SYMBOL_CRC(scsi_track_queue_full, 0x7ff8ea1a, "");
SYMBOL_CRC(scsi_get_vpd_page, 0x8c67be30, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0xc77d88ff, "");
SYMBOL_CRC(scsi_device_get, 0xd26bab95, "");
SYMBOL_CRC(scsi_device_put, 0xebde38a0, "");
SYMBOL_CRC(__scsi_iterate_devices, 0x6d64950c, "");
SYMBOL_CRC(starget_for_each_device, 0xef80e3d6, "");
SYMBOL_CRC(__starget_for_each_device, 0x22ceafc2, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0xdb0751c8, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0xe655e645, "");
SYMBOL_CRC(__scsi_device_lookup, 0x48164327, "");
SYMBOL_CRC(scsi_device_lookup, 0xc4e27dc8, "");
SYMBOL_CRC(scsi_remove_host, 0xc3809c5d, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0x21565e74, "");
SYMBOL_CRC(scsi_host_alloc, 0xb05d7eeb, "");
SYMBOL_CRC(scsi_host_lookup, 0xca3c266e, "");
SYMBOL_CRC(scsi_host_get, 0x3eb32a61, "");
SYMBOL_CRC(scsi_host_busy, 0x36ee975a, "");
SYMBOL_CRC(scsi_host_put, 0xa8f5bd9b, "");
SYMBOL_CRC(scsi_is_host_device, 0x94b4e27f, "");
SYMBOL_CRC(scsi_queue_work, 0x9809194e, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0x04e83b88, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0xada4f208, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0x69f88e4e, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0x765080b2, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0xf9062095, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0xf739603b, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x0d6c3509, "");
SYMBOL_CRC(scsi_partsize, 0x94ded10a, "");
SYMBOL_CRC(scsicam_bios_param, 0xe4f24554, "");
SYMBOL_CRC(scsi_schedule_eh, 0x183f3db8, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0x487b9881, "");
SYMBOL_CRC(scsi_check_sense, 0xf8c778bc, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0x7cbcbaa1, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0xaa99c1d8, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0x2afdcbd0, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0x58507952, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0xbf46a368, "");
SYMBOL_CRC(scsi_report_device_reset, 0x39581827, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0x8a0f7579, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_failures_reset_retries, 0x7ee9199d, "_gpl");
SYMBOL_CRC(scsi_execute_cmd, 0xa39cee4c, "");
SYMBOL_CRC(scsi_free_sgtables, 0x55faf9b3, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0x41084651, "");
SYMBOL_CRC(scsi_alloc_request, 0x56b82f2c, "_gpl");
SYMBOL_CRC(scsi_done, 0x479fc2d5, "");
SYMBOL_CRC(scsi_done_direct, 0x9e111733, "");
SYMBOL_CRC(scsi_init_limits, 0xdcf9debe, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0x899d356b, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0x832d9d73, "");
SYMBOL_CRC(scsi_unblock_requests, 0xb1997ea1, "");
SYMBOL_CRC(scsi_mode_select, 0x8884b0e8, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0x0adb79ab, "");
SYMBOL_CRC(scsi_test_unit_ready, 0xae1d62c4, "");
SYMBOL_CRC(scsi_device_set_state, 0xd870d118, "");
SYMBOL_CRC(sdev_evt_send, 0xe0102d4e, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x59eeeb35, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0xbc436a06, "");
SYMBOL_CRC(scsi_device_resume, 0x618a582a, "");
SYMBOL_CRC(scsi_target_quiesce, 0xa7e83ff7, "");
SYMBOL_CRC(scsi_target_resume, 0x6b5e81e7, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0xb38211c1, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0xaf2f5c90, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xa11cedc9, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0xaa96d34f, "_gpl");
SYMBOL_CRC(scsi_host_block, 0x4b0702e7, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0xd3c61898, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xae66472b, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0x3982721d, "");
SYMBOL_CRC(sdev_enable_disk_events, 0x4ad2f0b9, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0xa2e91500, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0x8f4adbe8, "");
SYMBOL_CRC(scsi_build_sense, 0x046f1350, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0x82d19b34, "");
SYMBOL_CRC(scsi_dma_unmap, 0xb198ed5c, "");
SYMBOL_CRC(scsi_is_target_device, 0xb88caa54, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0x7069bb89, "");
SYMBOL_CRC(scsi_add_device, 0x3fe480d5, "");
SYMBOL_CRC(scsi_resume_device, 0x16ce0da0, "");
SYMBOL_CRC(scsi_rescan_device, 0xeef68eec, "");
SYMBOL_CRC(scsi_scan_target, 0x4d287dc3, "");
SYMBOL_CRC(scsi_scan_host, 0x3f5ac093, "");
SYMBOL_CRC(scsi_remove_device, 0xc685e401, "");
SYMBOL_CRC(scsi_remove_target, 0xb1bceea1, "");
SYMBOL_CRC(__scsi_register_driver, 0x0b1e931a, "");
SYMBOL_CRC(scsi_register_interface, 0x545b0825, "");
SYMBOL_CRC(scsi_is_sdev_device, 0x900f0a15, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0x4c8a2553, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0x2f978326, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0x74f194fb, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0x23912a64, "");
SYMBOL_CRC(scmd_printk, 0xb4a5ac6b, "");
SYMBOL_CRC(__scsi_format_command, 0x93022ba6, "");
SYMBOL_CRC(scsi_print_command, 0x8d48d838, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0x4bfe228e, "");
SYMBOL_CRC(__scsi_print_sense, 0xa9fc25bd, "");
SYMBOL_CRC(scsi_print_sense, 0x9428c376, "");
SYMBOL_CRC(scsi_print_result, 0x7e3a3d89, "");
SYMBOL_CRC(scsi_autopm_get_device, 0x82462d2f, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0xf7a41891, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0xd376af4f, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0x2ff11c2b, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0x9e5c5daf, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0x557833f2, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0x02448806, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x705886d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x51857af0, "param_ops_ullong" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x61e00c84, "add_disk_randomness" },
	{ 0x44f5daac, "ida_destroy" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb3a70d37, "dev_set_name" },
	{ 0xac41d8c6, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x86691171, "proc_create" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x6a82716e, "seq_release" },
	{ 0x65b99415, "blk_pre_runtime_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1a462244, "transport_remove_device" },
	{ 0x2d27eafe, "device_unregister" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xa382969f, "read_cache_folio" },
	{ 0xf8a01ddb, "sysfs_unbreak_active_protection" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0xc3bc4ceb, "device_initialize" },
	{ 0x328fd219, "blk_mq_unquiesce_queue" },
	{ 0x2551a3cb, "sbitmap_init_node" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x55bbc5b9, "seq_lseek" },
	{ 0xf8866802, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x4a45dc2e, "blk_mq_kick_requeue_list" },
	{ 0x9b9be297, "proc_create_data" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xe44f2b5e, "device_for_each_child" },
	{ 0xbb25a4e, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9da82ed, "get_device" },
	{ 0xc141d49d, "blk_set_queue_depth" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x2a698b30, "netlink_ack" },
	{ 0x77e37de6, "single_open_size" },
	{ 0x84015016, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xac6fca60, "platform_bus" },
	{ 0x21b7fcf4, "blk_mq_alloc_tag_set" },
	{ 0xdd6a1d6e, "wake_up_process" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0x9ee8f5a0, "blk_rq_init" },
	{ 0xac805493, "blk_rq_count_integrity_sg" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0x1f55cb93, "transport_setup_device" },
	{ 0xd0561a67, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x288464df, "blk_execute_rq" },
	{ 0x46346efa, "unregister_sysctl_table" },
	{ 0x474b44f9, "blk_set_pm_only" },
	{ 0x9fe2a3f6, "dma_max_mapping_size" },
	{ 0x6c617e18, "put_device" },
	{ 0xa1312dd5, "pm_runtime_enable" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0x8f8f6116, "blk_mq_free_request" },
	{ 0x29d79cd9, "netlink_capable" },
	{ 0x1751c46e, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1424291c, "module_put" },
	{ 0x35a8bae3, "blk_get_queue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xd06a0ad0, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x9b18568b, "blk_rq_map_user" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0x9077da1a, "bus_unregister" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x3cc90f4, "init_net" },
	{ 0x6e1910a4, "blk_update_request" },
	{ 0xc7243402, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe4e3e2cc, "bus_find_device" },
	{ 0x32e4a6d5, "device_add" },
	{ 0x4ec335ce, "blk_rq_map_user_io" },
	{ 0x4dc095ba, "blk_execute_rq_nowait" },
	{ 0xa07a37f0, "memchr" },
	{ 0x70232f1, "kmem_cache_create_usercopy" },
	{ 0xec3e11d, "blk_mq_delay_run_hw_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xd1254d68, "kmem_cache_free" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x5a921311, "strncmp" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0x54903780, "__blk_rq_map_sg" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0xbf008ae6, "blk_mq_alloc_request" },
	{ 0x57eb8c89, "ida_free" },
	{ 0xfb19074e, "transport_configure_device" },
	{ 0x70a55dde, "bsg_register_queue" },
	{ 0x8477e964, "netlink_kernel_release" },
	{ 0x37288e9, "class_unregister" },
	{ 0x6fd81df0, "blk_mq_free_tag_set" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x6bfd0917, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0x55364003, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x1dda4ab6, "transport_add_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xbff05bc, "blk_put_queue" },
	{ 0xf5208ea7, "bpf_trace_run1" },
	{ 0x535029a8, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x441f0ac4, "proc_mkdir" },
	{ 0x52d2c19c, "register_sysctl_sz" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbbfe1ad1, "blk_mq_wait_quiesce_done" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x73aa401e, "blk_post_runtime_resume" },
	{ 0xd96cdcaa, "blk_rq_unmap_user" },
	{ 0x276bb903, "param_ops_string" },
	{ 0xff83de44, "blk_clear_pm_only" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x6bec5582, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf228b892, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb3966ae8, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc83acfaa, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d09f6dc, "blk_mq_freeze_queue" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x701c5f4d, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa4bae52f, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x353f5f60, "sysfs_break_active_protection" },
	{ 0x966ae98e, "seq_write" },
	{ 0xabe8280, "__folio_put" },
	{ 0x586013b, "blk_rq_map_integrity_sg" },
	{ 0xeb53c5d9, "transport_destroy_device" },
	{ 0x78426108, "remove_proc_entry" },
	{ 0x4d94a9f5, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42696bcb, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xe9054ed5, "device_match_any" },
	{ 0x4f7a0094, "blk_mq_unfreeze_queue" },
	{ 0xbbae7c58, "blk_mq_start_request" },
	{ 0xc5ff2ee7, "blk_mq_tagset_busy_iter" },
	{ 0x92b8fa21, "queue_limits_commit_update" },
	{ 0x8ea15dda, "proc_dointvec" },
	{ 0xb999a975, "single_release" },
	{ 0x23967c3, "blk_mq_quiesce_queue_nowait" },
	{ 0x92f4eb41, "sbitmap_weight" },
	{ 0x2515a25b, "dma_unmap_sg_attrs" },
	{ 0x27a35108, "seq_open" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xf9cf7304, "__seq_puts" },
	{ 0xeb91b7a5, "blk_pre_runtime_suspend" },
	{ 0x299afd78, "__pm_runtime_suspend" },
	{ 0x5b4ca445, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x942a9467, "param_ops_int" },
	{ 0x9407e965, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3d9ad864, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x8fbf42dc, "__pm_runtime_disable" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa8775024, "sbitmap_get" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x60eb4745, "blk_post_runtime_suspend" },
	{ 0x899d5aa8, "blk_mq_requeue_request" },
	{ 0x6099afe0, "driver_register" },
	{ 0x9cc65552, "class_register" },
	{ 0xaf9a8d96, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2b91a389, "blk_queue_rq_timeout" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xabbc2846, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x978c2754, "bus_register" },
	{ 0xdddfb030, "kmem_cache_destroy" },
	{ 0xec82b379, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x37105283, "class_find_device" },
	{ 0xecaba4f8, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "1E86E028B0B3D3563F9796A");
