#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x0b357fe1, "");
SYMBOL_CRC(fc_host_post_event, 0x553f32df, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xb64d0714, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x2169a310, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xe904c65f, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x31898497, "");
SYMBOL_CRC(fc_eh_timed_out, 0x99eccae4, "");
SYMBOL_CRC(fc_attach_transport, 0xfe7afd53, "");
SYMBOL_CRC(fc_release_transport, 0x86ce585f, "");
SYMBOL_CRC(fc_remove_host, 0x809687e9, "");
SYMBOL_CRC(fc_remote_port_add, 0xdbb9d6b5, "");
SYMBOL_CRC(fc_remote_port_delete, 0x6ac1bf42, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x5ce44503, "");
SYMBOL_CRC(fc_block_rport, 0x71a9415d, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x32775d5a, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xe3abb4eb, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x6eb09a5f, "");
SYMBOL_CRC(fc_vport_terminate, 0xad5df56c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c617e18, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4d287dc3, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xa8f5bd9b, "scsi_host_put" },
	{ 0xc82833ce, "sysfs_remove_link" },
	{ 0x1a462244, "transport_remove_device" },
	{ 0x535029a8, "device_del" },
	{ 0xeb53c5d9, "transport_destroy_device" },
	{ 0x9407e965, "_dev_printk" },
	{ 0x6163e8e1, "transport_class_register" },
	{ 0x10736282, "transport_class_unregister" },
	{ 0x2f978326, "scsi_nl_sock" },
	{ 0x10c7acef, "__alloc_skb" },
	{ 0x93ac81a1, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xdcb764ad, "memset" },
	{ 0xcfb7bcf1, "netlink_broadcast_filtered" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0xdcf9debe, "scsi_init_limits" },
	{ 0xf4dcc468, "bsg_setup_queue" },
	{ 0x2b91a389, "blk_queue_rq_timeout" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x94b4e27f, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9ceb123a, "attribute_container_unregister" },
	{ 0x4e83b88, "scsi_flush_work" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3eb32a61, "scsi_host_get" },
	{ 0xc3bc4ceb, "device_initialize" },
	{ 0x9da82ed, "get_device" },
	{ 0xb3a70d37, "dev_set_name" },
	{ 0x1f55cb93, "transport_setup_device" },
	{ 0x32e4a6d5, "device_add" },
	{ 0x1dda4ab6, "transport_add_device" },
	{ 0xfb19074e, "transport_configure_device" },
	{ 0xa27f5bf4, "sysfs_create_link" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x90121c1b, "attribute_container_register" },
	{ 0xc17e157a, "bsg_remove_queue" },
	{ 0xaa96d34f, "scsi_target_unblock" },
	{ 0xb1bceea1, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb88caa54, "scsi_is_target_device" },
	{ 0xa11cedc9, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9809194e, "scsi_queue_work" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3d9ad864, "blk_mq_run_hw_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x52511101, "bsg_job_get" },
	{ 0x6e90e244, "blk_mq_end_request" },
	{ 0xf8fd3db2, "bsg_job_put" },
	{ 0x89a5c9d0, "bsg_job_done" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "FA828EC863B5DBC28D8B829");
