#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x502722c4, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x1429efcd, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x18b4ff06, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x3cb56750, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0xb01bcfb4, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xb85bf8ca, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xea9a8817, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x02f71753, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x91ce7258, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x7168fa44, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xfd00f10f, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x538a8352, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0xd9ef1cf5, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x0e7b0a60, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x2b79b714, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x72ab1c2a, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0xdf5032ff, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x0edc5256, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x315a76dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4829a47e, "memcpy" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1ce676fe, "bpf_trace_run5" },
	{ 0x69a09c85, "bpf_trace_run4" },
	{ 0x94dcbb92, "bpf_trace_run3" },
	{ 0x54e7d3b3, "bpf_trace_run6" },
	{ 0xb3a70d37, "dev_set_name" },
	{ 0x32e4a6d5, "device_add" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x2d27eafe, "device_unregister" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc518edf0, "of_device_uevent_modalias" },
	{ 0x4bec2fd9, "device_match_of_node" },
	{ 0xe4e3e2cc, "bus_find_device" },
	{ 0x6099afe0, "driver_register" },
	{ 0x9077da1a, "bus_unregister" },
	{ 0x978c2754, "bus_register" },
	{ 0xe44f2b5e, "device_for_each_child" },
	{ 0x535029a8, "device_del" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc3bc4ceb, "device_initialize" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x6c617e18, "put_device" },
	{ 0xd0561a67, "__pm_runtime_set_status" },
	{ 0xa1312dd5, "pm_runtime_enable" },
	{ 0x8fbf42dc, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4531f06b, "of_match_device" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xebf55416, "of_get_next_available_child" },
	{ 0xd2e3c727, "of_property_read_variable_u32_array" },
	{ 0x701c5f4d, "__pm_runtime_resume" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "644EA0CCC8CB06368E150AC");
