#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0x93b23d24, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x363b4406, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0xc8e80ba6, "");
SYMBOL_CRC(usb_serial_resume, 0xf9501474, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x8dc71cba, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x9415e12c, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xe3a1be5a, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xa62eedd4, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x3a5a369c, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xec24d5a4, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xdf5280cd, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xbdf32ea1, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x3343130d, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xf086961e, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0xabb84ff6, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0xa84ff880, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x67e883b5, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0xd16d3cba, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xbea9b6d5, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x9d9d8c3b, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0xac4379bc, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xe8583e9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37fac798, "usb_put_intf" },
	{ 0x6ba90403, "usb_alloc_urb" },
	{ 0x62af6711, "usb_autopm_put_interface" },
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0x799ff7c4, "usb_free_urb" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb3a70d37, "dev_set_name" },
	{ 0x225677f8, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xd4bb7133, "tty_flip_buffer_push" },
	{ 0xd3ff134c, "driver_attach" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xf29de7b1, "tty_kref_put" },
	{ 0x31e4b2a8, "usb_register_driver" },
	{ 0xf5b4f916, "usb_match_one_id" },
	{ 0xc3bc4ceb, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xdad6f658, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x471abf54, "__tty_alloc_driver" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x3872a15a, "tty_standard_install" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xe213706e, "usb_show_dynids" },
	{ 0xa6c3dff6, "tty_hangup" },
	{ 0x36ae48bb, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xf502c117, "tty_termios_copy_hw" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xd6cce7d2, "__dynamic_dev_dbg" },
	{ 0x8b896e4a, "usb_get_intf" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x381fdd67, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3f1fe912, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6c617e18, "put_device" },
	{ 0xc6c7c218, "usb_get_dev" },
	{ 0x38fb9933, "tty_std_termios" },
	{ 0x8addb274, "usb_submit_urb" },
	{ 0xcd9f87b5, "_dev_info" },
	{ 0x9538ae85, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1424291c, "module_put" },
	{ 0x1be14b56, "tty_port_tty_wakeup" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xdaf39d6b, "usb_match_id" },
	{ 0x9e6c4a9, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9077da1a, "bus_unregister" },
	{ 0xe5a52afb, "_dev_err" },
	{ 0x32e4a6d5, "device_add" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x10daa73e, "tty_ldisc_ref" },
	{ 0x21bd28bb, "tty_vhangup" },
	{ 0x4897c1c, "__tty_insert_flip_string_flags" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xf8a5e3e1, "tty_port_destroy" },
	{ 0x7540923d, "tty_port_init" },
	{ 0x4c5bb7f4, "usb_driver_claim_interface" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0xf718973c, "usb_poison_urb" },
	{ 0x2ac78c70, "usb_unpoison_urb" },
	{ 0x58a8220f, "driver_unregister" },
	{ 0x45732523, "tty_port_register_device" },
	{ 0x175d1df4, "tty_ldisc_deref" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xa4448dea, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x535029a8, "device_del" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x8b526c38, "tty_port_close" },
	{ 0xe08c53b4, "_dev_warn" },
	{ 0x2df50b0, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x200eef7, "usb_autopm_get_interface" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x1f37cf65, "tty_register_driver" },
	{ 0x966ae98e, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12067493, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4d4e3d9a, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42696bcb, "seq_printf" },
	{ 0x393bc862, "tty_port_open" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x6099afe0, "driver_register" },
	{ 0x3379eb4b, "tty_driver_kref_put" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x978c2754, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7246ca4, "tty_port_tty_get" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "1ABE4A5B9DBA2E3E81E3D55");
