#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfd3edef8, "vhost_add_used" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x94d7ce61, "_copy_to_iter" },
	{ 0x10cbc894, "misc_deregister" },
	{ 0xe09fa9a6, "target_depend_item" },
	{ 0x8cea0711, "vhost_vring_ioctl" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe0027b5d, "vhost_dev_flush" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe0ec1d30, "target_execute_cmd" },
	{ 0x9940a6f6, "vhost_vq_access_ok" },
	{ 0xdfa42449, "vhost_dev_stop" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x46007a4c, "target_submit_tmr" },
	{ 0x8e7f5dda, "iov_iter_advance" },
	{ 0xdb2ef429, "vhost_dev_init" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x239be40e, "iov_iter_get_pages2" },
	{ 0xeab47982, "target_submit_prep" },
	{ 0x2551a3cb, "sbitmap_init_node" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x63d3aee1, "iov_iter_init" },
	{ 0xcd608e49, "target_submit" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x2d127a, "vhost_vq_init_access" },
	{ 0xa909cfc5, "vhost_work_init" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x6c1a7f28, "vhost_vq_work_queue" },
	{ 0xdf856008, "vhost_exceeds_weight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x186056c1, "target_unregister_template" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f47310c, "__free_pages" },
	{ 0x98c2478a, "target_setup_session" },
	{ 0x81661106, "vhost_add_used_and_signal" },
	{ 0xc0ac4afe, "target_undepend_item" },
	{ 0xb957d7e9, "target_remove_session" },
	{ 0xab1605b0, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xabc12f75, "vhost_get_vq_desc" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x1d13f979, "copy_page_to_iter" },
	{ 0x5c0e9af8, "__put_devmap_managed_folio_refs" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x461ebfa0, "__copy_tofrom_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x32a7e172, "vhost_dev_ioctl" },
	{ 0xc074ce12, "vhost_signal" },
	{ 0x9036a363, "misc_register" },
	{ 0x6c169544, "vhost_disable_notify" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xfbbafcf9, "vhost_enable_notify" },
	{ 0x68f3e75f, "copy_page_from_iter" },
	{ 0x8da0563d, "vhost_log_access_ok" },
	{ 0x91623a2a, "target_init_cmd" },
	{ 0x5378878c, "vhost_dev_cleanup" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x2768beb, "vhost_worker_ioctl" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x962be7f6, "dup_iter" },
	{ 0xabe8280, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b7058f5, "core_tpg_deregister" },
	{ 0x9259a5a, "vhost_vq_is_setup" },
	{ 0x78014a45, "_copy_from_iter" },
	{ 0x2971f105, "target_register_template" },
	{ 0x321a099d, "alloc_pages_noprof" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x80a497f4, "transport_generic_free_cmd" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xdebefa04, "core_tpg_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0x55c10f1c, "target_put_sess_cmd" },
	{ 0x2a11eeca, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xa8775024, "sbitmap_get" },
	{ 0xdd511f2d, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "vhost,target_core_mod,scsi_common");


MODULE_INFO(srcversion, "DE86DF67B78185DB46BC57F");
