#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x10ddbff9, "dquot_commit" },
	{ 0x79e80cae, "truncate_inode_pages" },
	{ 0x6068462e, "__page_file_index" },
	{ 0x413af8d1, "inode_init_owner" },
	{ 0xcb84445f, "filemap_fdatawrite" },
	{ 0x97557ee5, "generic_fillattr" },
	{ 0x1e2a661b, "vfs_fsync_range" },
	{ 0xb669debb, "setattr_prepare" },
	{ 0x2f4377d3, "filemap_migrate_folio" },
	{ 0xb24dae6d, "iget_locked" },
	{ 0x8a62a068, "bdev_file_open_by_path" },
	{ 0x9e426ee, "shrinker_alloc" },
	{ 0xb07c7b86, "generic_set_sb_d_ops" },
	{ 0x977a0357, "fscrypt_dio_supported" },
	{ 0xa8409b95, "clear_nlink" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf11fdbaf, "filemap_get_folios_tag" },
	{ 0x946a23b5, "default_amr" },
	{ 0x91904a93, "__dquot_transfer" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x1ac31b45, "__init_rwsem" },
	{ 0xaaae9aba, "d_instantiate" },
	{ 0x38c34c20, "fsverity_ioctl_enable" },
	{ 0x2e674758, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x80dec5f3, "blk_start_plug" },
	{ 0x7a37475d, "clear_inode" },
	{ 0x70984626, "inode_to_bdi" },
	{ 0x69a09c85, "bpf_trace_run4" },
	{ 0x18e73979, "iocb_bio_iopoll" },
	{ 0x743b5913, "dquot_set_dqinfo" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x28903287, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x2bd2b5de, "radix_tree_insert" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x73c2a2c2, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe91cf829, "generic_fh_to_dentry" },
	{ 0x8d717142, "dquot_disable" },
	{ 0xf5ad9015, "__percpu_counter_init_many" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7de32d96, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xfd42a5b2, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x2e9c1f77, "__folio_batch_release" },
	{ 0x82fcd033, "dquot_free_inode" },
	{ 0x56b97589, "folio_unlock" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x1156ae4, "utf8_strncasecmp_folded" },
	{ 0xe7131818, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xf0f63126, "fscrypt_parse_test_dummy_encryption" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe1e5f24a, "new_inode" },
	{ 0xd9a9c15e, "complete" },
	{ 0xd7ab6222, "filemap_map_pages" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0x8ed0a8de, "evict_inodes" },
	{ 0x6bedb67b, "xa_get_mark" },
	{ 0x499923d1, "dquot_get_state" },
	{ 0x9593cc39, "init_special_inode" },
	{ 0x7ec79ce1, "fscrypt_fname_siphash" },
	{ 0x97417fd4, "unregister_filesystem" },
	{ 0xc72e8195, "__fscrypt_prepare_setattr" },
	{ 0x54e7d3b3, "bpf_trace_run6" },
	{ 0x1f80f5cc, "__fscrypt_prepare_lookup" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x864490ed, "generic_error_remove_folio" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x2db194e2, "radix_tree_lookup" },
	{ 0x2933ee94, "inode_set_flags" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0xc5d9af8, "fscrypt_ioctl_get_key_status" },
	{ 0x7684633c, "nop_posix_acl_access" },
	{ 0xa4ce184d, "nop_posix_acl_default" },
	{ 0x3827c322, "d_make_root" },
	{ 0xa228d52d, "page_cache_ra_unbounded" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0x9397bd7d, "__fsverity_file_open" },
	{ 0x37158151, "sb_set_blocksize" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0xa382969f, "read_cache_folio" },
	{ 0xe79df671, "invalidate_mapping_pages" },
	{ 0x3da421c0, "sync_filesystem" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0xd7987177, "utf8_load" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x54d26d7b, "percpu_counter_destroy_many" },
	{ 0x2d3e6db, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0xf9602811, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe13df0a9, "from_vfsuid" },
	{ 0x2797362, "ihold" },
	{ 0xb58a9521, "fsverity_verify_blocks" },
	{ 0x4493b9f5, "page_get_link" },
	{ 0xff68bc09, "inode_dio_wait" },
	{ 0x8ab9cf33, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x552051d1, "invalidate_inode_pages2_range" },
	{ 0xd6ee7d49, "fscrypt_mergeable_bio" },
	{ 0xdd938549, "read_cache_page" },
	{ 0x6dbdfa61, "finish_open" },
	{ 0x9a2cdd30, "iput" },
	{ 0x7621824, "kset_unregister" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x55bbc5b9, "seq_lseek" },
	{ 0x31a1626e, "fscrypt_show_test_dummy_encryption" },
	{ 0x47f210c8, "iter_file_splice_write" },
	{ 0xbb25a4e, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x7544488f, "remove_proc_subtree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xefc05498, "register_filesystem" },
	{ 0xd55bcf8, "dquot_transfer" },
	{ 0x327e4c00, "d_tmpfile" },
	{ 0x15013103, "kmem_cache_create" },
	{ 0x206cc6b2, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1a002937, "bdev_thaw" },
	{ 0x5da095d4, "sync_inode_metadata" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0x7e8d2556, "fscrypt_ioctl_get_policy_ex" },
	{ 0x158b9ab6, "dquot_drop" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x75edabe9, "mempool_free" },
	{ 0x86777485, "down_read_trylock" },
	{ 0x142a45f2, "clear_page_dirty_for_io" },
	{ 0x35709b49, "vfs_setpos" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdb70b52b, "make_vfsuid" },
	{ 0xdfd9941, "swapcache_mapping" },
	{ 0xe6550092, "utf8_casefold" },
	{ 0xdd6a1d6e, "wake_up_process" },
	{ 0xe882bded, "shrinker_free" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0xf87f73ab, "fscrypt_setup_filename" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0xbc176c39, "crypto_destroy_tfm" },
	{ 0x9d78f919, "simple_inode_init_ts" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xc1fb2662, "add_swap_extent" },
	{ 0x637666f1, "inode_newsize_ok" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x44ba24c9, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x7c5408df, "mnt_want_write_file" },
	{ 0x595997c1, "unlock_new_inode" },
	{ 0xa8382624, "fsverity_ioctl_read_metadata" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x7b55434a, "make_kprojid" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf35eaacb, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xeb7345e4, "fscrypt_set_context" },
	{ 0x793e5a91, "make_kuid" },
	{ 0xb179d4fb, "truncate_inode_pages_final" },
	{ 0x2e68060e, "fs_kobj" },
	{ 0xab303fa0, "wait_for_stable_page" },
	{ 0x64e71f2f, "bio_add_folio" },
	{ 0xe988e728, "__filemap_set_wb_err" },
	{ 0xaf4e3829, "fscrypt_file_open" },
	{ 0xd34be1d, "generic_perform_write" },
	{ 0x535a959, "dquot_initialize" },
	{ 0x57968dfb, "generic_fadvise" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x4159959f, "shrinker_register" },
	{ 0xabdf96e8, "__filemap_get_folio" },
	{ 0xc63d73de, "dquot_quota_on" },
	{ 0x30a3176e, "ilookup" },
	{ 0x5c6f1a3f, "dquot_initialize_needed" },
	{ 0x96be5564, "__fsverity_prepare_setattr" },
	{ 0xcbb7599a, "radix_tree_gang_lookup" },
	{ 0x5de9b58a, "capable_wrt_inode_uidgid" },
	{ 0x437fded9, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5dd71579, "submit_bio" },
	{ 0x90d790e, "mnt_drop_write_file" },
	{ 0x77580b10, "freeze_super" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x952dd608, "inode_init_once" },
	{ 0xdbe0aa6d, "bioset_exit" },
	{ 0x3c9b2d13, "file_write_and_wait_range" },
	{ 0x966105ce, "dquot_claim_space_nodirty" },
	{ 0x800473f, "__cond_resched" },
	{ 0x5aa22386, "seq_escape_mem" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0xbf37287, "dquot_set_dqblk" },
	{ 0xb4a2f660, "bio_put" },
	{ 0x4c0f6431, "radix_tree_delete" },
	{ 0xdb90c327, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5817a7a7, "__brelse" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x34757282, "inode_nohighmem" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xa8b5acff, "release_pages" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0x834f9c02, "fput" },
	{ 0xf6792daf, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xdcee155f, "shrink_dcache_sb" },
	{ 0xaef82542, "fscrypt_ioctl_get_nonce" },
	{ 0x75574cc1, "up_write" },
	{ 0xd00f84ff, "unlock_page" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9ab1d142, "__xa_clear_mark" },
	{ 0x8fde441f, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xd63b68f5, "truncate_pagecache" },
	{ 0xab7f95db, "insert_inode_locked" },
	{ 0xf7744279, "dentry_path_raw" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x3d344a19, "wait_on_page_writeback" },
	{ 0xe6a7b3d, "xa_load" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0xeb700f92, "page_symlink" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x5766deb9, "__fscrypt_prepare_rename" },
	{ 0xdf11dd13, "dquot_resume" },
	{ 0x1ce676fe, "bpf_trace_run5" },
	{ 0x4c0172b5, "bdev_fput" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34fddd51, "_raw_write_lock" },
	{ 0x4b54f08e, "file_update_time" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x57c2cd7, "set_nlink" },
	{ 0xc16f0d0d, "fscrypt_ioctl_set_policy" },
	{ 0x27b964f7, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xd1254d68, "kmem_cache_free" },
	{ 0xd4aa3667, "vm_map_ram" },
	{ 0x106fa3f8, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x50a322a4, "security_inode_init_security" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0xf87e42fe, "fscrypt_decrypt_bio" },
	{ 0x19e22fc8, "from_kgid" },
	{ 0x8141f151, "__sync_dirty_buffer" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0xd58b6dde, "mutex_is_locked" },
	{ 0xab57efbd, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x82e61acf, "__fscrypt_encrypt_symlink" },
	{ 0x94fdb64d, "bdev_freeze" },
	{ 0xae93d532, "blkdev_issue_zeroout" },
	{ 0xa8506a3b, "wait_for_completion_io" },
	{ 0x1e8000da, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0x758c35c3, "kobject_init_and_add" },
	{ 0x9fae8ddc, "thaw_super" },
	{ 0xcc7b87a2, "bio_add_page" },
	{ 0xecf53a1d, "crypto_shash_update" },
	{ 0xd4e45cce, "from_vfsgid" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x48225897, "iov_iter_alignment" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c63f53f, "d_obtain_alias" },
	{ 0x762a46c4, "file_modified" },
	{ 0xb42c51eb, "posix_acl_chmod" },
	{ 0x5c0e9af8, "__put_devmap_managed_folio_refs" },
	{ 0x55364003, "kthread_stop" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x82dbe94e, "__bread_gfp" },
	{ 0x37651a6b, "from_kprojid" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x28d72ac4, "fscrypt_put_encryption_info" },
	{ 0x72b5502a, "read_cache_page_gfp" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x8d1c3b81, "dquot_alloc_inode" },
	{ 0xf5208ea7, "bpf_trace_run1" },
	{ 0xc1f69019, "set_task_ioprio" },
	{ 0x77be41e7, "fscrypt_d_revalidate" },
	{ 0x4f20d80b, "zstd_min_clevel" },
	{ 0x441f0ac4, "proc_mkdir" },
	{ 0xc1675fad, "sync_inodes_sb" },
	{ 0x7e440c6b, "from_kuid" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0x42aeab21, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfc5efdc2, "inode_owner_or_capable" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xf1943957, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x4a9127b8, "filemap_get_folios" },
	{ 0x773e53a7, "make_kgid" },
	{ 0x12e17bda, "fscrypt_zeroout_range" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1fccef93, "complete_all" },
	{ 0x487aedb4, "fscrypt_drop_inode" },
	{ 0x86181c0b, "wbc_account_cgroup_owner" },
	{ 0x46475418, "from_kgid_munged" },
	{ 0xff3dc636, "end_page_writeback" },
	{ 0x23f12f78, "down_write_trylock" },
	{ 0x50c7fe47, "blkdev_issue_secure_erase" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4fca748, "down_read" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0xc9ecd7ef, "truncate_setsize" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x7333d016, "dquot_get_dqblk" },
	{ 0x6bec5582, "kthread_create_on_node" },
	{ 0x63c08daf, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x94dcbb92, "bpf_trace_run3" },
	{ 0xf228b892, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x1558dee4, "fscrypt_free_bounce_page" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa0cdf15b, "redirty_page_for_writepage" },
	{ 0x86ae5502, "__dquot_alloc_space" },
	{ 0x903d562f, "fsverity_verify_bio" },
	{ 0xfc1646b4, "generic_encode_ino32_fh" },
	{ 0x10f8c298, "unlock_buffer" },
	{ 0x6acddae9, "__fscrypt_inode_uses_inline_crypto" },
	{ 0x2e85ff3d, "__fscrypt_prepare_readdir" },
	{ 0x822dd163, "debugfs_create_file" },
	{ 0x89ad7ebf, "igrab" },
	{ 0xc4c16afc, "_raw_write_trylock" },
	{ 0x7629f3b0, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd2b01536, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x70ec904, "d_instantiate_new" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x6e3ffac4, "__dquot_free_space" },
	{ 0xdebcc7dc, "set_page_writeback" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x85df9b6c, "strsep" },
	{ 0x982e2af5, "mount_bdev" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xa1eac79e, "filemap_fdatawait_range" },
	{ 0xe96900b4, "mempool_create_node_noprof" },
	{ 0x5f7d639a, "add_to_page_cache_lru" },
	{ 0x4ce33aed, "percpu_counter_add_batch" },
	{ 0x3c326e8d, "find_inode_nowait" },
	{ 0x3096be16, "names_cachep" },
	{ 0xe956af27, "bioset_init" },
	{ 0xf80626b8, "__percpu_counter_sum" },
	{ 0xccf6b806, "init_user_ns" },
	{ 0x530086aa, "fscrypt_ioctl_add_key" },
	{ 0x1407253c, "d_find_alias" },
	{ 0xb326a5c2, "fscrypt_fname_disk_to_usr" },
	{ 0x30aa1b09, "inode_set_ctime_current" },
	{ 0xd962dacd, "inc_nlink" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x92e8e9ab, "fsverity_enqueue_verify_work" },
	{ 0x966ae98e, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xbaf229b1, "mempool_destroy" },
	{ 0xabe8280, "__folio_put" },
	{ 0xb5f73501, "kobject_set_name" },
	{ 0x78426108, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9290e7e4, "fscrypt_ioctl_get_policy" },
	{ 0xbbb0348d, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42696bcb, "seq_printf" },
	{ 0x4c221a2e, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa351809e, "touch_atime" },
	{ 0x5ce7b7e6, "blk_op_str" },
	{ 0x329f740c, "filemap_read" },
	{ 0xd6faaf92, "__percpu_down_read" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x2ba301e7, "__lock_buffer" },
	{ 0xa894215a, "tag_pages_for_writeback" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xfa8c3f95, "truncate_inode_pages_range" },
	{ 0x321a099d, "alloc_pages_noprof" },
	{ 0x4ab9ecc4, "folio_wait_bit" },
	{ 0xe4136057, "__folio_lock" },
	{ 0x8436229e, "dquot_quota_on_mount" },
	{ 0x321e65b, "filemap_dirty_folio" },
	{ 0x99615a14, "pagecache_get_page" },
	{ 0x10198cc2, "blkdev_issue_flush" },
	{ 0x98bd2ddb, "is_bad_inode" },
	{ 0x138159e0, "fscrypt_set_bio_crypt_ctx" },
	{ 0x8e5dc00a, "rcuwait_wake_up" },
	{ 0x62dbd5f3, "dquot_mark_dquot_dirty" },
	{ 0xb999a975, "single_release" },
	{ 0xc22a3091, "vm_unmap_aliases" },
	{ 0x8045a04e, "fscrypt_prepare_symlink" },
	{ 0x1334a105, "dquot_get_next_id" },
	{ 0x56971c1d, "file_bdev" },
	{ 0xe7dd3a63, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x497a8010, "generic_fh_to_parent" },
	{ 0xd23c998f, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0x89a2173d, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x9efde5e5, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xca321f30, "proc_create_single_data" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xeea8a92a, "filemap_write_and_wait_range" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x4d908384, "kset_register" },
	{ 0xa53db779, "dquot_acquire" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x89c08295, "generic_file_llseek_size" },
	{ 0x44cf8cf0, "blk_zone_cond_str" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf9dfa8dd, "bpf_trace_run7" },
	{ 0x461536be, "fscrypt_prepare_new_inode" },
	{ 0x3fd2571, "vm_unmap_ram" },
	{ 0x1c1f0ea6, "fsverity_ioctl_measure" },
	{ 0xbfc364e3, "fscrypt_limit_io_blocks" },
	{ 0x32aa6bef, "generic_write_checks" },
	{ 0xaedf61f5, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb6be6da, "percpu_counter_set" },
	{ 0x78b245ed, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x115b1c2a, "fscrypt_get_symlink" },
	{ 0x870a8a72, "dqput" },
	{ 0xd3c521f1, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xd585b7cf, "filemap_fault" },
	{ 0xdb522cb2, "crypto_alloc_shash" },
	{ 0x37c0697a, "dquot_writeback_dquots" },
	{ 0x277fa072, "d_invalidate" },
	{ 0x97518bd3, "debugfs_create_dir" },
	{ 0x3beb8014, "__mark_inode_dirty" },
	{ 0x48a3a691, "generic_file_llseek" },
	{ 0xad95e55, "dquot_get_next_dqblk" },
	{ 0x37d46ce3, "make_bad_inode" },
	{ 0x108e522d, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x49180e5f, "up_read" },
	{ 0xad476439, "dquot_load_quota_inode" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x42c094da, "drop_nlink" },
	{ 0x512709e8, "fault_in_iov_iter_readable" },
	{ 0x8888c67e, "bpf_trace_run11" },
	{ 0x4930ae27, "fscrypt_free_inode" },
	{ 0x76cda279, "filemap_check_errors" },
	{ 0x4e0983d4, "blkdev_report_zones" },
	{ 0xe7af9e31, "fscrypt_has_permitted_context" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x12a2c2e7, "__blkdev_issue_discard" },
	{ 0xb486b0b2, "dquot_destroy" },
	{ 0xad153017, "iget_failed" },
	{ 0x3690b88e, "fscrypt_symlink_getattr" },
	{ 0x1e63c9dd, "dquot_alloc" },
	{ 0x69a018dd, "fs_bio_set" },
	{ 0xdddfb030, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2ed7822c, "blkdev_issue_discard" },
	{ 0x7be2a2ac, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "47988CE8D66BCF9B1E3A297");
