#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3f18db4c, "generic_block_bmap" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf03c353a, "fs_param_is_string" },
	{ 0x9593cc39, "init_special_inode" },
	{ 0x97417fd4, "unregister_filesystem" },
	{ 0x3827c322, "d_make_root" },
	{ 0x37158151, "sb_set_blocksize" },
	{ 0x3da421c0, "sync_filesystem" },
	{ 0x2d3e6db, "d_splice_alias" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a2cdd30, "iput" },
	{ 0xe0c35daa, "fs_param_is_enum" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xefc05498, "register_filesystem" },
	{ 0x15013103, "kmem_cache_create" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x9af6ca9f, "fs_param_is_u32" },
	{ 0x44ba24c9, "kill_block_super" },
	{ 0x595997c1, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaec5385d, "load_nls" },
	{ 0x793e5a91, "make_kuid" },
	{ 0x3f47310c, "__free_pages" },
	{ 0x7b3840ae, "bdev_getblk" },
	{ 0x952dd608, "inode_init_once" },
	{ 0x800473f, "__cond_resched" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xec735577, "cdrom_read_tocentry" },
	{ 0x5817a7a7, "__brelse" },
	{ 0x34757282, "inode_nohighmem" },
	{ 0xd00f84ff, "unlock_page" },
	{ 0xe894b65a, "generic_ro_fops" },
	{ 0xa07a37f0, "memchr" },
	{ 0x36541d36, "__bh_read_batch" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4ce3f459, "__wait_on_buffer" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x57c2cd7, "set_nlink" },
	{ 0x27b964f7, "kmem_cache_alloc_lru_noprof" },
	{ 0xd1254d68, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x65bf2a8b, "cdrom_multisession" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c63f53f, "d_obtain_alias" },
	{ 0x5c0e9af8, "__put_devmap_managed_folio_refs" },
	{ 0x82dbe94e, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6d2f66bc, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x773e53a7, "make_kgid" },
	{ 0x46475418, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xd2b01536, "generic_read_dir" },
	{ 0x73cad425, "page_symlink_inode_operations" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x1b7f321a, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xccf6b806, "init_user_ns" },
	{ 0x966ae98e, "seq_write" },
	{ 0xabe8280, "__folio_put" },
	{ 0xd3d80277, "get_tree_bdev" },
	{ 0x42696bcb, "seq_printf" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x321a099d, "alloc_pages_noprof" },
	{ 0x99615a14, "pagecache_get_page" },
	{ 0xe49c46b1, "__fs_parse" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x9efde5e5, "from_kuid_munged" },
	{ 0x43d2e59b, "iget5_locked" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x48a3a691, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1c144f92, "unload_nls" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x106cb95b, "sb_min_blocksize" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xad153017, "iget_failed" },
	{ 0xdddfb030, "kmem_cache_destroy" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "0F65198398E389559D01D17");
