#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0x80dd4dc5, "");
SYMBOL_CRC(netfs_read_folio, 0x404ef071, "");
SYMBOL_CRC(netfs_write_begin, 0x0c443b21, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0x95ae8459, "");
SYMBOL_CRC(netfs_file_read_iter, 0xa62e2f27, "");
SYMBOL_CRC(netfs_perform_write, 0x69a38023, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x2c00258b, "");
SYMBOL_CRC(netfs_file_write_iter, 0x9de63703, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x9168875a, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x30d54230, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x39c0d76e, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0x0ca05051, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x927920cf, "");
SYMBOL_CRC(netfs_subreq_terminated, 0x8787c5de, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x2c0ba495, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x1a9d638f, "");
SYMBOL_CRC(netfs_start_io_read, 0x45f127c3, "");
SYMBOL_CRC(netfs_end_io_read, 0x692272d8, "");
SYMBOL_CRC(netfs_start_io_write, 0x53ae49ff, "");
SYMBOL_CRC(netfs_end_io_write, 0xd9e75346, "");
SYMBOL_CRC(netfs_start_io_direct, 0xe8a595da, "");
SYMBOL_CRC(netfs_end_io_direct, 0x5a92d7e8, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xd244949f, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xb8167f00, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x895d0b7f, "");
SYMBOL_CRC(netfs_dirty_folio, 0x10e78ae7, "");
SYMBOL_CRC(netfs_unpin_writeback, 0x69350728, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x6e3ab183, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xc42ad243, "");
SYMBOL_CRC(netfs_release_folio, 0xe4e76381, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xc4fc782f, "");
SYMBOL_CRC(netfs_writepages, 0x86dcc6a6, "");
SYMBOL_CRC(netfs_stats_show, 0xb871364d, "");
SYMBOL_CRC(fscache_addremove_sem, 0xd86ba0df, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x66240045, "");
SYMBOL_CRC(fscache_acquire_cache, 0x40e91be8, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x5ab76696, "");
SYMBOL_CRC(fscache_add_cache, 0x9924e5b6, "");
SYMBOL_CRC(fscache_io_error, 0x02c2fbc1, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x560b2c10, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xa079b3c6, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x2cebf284, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xae524eba, "");
SYMBOL_CRC(fscache_caching_failed, 0x1c24636b, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xee2b5de9, "");
SYMBOL_CRC(__fscache_use_cookie, 0xb2553d30, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x0e282558, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xb9d9bf36, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xd82e50c1, "");
SYMBOL_CRC(fscache_put_cookie, 0x3ff50745, "");
SYMBOL_CRC(fscache_get_cookie, 0xc4071c24, "");
SYMBOL_CRC(__fscache_invalidate, 0x2d845ba4, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xc953fb56, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xec80f4b7, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xe1a57ea3, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xa6884cc4, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x246315cf, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xa2618332, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xa8b4ae2e, "");
SYMBOL_CRC(fscache_end_volume_access, 0x98ceed32, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x47235fcc, "");
SYMBOL_CRC(fscache_put_volume, 0x6fb41419, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xea952868, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x977f240f, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6068462e, "__page_file_index" },
	{ 0x1e2a661b, "vfs_fsync_range" },
	{ 0x107d2a90, "wbc_detach_inode" },
	{ 0x7df6e48f, "vmemmap" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x69a09c85, "bpf_trace_run4" },
	{ 0x3c43814c, "kiocb_write_and_wait" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x997746ce, "filemap_range_has_page" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x56b97589, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x31e44830, "filemap_fdatawrite_range" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x8e7f5dda, "iov_iter_advance" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0xdea66cb4, "xas_find" },
	{ 0x7464bc83, "folio_redirty_for_writepage" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf96e53bc, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x552051d1, "invalidate_inode_pages2_range" },
	{ 0x3544df4c, "wbc_attach_and_unlock_inode" },
	{ 0xbb25a4e, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7544488f, "remove_proc_subtree" },
	{ 0x15013103, "kmem_cache_create" },
	{ 0x206cc6b2, "folio_clear_dirty_for_io" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x75edabe9, "mempool_free" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe988e728, "__filemap_set_wb_err" },
	{ 0xabdf96e8, "__filemap_get_folio" },
	{ 0x59615327, "filemap_invalidate_inode" },
	{ 0x97a8d12e, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5dda8238, "__var_waitqueue" },
	{ 0xd029dbba, "iov_iter_extract_pages" },
	{ 0xdb1e4488, "copy_page_from_iter_atomic" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe1cd797a, "bit_waitqueue" },
	{ 0xfa8c8b06, "kmem_cache_size" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0x1210c92e, "readahead_expand" },
	{ 0xbcfccea1, "__inode_attach_wb" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x1b1f442a, "__folio_lock_killable" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0xf6792daf, "down_write" },
	{ 0x75574cc1, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xe6a7b3d, "xa_load" },
	{ 0x1ce676fe, "bpf_trace_run5" },
	{ 0x5079c9d7, "__pte_index_size" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34fddd51, "_raw_write_lock" },
	{ 0xe0df96e6, "xas_load" },
	{ 0x4b54f08e, "file_update_time" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xd1254d68, "kmem_cache_free" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0x286ff164, "file_remove_privs" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6684559a, "__folio_start_writeback" },
	{ 0xf5208ea7, "bpf_trace_run1" },
	{ 0x5dcf6760, "folio_end_writeback" },
	{ 0xaad40b81, "folio_alloc_noprof" },
	{ 0xce3bb6e8, "down_read_interruptible" },
	{ 0x441f0ac4, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0x49f27c5a, "iov_iter_bvec" },
	{ 0xcae3131a, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xf1943957, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc93ed925, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd17387, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4fca748, "down_read" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x63c08daf, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x94dcbb92, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x1936267b, "down_write_killable" },
	{ 0xa1eac79e, "filemap_fdatawait_range" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x966ae98e, "seq_write" },
	{ 0xabe8280, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x78426108, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42696bcb, "seq_printf" },
	{ 0x2f34e228, "iov_iter_zero" },
	{ 0xa351809e, "touch_atime" },
	{ 0x329f740c, "filemap_read" },
	{ 0xd6faaf92, "__percpu_down_read" },
	{ 0x73e4e895, "balance_dirty_pages_ratelimited_flags" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0xb04e170f, "downgrade_write" },
	{ 0x321e65b, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x8e5dc00a, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x7983a45a, "iov_iter_xarray" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xca321f30, "proc_create_single_data" },
	{ 0xeea8a92a, "filemap_write_and_wait_range" },
	{ 0xaaeb78c0, "folio_wait_writeback_killable" },
	{ 0xcc4cb259, "mempool_init_noprof" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7eea8513, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x32aa6bef, "generic_write_checks" },
	{ 0x2a11eeca, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3ab16adb, "proc_create_seq_private" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x49180e5f, "up_read" },
	{ 0xdd511f2d, "iov_iter_npages" },
	{ 0x512709e8, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x1d27be9b, "mempool_exit" },
	{ 0xdddfb030, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7FC9B73C23775E5BFEEBDC6");
