#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x5c9603dc, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x6758f272, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x121397a8, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x9a400832, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x22414f91, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x903bbb47, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xc7af10ae, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xecab1641, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xf0d5275f, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x70e04f18, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x26ad68e0, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x5f332617, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x7eaef026, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x9f39b3a7, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x14098c8f, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x1f68d57f, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xb626c421, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x25a64eed, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x87233562, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x77803c66, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xd48eb171, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x3fd7e3f1, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xdd192c89, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x2bbad937, "_gpl");
SYMBOL_CRC(print_tuple, 0xb5aadd59, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xddf64198, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xe276f50d, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x7e82efc7, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xf08b9cfb, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x5e1cf3e0, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xf9dcc28e, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x26e905f4, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x739c753e, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xaf893c59, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x07ca1a9f, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x46855eda, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xdd7f8638, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x54817618, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x346d9c71, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x4d31c74b, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xcda407f5, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x9513e7a0, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xcb9e0ff3, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xf774aa6b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x5674bf97, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xa126235f, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x682e2440, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xdc82ba77, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x2bdf45dc, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x2754eed9, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x41f601dc, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x571157d0, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xd94d0992, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xc6d79627, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xd5d336cd, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x8052ed8d, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x99a13cde, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x6b3bfc93, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x01a976cd, "_gpl");
SYMBOL_CRC(nf_confirm, 0xc8719ff0, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x4b5eaf6a, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xeb5a88fc, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x6f83ab28, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x2c9152af, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xbe92a55f, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xd65437ce, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xb8f95a05, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x67c371fe, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x3b60f591, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xb2bdfceb, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xeb60018e, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xb277197b, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x13637628, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xc7fa09de, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x24b59be5, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xf07a8200, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xa6796284, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x09980e6d, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x14929a1b, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x6d798234, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xc5116b05, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xf4430c0a, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x5fe19743, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xe47747a9, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x4dc6f174, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x201b7b8f, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x0229422b, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xfa901c54, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xdb67bff0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1aca12c, "__do_once_done" },
	{ 0x5fdbcbb2, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8750d9ed, "nf_defrag_ipv4_disable" },
	{ 0x8e63164d, "nf_ip6_checksum" },
	{ 0x1cca6dd6, "proc_dou8vec_minmax" },
	{ 0x613905ba, "skb_copy_bits" },
	{ 0xcd8fede6, "param_ops_uint" },
	{ 0x5a0da083, "proc_dointvec_jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x84681d61, "nf_register_sockopt" },
	{ 0x8e49184a, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x3f074463, "nfct_btf_struct_access" },
	{ 0x7d98a802, "param_set_uint" },
	{ 0xcccfe9ce, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8bbfbde, "nf_ct_frag6_gather" },
	{ 0x1b81614d, "get_net_ns_by_id" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x15013103, "kmem_cache_create" },
	{ 0x19743a7d, "nf_ct_hook" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xb3607d12, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xf5c5a2c3, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xef756b94, "register_net_sysctl_sz" },
	{ 0x3ad9d5b2, "kvmalloc_node_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa9265381, "nf_unregister_sockopt" },
	{ 0xb42f5eb7, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x793e5a91, "make_kuid" },
	{ 0x6ce36a52, "nf_defrag_ipv6_disable" },
	{ 0xb4506382, "ipv6_skip_exthdr" },
	{ 0x1ec18f34, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x1424291c, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa17a34ae, "nf_checksum" },
	{ 0x3cc90f4, "init_net" },
	{ 0x56ac955d, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xd1254d68, "kmem_cache_free" },
	{ 0x2b3639cd, "seq_putc" },
	{ 0xa1a2c8e6, "nla_put" },
	{ 0x45a5ac3e, "nf_checksum_partial" },
	{ 0xb7bb16ae, "skb_ensure_writable" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x78ac3f, "nf_unregister_net_hooks" },
	{ 0x8dcd50b3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xda534cd3, "unregister_pernet_subsys" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x4b5bcd3f, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf1943957, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x972ee1c7, "nf_log_packet" },
	{ 0x773e53a7, "make_kgid" },
	{ 0x134dc715, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc46d67d6, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xc914d7e2, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4fca748, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x90f68127, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xa937c347, "__skb_checksum" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf4f4036, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb9fd0bc6, "param_ops_bool" },
	{ 0x192f9456, "inet_proto_csum_replace4" },
	{ 0x966ae98e, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x78426108, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42696bcb, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xef33d69e, "nf_defrag_ipv6_enable" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x8ea15dda, "proc_dointvec" },
	{ 0x34220095, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5c93c826, "unregister_net_sysctl_table" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdb4e5279, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xbe7a6b44, "pskb_trim_rcsum_slow" },
	{ 0x49180e5f, "up_read" },
	{ 0x76167f4c, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdddfb030, "kmem_cache_destroy" },
	{ 0xa794cd6f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "585FCC6F1A53D5D3904CF73");
