#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x89c74b35, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xecbb36ec, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xdcb764ad, "memset" },
	{ 0x278663f, "nf_flow_table_free" },
	{ 0xf6792daf, "down_write" },
	{ 0x75574cc1, "up_write" },
	{ 0x1424291c, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa1a2c8e6, "nla_put" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf6078e49, "rhashtable_init_noprof" },
	{ 0xe1dbba56, "tcf_register_action" },
	{ 0x5a10a1d1, "rhashtable_destroy" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x1683f884, "tcf_unregister_action" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x2df50b0, "jiffies" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x8e49184a, "nla_put_64bit" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8201ad19, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0xcda407f5, "nf_conntrack_helper_put" },
	{ 0x5fe19743, "nf_connlabels_put" },
	{ 0x9513e7a0, "nf_nat_helper_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4343b009, "tcf_idr_check_alloc" },
	{ 0x27254830, "tcf_action_check_ctrlact" },
	{ 0xf4430c0a, "nf_connlabels_get" },
	{ 0x903bbb47, "nf_ct_tmpl_alloc" },
	{ 0x4dc6f174, "nf_ct_add_helper" },
	{ 0xc019e7f, "tcf_chain_put_by_act" },
	{ 0xb0bb0d62, "tcf_idr_release" },
	{ 0xfdde7a17, "tcf_idr_create_from_flags" },
	{ 0xc1a85c4c, "tcf_idr_cleanup" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc540fa50, "tcf_action_set_ctrlact" },
	{ 0xc410ead0, "nf_flow_table_init" },
	{ 0xe8d4335, "__module_get" },
	{ 0x1f438d28, "rhashtable_insert_slow" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0x54bd5156, "rht_bucket_nested_insert" },
	{ 0x3cc90f4, "init_net" },
	{ 0x8a26885c, "flow_offload_lookup" },
	{ 0x39a708de, "flow_offload_refresh" },
	{ 0x289b6872, "flow_offload_teardown" },
	{ 0x30cfaccf, "__pskb_pull_tail" },
	{ 0x26ad68e0, "nf_ct_acct_add" },
	{ 0xa73c32a4, "skb_pull_rcsum" },
	{ 0xb14e02c1, "ipv6_find_hdr" },
	{ 0x229422b, "nf_ct_handle_fragments" },
	{ 0x201b7b8f, "nf_ct_skb_network_trim" },
	{ 0x1f68d57f, "nf_conntrack_in" },
	{ 0xa6796284, "nf_ct_deliver_cached_events" },
	{ 0x11d7a09b, "nf_ct_nat" },
	{ 0x613905ba, "skb_copy_bits" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x14e1c8d2, "skb_push" },
	{ 0xfdfcdd5f, "__csum_partial" },
	{ 0xe47747a9, "nf_ct_helper" },
	{ 0xef212ce0, "flow_offload_alloc" },
	{ 0x2db654c3, "flow_offload_add" },
	{ 0x8b022cd3, "flow_offload_free" },
	{ 0xc5116b05, "nf_connlabels_replace" },
	{ 0xecab1641, "nf_ct_delete" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbe92a55f, "nf_ct_ext_add" },
	{ 0xf774aa6b, "__nf_ct_try_assign_helper" },
	{ 0x5f332617, "__nf_conntrack_confirm" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "nf_flow_table,nf_conntrack,nf_nat");


MODULE_INFO(srcversion, "28C2872D1043256FA1DD34C");
