#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x67f45d99, "");
SYMBOL_CRC(tipc_dump_start, 0xa7a40557, "");
SYMBOL_CRC(tipc_dump_done, 0x115ec730, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x71527c1d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3015ce72, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xd876dec1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x69a09c85, "bpf_trace_run4" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x93ac81a1, "__nlmsg_put" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x279f3d53, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd77d7ebe, "ip6_dst_hoplimit" },
	{ 0x1e8b82cb, "trace_output_call" },
	{ 0x44a478dc, "consume_skb" },
	{ 0x3d20cba4, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x784f2c63, "trace_raw_output_prep" },
	{ 0x8e49184a, "nla_put_64bit" },
	{ 0xa3c7dca5, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x51ec844f, "__trace_trigger_soft_disabled" },
	{ 0x6157a9f0, "_raw_write_lock_bh" },
	{ 0x1441d598, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xbb0b1c77, "__ip_dev_find" },
	{ 0x67d6f033, "dst_cache_set_ip4" },
	{ 0x83d8de06, "udp_tunnel6_xmit_skb" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x49b721ed, "genlmsg_put" },
	{ 0xf090bf7, "___pskb_trim" },
	{ 0x70a66a9b, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e2b8a93, "_raw_read_unlock_bh" },
	{ 0xd16f24e9, "_raw_read_lock_bh" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0x20142d3c, "crypto_alloc_aead" },
	{ 0x46226c2e, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xb5bcab4a, "netdev_warn" },
	{ 0x45cbd05f, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x556e0722, "crypto_aead_decrypt" },
	{ 0x34df8419, "kernel_accept" },
	{ 0xe8d4335, "__module_get" },
	{ 0x1e11a4b2, "ip_route_output_flow" },
	{ 0x46fb559d, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x567b3b39, "__pskb_copy_fclone" },
	{ 0x4f23d7e4, "pskb_expand_head" },
	{ 0xf5c5a2c3, "register_pernet_subsys" },
	{ 0x37e5d077, "put_cmsg" },
	{ 0xc1397fca, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe141a876, "trace_event_buffer_commit" },
	{ 0xef756b94, "register_net_sysctl_sz" },
	{ 0xbc176c39, "crypto_destroy_tfm" },
	{ 0x352b909e, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x47cda5c4, "proto_unregister" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xa1967bc7, "sock_register" },
	{ 0x3d5f943d, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x10c7acef, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd41da10a, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xfa11eb8e, "skb_try_coalesce" },
	{ 0x9b174591, "proto_register" },
	{ 0x8f36a480, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe93d9484, "__wake_up_sync_key" },
	{ 0xd2a47fc3, "skb_queue_tail" },
	{ 0x1424291c, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xdaa24131, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x9df2d0f3, "__dev_get_by_index" },
	{ 0x557bdfca, "perf_trace_run_bpf_submit" },
	{ 0x5ed02c53, "__traceiter_sk_data_ready" },
	{ 0x3cc90f4, "init_net" },
	{ 0x858955c, "ipv6_stub" },
	{ 0xc7243402, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x117cd626, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9863b3a4, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x19b835e6, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x73f1b1bc, "dev_remove_pack" },
	{ 0x89061fda, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x62c0aabf, "kfree_skb_reason" },
	{ 0x118ece2a, "kernel_sock_shutdown" },
	{ 0xfff3fb3e, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x14e1c8d2, "skb_push" },
	{ 0x3ed93425, "dst_cache_get" },
	{ 0x7611a86b, "sock_no_listen" },
	{ 0xa1a2c8e6, "nla_put" },
	{ 0xdc49e0df, "proc_doulongvec_minmax" },
	{ 0xc54e4708, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2020fc2d, "iov_iter_kvec" },
	{ 0x139596e3, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x59a1e531, "rhashtable_walk_start_check" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x8ec31739, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x8dcd50b3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9b18758d, "skb_copy_datagram_iter" },
	{ 0xa8d49b5d, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6667530c, "_raw_spin_trylock_bh" },
	{ 0x5fb0dfab, "sk_alloc" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xda534cd3, "unregister_pernet_subsys" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xf690573d, "kfree_skb_partial" },
	{ 0x54bd5156, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x388ed89, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd81df0c2, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x30cfaccf, "__pskb_pull_tail" },
	{ 0xf4628ca0, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x5a10a1d1, "rhashtable_destroy" },
	{ 0x293b7816, "setup_udp_tunnel_sock" },
	{ 0x797fdc18, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8201ad19, "skb_trim" },
	{  0x291a0, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x94dcbb92, "bpf_trace_run3" },
	{ 0x1f438d28, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb980b3a1, "sock_rfree" },
	{ 0x8050c3f3, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xeedc17c5, "kernel_listen" },
	{ 0x41adaa90, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xf6078e49, "rhashtable_init_noprof" },
	{ 0x93903288, "trace_event_buffer_reserve" },
	{ 0xfd2a765, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe0497308, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x94ca6276, "dst_cache_set_ip6" },
	{ 0x1fd7840a, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c6d4255, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x309cb79e, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe7465a11, "skb_copy" },
	{ 0xd492a7a8, "skb_clone" },
	{ 0xb862bada, "dev_get_by_name" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x78014a45, "_copy_from_iter" },
	{ 0xeee3e125, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x25ddd8a9, "rhashtable_walk_next" },
	{ 0xf0418bbc, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7a492062, "sk_stop_timer" },
	{ 0x5c93c826, "unregister_net_sysctl_table" },
	{ 0xdc83b851, "kmalloc_trace_noprof" },
	{ 0xf8cbec2a, "genl_unregister_family" },
	{ 0x9efde5e5, "from_kuid_munged" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2a11eeca, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x78e45792, "genl_register_family" },
	{ 0xfbee649e, "kernel_sendmsg" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x35ff7fb3, "skb_to_sgvec" },
	{ 0xce980d92, "rhashtable_walk_exit" },
	{ 0xa155f929, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc41eb8ea, "sock_init_data" },
	{ 0x875bb03c, "kmalloc_caches" },
	{ 0xa794cd6f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7d90b4b2, "proc_dointvec_minmax" },
	{ 0x8330c6db, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "47A59D42E7846B06DC88241");
